'use strict';

module.exports = {

    bindValidation: function() {
        Backbone.Validation.bind(this);
    },

    submit: function (e) {
        e.preventDefault();
        this.instantSubmit();
    },

    instantSubmit: function(){
        this.ui.messages.removeClass('error-text').html('');
        this.model.save(null, {
            success: this.handleSuccess.bind(this),
            error: _.bind(this.handleError, this)
        });
    },

    handleError: function(model, response, options) {
        // TODO - Override .handle_exception(self, exc) in API to return expected error message
        var msg = 'Error while saving';
        if(this.onHandleError) {
            msg = this.onHandleError(model, response, options) || msg;
        }
        if(response && response.responseJSON) {
            if(response.responseJSON.error) msg = response.responseJSON.error;
            else if(this.defaultErrorMsg) msg = this.defaultErrorMsg;
        }
        
        this.showMessage('error', msg);
    },

    handleSuccess: function(model, response, options) {
        var msg = 'Save Successful';
    	if(this.onHandleSuccess) {
            msg = this.onHandleSuccess(model, response, options) || msg;
        }
    	if(this.successMsg) msg = this.successMsg;
        
        this.showMessage('success', msg);
    },

    showMessage: function(type, msg) {
        if(!type || !msg) return;

        this.ui.messages.addClass(type + '-text');
        this.ui.messages.html('<p>' + msg + '</p>');

        this.ui.messages[0].scrollIntoView();
    }
};
