'use strict';

var App = require('app/app');
var MapHelper = require('app/map-helper');

module.exports = Marionette.ItemView.extend({
	tagName: 'li',
    id: 'cloud-cover',
    className: 'filter-toggle',
    template: Handlebars.compile('<span id="cloud-cover-input"> Cloud Cover</span>'),

    initialize: function() {
    	this.mapHelper = new MapHelper();

        App.commands.setHandler('toggleCloudCoverLayer', function() {
            this.toggleCloudCover();
        }.bind(this));

        App.reqres.setHandler('isCloudCoverActive', function() {
            return this.isActive();
        }.bind(this));
    },

    isActive: function() {
        return this.el.classList.contains('active');
    },

    onRender: function() {
        this.$el.click(this.toggleCloudCover.bind(this));
    },

    toggleCloudCover: function() {
    	if(this.el.classList.contains('active')) {
            this.el.classList.remove('active');
            this.mapHelper.removeCloudCover();
            App.execute('updateCloudCover', false);
        }
        else {
            this.el.classList.add('active');
            this.mapHelper.showCloudCover();
            App.execute('updateCloudCover', true);
        }
    }
});