'use strict';

var MapHelper = require('app/map-helper');
var App = require('app/app');

module.exports = Marionette.ItemView.extend({
	tagName: 'li',
    id: 'current-conditions',
    className: 'filter-toggle',
    template: Handlebars.compile('<span id="current-conditions-input"> Current Conditions</span>'),

    onRender: function() {
        this.$el.click(this.toggleCurrentConditions.bind(this));
    },

    initialize: function() {
    	this.mapHelper = new MapHelper();

        App.commands.setHandler('currentConditionsToggle', function() {
            this.toggleCurrentConditions();
        }.bind(this));

        App.reqres.setHandler('currentConditionsIsActive', function() {
            return this.el.classList.contains('active');
        }.bind(this));
    },

    toggleCurrentConditions: function() {
    	if(this.el.classList.contains('active')){
            this.el.classList.remove('active');
            this.mapHelper.removeCurrentConditions();
            App.execute('currentConditionsUpdate', false);
        }
        else{
            this.el.classList.add('active');
            this.mapHelper.showCurrentConditions();
            App.execute('currentConditionsUpdate', true);
        }
    }
});