'use strict';

var App = require('app/app');

module.exports = Marionette.ItemView.extend({

	template: Handlebars.compile(''),

	initialize: function() {
		var now = new Date();
		this.currentTime = now;
		this.currentDate = now;
		
		var datePicker = $('#map-date').pickadate({
            onStart: function(e) {
                this.set('select', [now.getFullYear(), now.getMonth(), now.getDate()]);
            },

            onClose: function(date) {
                App.execute('dateChanged', this.currentDate);
            }.bind(this),

            onSet: function(date) {
                this.currentDate = new Date(date.select);
            }.bind(this)
        });

        var timePicker = $('#map-time').pickatime({
            onStart: function(e) {
                this.set('select', [now.getFullYear(), now.getMonth(), now.getDate()]);
            },

            onClose: function(time) {
                App.execute('timeChanged', this.currentTime);
            }.bind(this),

            onSet: function(time) {
                this.currentTime = new Date(time.select);
            }.bind(this)
        });
	}
});