'use strict';

var App = require('app/app');
var MapHelper = require('app/map-helper');

module.exports = Marionette.ItemView.extend({
	tagName: 'li',
    id: 'day-night',
    className: 'filter-toggle',
    template: Handlebars.compile('<span id="day-night-input"> Day/Night Line</span>'),

    initialize: function() {
    	this.mapHelper = new MapHelper();

        App.commands.setHandler('toggleDayNightLayer', function() {
            this.toggleDayNightLayer();
        }.bind(this));

        App.reqres.setHandler('isDayNightLayerActive', function() {
            return this.isActive();
        }.bind(this));
    },

    isActive: function() {
        return this.el.classList.contains('active');
    },

    onRender: function() {
        this.$el.click(this.toggleDayNightLayer.bind(this));
    },

    toggleDayNightLayer: function() {
        if(this.el.classList.contains('active')) {
            this.el.classList.remove('active');
            this.mapHelper.removeDayNightLayer();
            App.execute('updateDayNightToggles', false);
        }
        else {
            this.el.classList.add('active');
            this.mapHelper.showDayNightLayer();
            App.execute('updateDayNightToggles', true);
        }
    }
});