'use strict';

var tour = require('app/tour');
var HomeController = require('app/home-controller');
var VerifyTweetsController = require('app/verify-tweets-controller');
var EventExplorerController = require('app/event-explorer-controller');
var SettingsController = require('app/settings-controller');
var LandingPageController = require('app/landing-page-controller');
var Base = require('app/base');
var App = require('app/app')

var Router = Marionette.AppRouter.extend({
	routes: {
		'verify-tweets': 'verifyTweets',
		'event-explorer': 'eventExplorer',
		'settings': 'settings',
		'landing': 'landingPage',
		'': 'home'
	},

	initialize: function() {
		App.commands.setHandler('routeAuroraMap', _.bind(function(data) {
			this.home(data);
			this.navigate('');
		},this));
	},

	home: function() {
		App.main.reset();

		this.homeController = this.homeController || new HomeController();
		this.homeController.showPage();

		tour.init();
		tour.start();
	},

	verifyTweets: function() {
		var controller = new VerifyTweetsController();
		controller.showPage();

	},

	eventExplorer: function(){
		new EventExplorerController();
	},

	settings: function(){
		new SettingsController({
			$settingsEl: $('#contentContainer')
		});
	},

	landingPage: function(){
		new LandingPageController();
	}

});

new Base();
new Router();

Backbone.history.start({pushState : true, root: "/" });