'use strict'

var Map = require('app/map.js');
var EventCollection = require('app/event-collection');
var EventExplorerView = require('app/event-explorer-view');

module.exports = Marionette.Controller.extend({
    initialize: function(options) {
        this.initMap();
        this.initEventPlayer(options.events);
    },

    initMap: function() {
        var config = { $container: $('#map-canvas') };
        var map = new Map(config);
        map.render();
    },

    initEventPlayer: function(events) {
        var collection = new EventCollection();
        collection.fetch()
            .done(function(){
                var selectorView = new EventExplorerView({
                    collection: collection,
                    el: $('#top-subnav-container')
                }).render();
            });
    }
});