'use strict';

var Utils = require('app/utils');
var App = require('app/app');
var Dropdown = require('app/dropdown');
var Dropups = require('app/dropups');
var MobileUtils = require('app/mobile-utils');

module.exports = function(){
    $(document).imagesLoaded(function(){
        var actionEvent = 'mousedown';

        function showChildren(){
            var element = this;
            toggle($(element).children('ul'), null);
            $(element).off();

            $(element).children('ul').children('li.closeButton').off().on(actionEvent,function(e){
                toggle($(element).children('ul'), function(){
                    $(element).on(actionEvent, showChildren);
                    e.stopPropagation();
                });
                e.stopPropagation();
            });
        }

        function toggle(jElement, callback){
            if(jElement.css('display') == 'none') {
                jElement.show();
            }
            else {
                jElement.hide();
            }

            if (callback instanceof Function){
               callback();
            }
        }

        function variableResize(){
            Utils.mapResize(false);

            if (window.screen.width <= 962) {
                var docWidth = $(window).width();

                var docHeight = $(window).height();
                var headHeight = $('header').height();
                var filterHeight = $('#filterBar').height();

                if (window.screen.width <= 360){
                    filterHeight = $('.bottomNavBar').height();
                }

                $('#map-canvas').height(docHeight - headHeight - filterHeight);
                $('#map-canvas').width(docWidth);
            }
        }

        App.execute('resizeMap');

        function affixFooter() {
            var $footer = $('footer');
            $footer.css('position', 'absolute');
            $footer.css('bottom', 0);
            $footer.css('left', 0);
            $footer.css('right', 0);
        };

        var alertCloseButton = $('.alertx');
        alertCloseButton.on(actionEvent, function(){
            $('#alert').removeClass('active');
        });

        var filterBarItems = $('#filterBar > ul > li:not(.listHeader)');
        filterBarItems.on(actionEvent, Dropups.toggle);

        window.onresize = variableResize;

        $('.mobileFilterButton').on(actionEvent, showChildren);
        $('.mobileLegendButton').on(actionEvent, showChildren);

        affixFooter();
        variableResize();
    });
};