'use strict';




var App = require('app/app');

module.exports = {

    updateFromElementsWithVals: function() {
        _.each(this.$('textarea:not([data-capture-exclude=true]), '+
                      'input[type=text]:not([data-capture-exclude=true]), '+
                      'select:not([data-capture-exclude=true])'),
            function(element) {
            element = $(element);
            this.model.set(element.data('field'), element.val());
        }, this);
    },

    updateFromCheckboxes: function () {
        _.each(this.$('input[type=checkbox]input[data-field-struct=multi]'), function(checkbox) {
            var checkbox = this.$(checkbox);
            var fieldName = checkbox.data('field'),
                fieldVals = this.model.get(fieldName) || [],
                value = checkbox.val();

            if(checkbox.is(':checked')) {
                fieldVals.push(checkbox.val());
                this.model.set(fieldName, _.unique(fieldVals));    
            } else {
                var filtered = _.reject(fieldVals, function(val) { return val === value } );
                this.model.set(fieldName, filtered.length === 0 ? [] : filtered);
            }
        }, this);

        _.each(this.$('input[type=checkbox]input[data-field-struct=single]'), function(checkbox) {
            checkbox = $(checkbox);
            this.model.set(checkbox.data('field'), checkbox.is(':checked'));
        }, this);
    }
};