'use strict';

var App = require('app/app');

module.exports = Marionette.ItemView.extend({
	template: aur.tpl['landing-page-view-tpl'],

	ui: {
        auroraMap: '#auroraMap',
        reportASighting: '#reportASighting',
        
        spaceData: '#spaceData',
        verifyTweets: '#verifyTweets',
        
        settings: '#settings',
        leaderboard: '#leaderboard'
    },

    events: {
    	'click @ui.auroraMap': 'routeAuroraMap',
    	'click @ui.reportASighting': 'routeReportASighting',
    	
    	'click @ui.spaceData': 'routeSpaceData',
    	'click @ui.verifyTweets': 'routeVerifyTweets',
    	
    	'click @ui.settings': 'routeSettings',
    	'click @ui.leaderboard': 'routeLeaderboard'
    },

	onRender: function() {
		$('main').height($(window).height() - $('header').outerHeight());
	},

	routeAuroraMap: function(){
		App.execute('routeAuroraMap');
	},

	routeReportASighting: function(){
		App.execute('routeReportASighting');
	},
	
	routeSpaceData: function(){
		App.execute('routeSpaceData');
	},

	routeVerifyTweets: function(){
		App.execute('routeVerifyTweets');
	},
	
	routeSettings: function(){
		App.execute('routeSettings');
	},

	routeLeaderboard: function(){
		App.execute('routeLeaderboard');
	}

});