'use strict';

var LeaderBoard = require('app/leaderboard');
var C = require('app/consts');

module.exports = Backbone.PageableCollection.extend({
    url: C.get('host') + '/gamification/leaderboard',
    model: LeaderBoard,

    state: {
        pageSize: 15
    },

    parseRecords: function(resp, options) {
        return resp.results;
    },

    parseLinks: function(resp, options) {
        var links = {
            next: resp.next,
            prev: resp.previous,
            first: this.url
        };

        return links;
    },

    parseState: function (resp, queryParams, state, options) {
        return {
            totalRecords: resp.count
        };
    }
});