'use strict';

var LeaderBoardItemView = require('app/leaderboard-item-view')
var MobileNav = require('app/mobile-nav');

var leaderboardCompositeView = Marionette.CompositeView.extend({
    template: aur.tpl['leaderboard-composite-view-tpl'],

    childViewContainer: 'tbody',
    childView: LeaderBoardItemView,

    ui: {
        nextButton: '#moreLeaders',
        prevButton: '#lessLeaders',
        backNav: '#mobileBackButton'
    },

    events: {
        'click @ui.nextButton': 'showNext',
        'click @ui.prevButton': 'showPrev'
    },

    initialize: function() {
        this.listenTo(this.collection, 'reset', this.updateUIButtons);
        this.updatePagingStatus();
    },

    onRender: function(){
        if (window.cordova){
            this.ui.backNav.on('click', MobileNav.navBack);
        }
    },

    updatePagingStatus: function() {
        this.model.set('hasNext', this.collection.hasNextPage());
        this.model.set('hasPrevious', this.collection.hasPreviousPage());
    },

    updateUIButtons: function() {
        this.updatePagingStatus();
        this.render();
    },

    showPrev: function() {
        if(this.collection.hasPreviousPage()) this.collection.getPreviousPage({reset: true});
    },

    showNext: function() {
        if(this.collection.hasNextPage()) this.collection.getNextPage({reset: true});
    },
});

_.extend(leaderboardCompositeView.prototype, MobileNav);
module.exports = leaderboardCompositeView ;