'use strict';

var LeaderBoardCollection = require('app/leaderboard-collection');
var LeaderBoardCompositeView = require('app/leaderboard-composite-view');
var App = require('app/app');

module.exports = Marionette.Controller.extend({
    initialize: function(config) {
        if(config) this.$selector = config.$selector;
    },

    showPage: function() {
        var collection = new LeaderBoardCollection();
        collection.fetch()
        .done(_.bind(function() {
            var view = new LeaderBoardCompositeView({
                collection: collection,
                model: new Backbone.Model()
            });

            if(window.cordova) App.main.show(view);
            else this.$selector.html(view.render().el);
        }, this));
    }
});