'use strict';

var C = require('app/consts');

module.exports = {
	saveMobilePhoto: function(imageData, options) {
        var deferred = $.Deferred();
        var ft = new FileTransfer();
        ft.upload(
            imageData, 
            C.get('host') + '/web-obs/image', 
            _.bind(function(result) {
                deferred.resolve(JSON.parse(result.response));
            }, this), function(error) {
                if(error.code === FileTransferError.CONNECTION_ERR ||
                    error.code === FileTransferError.INVALID_URL_ERR ||
                    error.code === FileTransferError.FILE_NOT_FOUND_ERR) {
                    this.mobileImageUploadFailed('Code: ' + error.code);
                }
                console.log("upload error source " + error.source);
                console.log("upload error target " + error.target);

                deferred.reject();
            }, 
            options
        );

        return deferred;
    }
};