'use strict';

var App = require('app/app');
var AffirmativeReportPopupView = require('app/affirmative-report-popup-view');
var NegativeReportPopupView = require('app/negative-report-popup-view');
var WebObservation = require('app/web-observation');

module.exports = Marionette.ItemView.extend({

    template: Handlebars.compile(
		'<div class="web-obs-decision-container">'+
            '<div class="row">'+
                '<h1>Did you see the aurora?</h1>' +
            '</div>'+
            '<div class="row">'+
                '<div class="small-12 columns">'+
                    '<button class="focal-btns affirmativeButton" id="yesButton" >Yes</button>' +
                '</div>'+
                '<div class="small-12 columns">'+
                    '<button class="focal-btns negativeButton" id="noButton">No</button>'+
                '</div>'+
            '</div>'+
        '</div>'
    ),

    ui: {
        yesButton: '#yesButton',
        noButton: '#noButton',
    },

    events: {
        'click @ui.yesButton': 'toggleAffirmativeReportPopup',
        'click @ui.noButton': 'toggleNegativeReportPopup',
    },

    toggleAffirmativeReportPopup: function(){
        var view = new AffirmativeReportPopupView({
            model: new WebObservation()
        });
        App.main.show(view);
    },

    toggleNegativeReportPopup: function(){
        var view = new NegativeReportPopupView({
            model: new WebObservation()
        });
        App.main.show(view);
    }
});