'use strict';

var App = require('app/app');
var BaseWebObservationReportView = require('app/base-web-observation-report-view')

var NegativeReportPopup = Marionette.ItemView.extend({

    id: 'reportPopup',

    template: aur.tpl['negative-report-popup-view-tpl'],

    ui: {
        close: '.popupx',
        submit: '.affirmativeButton',
        cancel: '.negativeButton',
        startDate: '#start-date',
        startTime: '#start-time',
        endDate: '#end-date',
        endTime: '#end-time',
        searchInput: '#location',
        messages: '#web-observation-messages',
        mobileCancel: '#mobile-cancel-web-report',
        mobileSubmit: '#mobile-save-web-report'
    },

    events: {
        'click @ui.mobileSubmit': 'submit',
        'click @ui.mobileCancel': 'closeView',
        'click @ui.mobileSave': 'submit',
        'click @ui.close': 'closeView',
        'click @ui.cancel': 'closeView',
        'click @ui.submit': 'submit',
        'blur input[type=date], input[type=checkbox], input[type=text], select, textarea': 'updateModel'
    },

    errorMsg: 'Oops, it looks like we had a problem saving your observation.',
    successMsg: "Thanks for the report!",

    onInitialize: function() {
        this.model.set('see_aurora', false);
    }
});

_.extend(NegativeReportPopup.prototype, BaseWebObservationReportView);

module.exports = NegativeReportPopup;