'use strict';

var App = require('app/app');
var BaseSightingFilterView = require('app/base-sighting-filter-view');
var C = require('app/consts');

var NegativeSightingFilterView = Marionette.ItemView.extend({
    id: 'negativeListItem',
    template: Handlebars.compile(
        '<span id="negative-sighting-input">Negative Sighting</span>'+
        '<span class="first-legend-icon negative-sighting-icon"></span>'+
        '<span class="second-legend-icon negative-group-sighting-icon"></span>'+
        '<span class="legend-icon-group-text">10+</span>'
    ),

    negSighting: true,

    markerClickedEvent: 'negativeWebSightingMarkerClicked',
    updateMessage: 'negativeSightingFilterUpdate',
    isActiveMessage: 'negativeSightingFilterIsActive',
    toggleMessage: 'negativeSightingFilterToggle',

    unselectedIconUrl: C.get('host') + '/static/img/PinNegative.png',
    selectedIconUrl: C.get('host') + '/static/img/PinNegative-highlight.png',
    groupLayerIcon: C.get('host') + '/static/img/PinNegativeGroup.png',

    initialize: function() {
        this.onInitialize();
    },

    onRender: function() {
        this.$el.click(this.toggleLayer.bind(this));
    }
});

_.extend(NegativeSightingFilterView.prototype, BaseSightingFilterView);

module.exports = NegativeSightingFilterView;