'use strict';

var BaseSightingFilterView = require('app/base-sighting-filter-view');
var C = require('app/consts');

var PositiveSightingFilterView = Marionette.ItemView.extend({
    template: Handlebars.compile(
        '<span id="positive-sighting-input">Positive Sighting</span>'+
        '<span class="first-legend-icon positive-sighting-icon"></span>'+
        '<span class="second-legend-icon positive-group-sighting-icon"></span>'+
        '<span class="legend-icon-group-text">10+</span>'
    ),

    posSighting: true,
    markerClickedEvent: 'positiveWebSightingMarkerClicked',

    updateMessage: 'positiveSightingFilterUpdate',
    isActiveMessage: 'positiveSightingFilterIsActive',
    toggleMessage: 'positiveSightingFilterToggle',

    unselectedIconUrl: C.get('host') + '/static/img/PinPositive.png',
    selectedIconUrl: C.get('host') + '/static/img/PinPositive-highlight.png',
    groupLayerIcon: C.get('host') + '/static/img/PinPositiveGroup.png',

    initialize: function() {
        this.onInitialize();
    },

    onRender: function() {
        this.$el.click(this.toggleLayer.bind(this));
    }
});

_.extend(PositiveSightingFilterView.prototype, BaseSightingFilterView);

module.exports = PositiveSightingFilterView;