'use strict'

var MobileNav = require('app/mobile-nav');

var ProfileLayout = Marionette.LayoutView.extend({

	template: Handlebars.compile(
		'<div class="row pageTitle">' +
			'<h2 class="large-12 columns">' + 
				'{{#ifIsMobile}}' + 
					'<span id="mobileBackButton"><img src="img/NavBackIcon.png"></span>' +
				'{{/ifIsMobile}} My Aurorasaurus' +
			'</h2>' +
		'</div>' +
		'<div class="row">'+
			'<div id="leftCol" class="large-2 small-12 columns"></div>'+
			'<section class="large-10 small-12 columns">'+
				'<div id="firstSection"></div>'+
				'<div id="secondSection"></div>'+
				'<div id="thirdSection"></div>'+
			'</section>'+
		'</div>'
	),

	ui:{
		backNav: '#mobileBackButton'
	},

	onRender: function(){
		if (window.cordova){
			this.ui.backNav.on('click', MobileNav.navBack);
		}
	},

	regions: {
		leftCol: '#leftCol',
		firstSection: '#firstSection',
		secondSection: '#secondSection',
		thirdSection: '#thirdSection'
	}
});

_.extend(ProfileLayout.prototype, MobileNav);
module.exports = ProfileLayout;