'use strict';

var App = require('app/app');

module.exports = Marionette.ItemView.extend({

    template: Handlebars.compile(
		'<li class="noBg">Did you see the aurora?</li>' +
		'<li class="noBg"><input id="yesButton" class="affirmativeButton" type="button" value="Yes"></li>' +
		'<li class="noBg"><input id="noButton" class="negativeButton" type="button" value="No"></li>'
    ),

    ui: {
        yesButton: '#yesButton',
        noButton: '#noButton',
    },

    events: {
        'click @ui.yesButton': 'toggleAffirmativeReportPopup',
        'click @ui.noButton': 'toggleNegativeReportPopup',
    },

    initialize: function() {
    	
    },

    toggleAffirmativeReportPopup: function(){
        App.vent.trigger('open-affirmative');
    },

    toggleNegativeReportPopup: function(){
        App.vent.trigger('open-negative');
    },
});