'use strict';

var SpinUtil = function() {
	this.isMobile = window.cordova;
	this.spinners = [];
}

SpinUtil.prototype.spin = function($els) {
	if(!window.cordova) {
		var opts = {
		  lines: 7, // The number of lines to draw
		  length: 0, // The length of each line
		  width: 10, // The line thickness
		  radius: 8, // The radius of the inner circle
		  corners: 1, // Corner roundness (0..1)
		  rotate: 0, // The rotation offset
		  direction: 1, // 1: clockwise, -1: counterclockwise
		  color: '#000', // #rgb or #rrggbb or array of colors
		  speed: 2, // Rounds per second
		  trail: 63, // Afterglow percentage
		  shadow: false, // Whether to render a shadow
		  hwaccel: false, // Whether to use hardware acceleration
		  className: 'spinner', // The CSS class to assign to the spinner
		  zIndex: 2e9, // The z-index (defaults to 2000000000)
		  top: '50%', // Top position relative to parent
		  left: '50%' // Left position relative to parent
		};
		_.each($els, function(el) {
			this.spinners.push(new Spinner(opts).spin(el));
		}, this);
	}
}

SpinUtil.prototype.stop = function() {
	_.each(this.spinners, function(spinner) {
		spinner.stop();
	});
}

module.exports = SpinUtil;