'use strict';

var App = require('app/app');
var BaseMapControlView = require('app/base-map-control-view');

var TwitterFilterBaseView = {

    initHandlers: function() {
        this.collection.bind('reset', this.showLayer.bind(this));

        App.vent.on('mapDateChanged', function(dateString) {
            this.currentMoment = moment(dateString);
            if(this.isActive()) {
                this.removeLayer();
                this.getLayerData(1);
            }
        }.bind(this));

        this.listenTo(this.collection, "add", function() {
            this.getLayerData(1);
        }.bind(this));
    },

    removeLayer: function() {
        this.mapHelper.removeCluster();
        this.el.classList.remove('active');
    }
};

_.extend(TwitterFilterBaseView, BaseMapControlView);

module.exports = TwitterFilterBaseView;