'use strict';

var BaseTwitterObservationCollection = require('app/base-twitter-observation-collection');

module.exports = Backbone.PageableCollection.extend({
	state: {
		pageSize: 200,
		currentPage: 0
	},

	queryParams: {
		pageSize: 'page_size'
	},

	parseRecords: function(resp, options) {
		return resp.results;
	},

	parseLinks: function(resp, options) {
		var links = {
			next: resp.next,
			prev: resp.previous,
			first: this.url
		};

		return links;
	},

	parseState: function (resp, queryParams, state, options) {
		return {totalRecords: resp.count};
	}
}).extend(BaseTwitterObservationCollection);