'use strict';

var App = require('app/app');

module.exports = {

    formatText: function(text){
        return this.parseContent(text.trim());
    },

    parseContent: function(plainText){
        var content = this.matchURLs(plainText);
        content = this.matchTags(content);
        content = this.matchMentions(content);

        return content
    },

    matchURLs: function(content){
        var regex = new RegExp(/http:\/\/t\.co\/[\w|\d]*\b/gi);
        var matches = content.match(regex);
        if (matches != null){
            for(var i=0; i < matches.length; i++){
                var url = matches[i];
                var link = '<a href="' + url + '" target="_blank">' + url + '</a>';
                content = content.replace(url, link);
            }
        }
        return content;
    },

    matchTags: function(content){
        var regex = new RegExp(/#[\w|\d]*\b/gi);
        var matches = content.match(regex);
        if (matches != null){
            for(var i=0; i < matches.length; i++){
                var tag = matches[i];
                var link = '<a href="https://twitter.com/hashtag/' + tag.substr(1,tag.length) + '" target="_blank">' + tag + '</a>';
                content = content.replace(tag, link);
            }
        }
        return content;
    },

    matchMentions: function(content){
        var regex = new RegExp(/@[\w|\d]*\b/gi);
        var matches = content.match(regex);
        if (matches != null){
            for(var i=0; i < matches.length; i++){
                var mention = matches[i];
                var link = '<a href="https://twitter.com/' + mention.substr(1,mention.length) + '" target="_blank">' + mention + '</a>';
                content = content.replace(mention, link);
            }
        }
        return content;
    }
};