'use strict';

var C = require('app/consts');

module.exports = Backbone.Model.extend({
	urlRoot: C.get('host') + '/user-profile',
	name: 'userProfile',

	defaults: {
		'email': null
	},

	validation: {
		nickname: {
			required: true,
			maxLength: 20,
			minLength: 1
		},
		
		'user.email': {
			pattern: 'email',
			required: true,
			msg: "Email isn't valid"
		},

		privacy_policy: {
			required: true,
			acceptance: true
		},

		'location.name': {
			required: true,
			msg: "Location isn't valid"
		},

		plans: {
			required: false,
			maxLength: 500
		},

		about: {
			required: false,
			maxLength: 500
		}
	}
});