'use strict'

module.exports = {
	defaultDateFmtWithTZ: function() {
		return 'YYYY-MM-DDTHH:mmZZ';
	},

	defaultDateFmt: function() {
		return 'YYYY-MM-DD HH:mm';
	},

	fmtDefault: function(aMoment) {
		return aMoment.format(this.defaultDateFmt());
	},

	fmtTwtrProfileLink: function(screenName) {
		return 'https://twitter.com/' + screenName;
	},

	round15Minutes: function(aMoment) {
		return this.roundXMinutes(aMoment, 15);
	},

	roundXMinutes: function(aMoment, minutes) {
		aMoment.minutes(aMoment.minutes() - (aMoment.minutes() % minutes));
        aMoment.seconds(0);
        return aMoment;
	},

	elHeights: function() {
		return {
			headerHeight: $('header').height(),
			footerHeight: $('footer').height(),
			filterBarHeight: $('#filterBar').height(),
			windowHeight: $(document).height(),
			fetchWindowHeight: function(){return $(document).height();}
		};
	},

	mapResize: function(fullscreen){
		var elHeights = this.elHeights();
		var mainMarginTop = $('main').css('margin-top');
		var paddingBetweenHeaderAndMap = 5;

		if (fullscreen){
			$('main').height(screen.height - elHeights.filterBarHeight)
				.css('margin-top', '0px');
		}
		else{
			$('main').height(elHeights.windowHeight-elHeights.headerHeight-elHeights.filterBarHeight-elHeights.footerHeight + paddingBetweenHeaderAndMap)
				.css('margin-top', elHeights.headerHeight - paddingBetweenHeaderAndMap);
		}
    },

	round15MinutesAndFmt: function(aMoment) {
		return fmtDefault(round15Minutes(aMoment));
	}
};
