'use strict';

var C = require('app/consts');
var Utils = require('app/utils');
var App = require('app/app');
var TweetVoteCompositeView = require('app/tweet-vote-composite-view');
var TwitterObservationNonPageableCollection = require('app/twitter-observation-non-pageable-collection');
var MainTweetView = require('app/main-tweet-view');

module.exports = Marionette.Controller.extend({

	initTweetVoteList: function() {
		var collection = new TwitterObservationNonPageableCollection();
		var params = {
			end_date: moment().format(Utils.defaultDateFmtWithTZ()),
			page_size: C.get('VERIFY_TWEETS_COLLECTION_SIZE'),
			page: 1,
			order_by: '-created_at'
		};
		collection.fetch({data: $.param(params)}).done(function(data) {
			collection.reset(data.results);
			new TweetVoteCompositeView({
				collection: collection,
				el: $('#tweet-list-container')
			}).render();
		}.bind(this));
	},

	showPage: function() {
		App.main.show(new MainTweetView({model: new Backbone.Model()}));

		this.initTweetVoteList();
	}
});