'use strict';

var Utils = require('app/utils');
var WebObservation = require('app/web-observation');
var C = require('app/consts');

module.exports = Backbone.PageableCollection.extend({
	url: C.get('host') + '/web-obs/list',
	model: WebObservation,

	state: {
		pageSize: 200,
		currentPage: 0
	},

	queryParams: {
		pageSize: 'page_size'
	},

	parseRecords: function(resp, options) {
		return resp.results;
	},

	parseState: function (resp, queryParams, state, options) {
		return {totalRecords: resp.count};
	}
});