/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var tour = __webpack_require__(1);
	var HomeController = __webpack_require__(2);
	var VerifyTweetsController = __webpack_require__(3);
	var SettingsController = __webpack_require__(4);
	var LandingPageController = __webpack_require__(5);
	var LoginController = __webpack_require__(6);
	var LeaderboardController = __webpack_require__(7);
	var MobileHeaderView = __webpack_require__(8);
	var Base = __webpack_require__(9);
	var MobileBase = __webpack_require__(10);
	var App = __webpack_require__(11);
	var Home = __webpack_require__(12);
	var MobileWebObservationDecisionView = __webpack_require__(13);
	var StormTrackerView = __webpack_require__(14);
	var Authentication = __webpack_require__(15);

	var Router = Marionette.AppRouter.extend({
		routes: {
			'': 'map',
			'verify-tweets/': 'verifyTweets',
			'space-data/': 'spaceData',
			'leaderboard/': 'leaderboard',
			'settings/': 'settings',
			'landing/': 'landingPage'
		},

		initialize: function() {
			this.auth = new Authentication();

			App.commands.setHandler('routeAuroraMap', _.bind(function(data) {
				this.map(data);
				this.navigate('');
			},this));

			App.commands.setHandler('routeVerifyTweets', _.bind(function(data) {
				this.verifyTweets(data);
				this.navigate('verify-tweets/');
			},this));

			App.commands.setHandler('routeSpaceData', _.bind(function(data) {
				this.spaceData(data);
				this.navigate('space-data/');
			},this));

			App.commands.setHandler('routeLeaderboard', _.bind(function(data) {
				this.leaderboard(data);
				this.navigate('leaderboard/');
			},this));

			App.commands.setHandler('routeSettings', _.bind(function(data) {
				this.navigate('settings/');
				this.settings(data);
			},this));

			App.commands.setHandler('routeLanding', _.bind(function(data) {
				this.landingPage(data);
				this.navigate('landing/');
			},this));

			App.commands.setHandler('routeReportASighting', _.bind(function(data) {
				this.report();
				this.navigate('sighting/');
			},this));

			App.vent.on('logout', _.bind(function() {
				this.landingPage();
			}, this));
		},

		map: function() {
			var initialized = !!this.homeController;

			if(initialized) {
				this.homeController.showPage();
			} else {
				this.homeController = new HomeController();
				this.homeController.showPage();

				tour.init(true);
				tour.start();
			}
		},

		verifyTweets: function() {
			this.verifyController = this.verifyController || new VerifyTweetsController();
			this.verifyController.showPage();
		},

		spaceData: function(){
			App.main.show(new StormTrackerView({
				model: new Backbone.Model()
			}));
		},

		leaderboard: function(){
			this.leaderboardController = this.leaderboardController || new LeaderboardController();
			this.leaderboardController.showPage();
		},

		settings: function(){
			var controller;

			if(this.auth.isAuthenticated()) {
				controller = new SettingsController();
				controller.showPage();
			} else {
				controller = new LoginController();
				controller.showPage();
			}
		},

		landingPage: function(){
			var initialized = !!this.landingPageController;

			if(!initialized) {
				$('header').html(new MobileHeaderView({model: new Backbone.Model()}).render().el);
				this.landingPageController = new LandingPageController();
			}		

			this.landingPageController.showPage();
		},

		report: function() {
			var view = new MobileWebObservationDecisionView({model: new Backbone.Model()});
			App.main.show(view);
		}

	});

	new Base();
	new MobileBase();
	new Router();

	Backbone.history.start({root: '/', silent: true});
	Backbone.history.navigate('landing/', {trigger: true});

/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	var tour = new Tour({
	    // Set "storage: false" to see tour every visit
	    storage: window.localStorage,
	    backdrop: false,
	    steps: [
	        {
	            element: "#learnItem",
	            title: "Learn",
	            content: "Learn more about where aurora comes from and what we hope to learn about it.",
	            placement: 'bottom'
	        },
	        {
	            element: "#registerItem",
	            title: "Register",
	            content: "Join our community for the only custom alerts based on your location.",
	            placement: 'bottom'
	        },
	        {
	            element: "#newsItem",
	            title: "Blog",
	            content: "Read our blog! It is updated regularly with news and information we want to share with you.",
	            placement: 'bottom'
	        },
	        {
	            element: "#legendItem",
	            title: "Legend",
	            content: "Customize your map view to see citizen science reports, those from Twitter, and more.",
	            placement: 'top'
	        },
	        {
	            element: "#weatherItem",
	            title: "Weather",
	            content: "Take into account darkness and cloud cover in your map view.",
	            placement: 'top'
	        },
	        {
	            element: "#aurorasItem",
	            title: "Aurora Filters",
	            content: "Here are different estimates about where the aurora is and will be in the next few hours",
	            placement: 'top'
	        },
	        {
	            element: "#verifyItem",
	            title: "Verify Tweets",
	            content: "We need your help to verify true aurora sightings!",
	            placement: 'bottom'
	        },
	        {
	            element: "#sightingControlItem",
	            title: "Did you see the aurora?",
	            content: "Be a citizen scientist! Share your observations so that we can improve our aurora forecast.",
	            placement: 'bottom'
	        },
	        {
	            element: "#socialList",
	            title: "Social",
	            content: "Tell your friends!",
	            placement: 'top'
	        },
	        {
	            element: "#helpItem",
	            title: "Help",
	            content: "Got questions? Answers start here!",
	            placement: 'bottom'
	        }
	    ]
	});

	App.commands.setHandler('endTour', function() {
	    if(!tour.ended()) tour.end();
	});

	module.exports = tour

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var Base = __webpack_require__(9);
	var ScientistCollection = __webpack_require__(16);
	var WebObservationCollection = __webpack_require__(17);
	var TwitterObservationCollection = __webpack_require__(18);
	var Map = __webpack_require__(19);
	var OvalForecastView = __webpack_require__(20);
	var OvalEstimateView = __webpack_require__(21);
	var ViewLineView = __webpack_require__(22);
	var DateAndTimePickerView = __webpack_require__(23);
	var SightingHeatmapLayerView = __webpack_require__(24);
	var OtherMapControlsView = __webpack_require__(25);
	var MapDrawerLayout = __webpack_require__(26);
	var SightingControlsView = __webpack_require__(27);
	var ScientistFilterView = __webpack_require__(28);
	var PositiveSightingFilterView = __webpack_require__(29);
	var NegativeSightingFilterView = __webpack_require__(30);
	var TwitterUnverifiedFilterView = __webpack_require__(31);
	var TwitterVerifiedFilterView = __webpack_require__(32);
	var ViewLineLegendView = __webpack_require__(33);
	var OvalEstimateLegendView = __webpack_require__(34);
	var DayNightLayerView = __webpack_require__(35);
	var HelpPopupView = __webpack_require__(36);
	var MobileOvalForecastView = __webpack_require__(37);
	var MobileOvalEstimateView = __webpack_require__(38);
	var MobileCitizenEstimateView = __webpack_require__(39);
	var MobileCloudCoverView = __webpack_require__(40);
	var MobileCurrentConditionsView = __webpack_require__(41);
	var MobileDayNightLayerView = __webpack_require__(42);
	var MobilePositiveSightingFilterView = __webpack_require__(43);
	var MobileNegativeSightingFilterView = __webpack_require__(44);
	var MobileTwitterUnverifiedFilterView = __webpack_require__(45);
	var MobileTwitterVerifiedFilterView = __webpack_require__(46);
	var MobilePositiveSightingFilterView = __webpack_require__(43);
	var MobileViewLineLegendView = __webpack_require__(47);
	var MobileOvalEstimateLegendView = __webpack_require__(48);
	var MobileScientistLegendView = __webpack_require__(49);
	var MobileViewLineView = __webpack_require__(50);
	var WhatAreTheEstimatesLegendView = __webpack_require__(51);
	var WhatAreTheEstimatesView = __webpack_require__(52);
	var OvalLegendView = __webpack_require__(53);
	var Home = __webpack_require__(12);
	var MainMapView = __webpack_require__(54);
	var tour = __webpack_require__(1);

	module.exports = Marionette.Controller.extend({

	    initOvalFilters: function() {
	        if(!window.cordova) {
	            this.initViewAndAppendWithCollection(WhatAreTheEstimatesView, '#estimates-container', Backbone.Model);
	        }
	        this.initOvalEstimateView();
	        this.initViewLineView();
	        this.initViewAndAppendWithModel(SightingHeatmapLayerView, '#estimates-container', Backbone.Model);
	    },

	    initWeatherFilters: function() {
	        this.initViewAndAppendWithModel(DayNightLayerView, '#weather-container', Backbone.Model);
	    },

	    initLegend: function() {
	        if(!window.cordova) {
	            this.initViewAndAppendWithCollection(WhatAreTheEstimatesLegendView, '#map-legend', Backbone.Model);
	        }
	        this.initViewAndAppendWithCollection(OvalEstimateLegendView,     '#map-legend', Backbone.Model);
	        this.initViewAndAppendWithCollection(ViewLineLegendView,         '#map-legend', Backbone.Model);
	        this.initViewAndAppendWithCollection(PositiveSightingFilterView, '#map-legend', WebObservationCollection);
	        this.initViewAndAppendWithCollection(NegativeSightingFilterView, '#map-legend', WebObservationCollection);
	        this.initViewAndAppendWithCollection(TwitterUnverifiedFilterView,'#map-legend', TwitterObservationCollection);
	        this.initViewAndAppendWithCollection(TwitterVerifiedFilterView,  '#map-legend', TwitterObservationCollection);
	        this.initViewAndAppendWithCollection(ScientistFilterView,        '#map-legend', ScientistCollection);
	    },

	    initPopups: function() {
	        if(!window.cordova) {
	            this.initViewAndPrependWithModel(HelpPopupView, 'main', Backbone.Model);
	        }
	    },

	    initViewLineView: function() {
	        var config = {
	            $container: $('#map-canvas')
	        };
	        var map = new Map(config);
	        map.render();

	        var view = new ViewLineView({
	            model: new Backbone.Model()
	        });

	        $('#estimates-container').append(view.render().el);
	    },

	    initOvalEstimateView: function() {
	        var config = {
	            $container: $('#map-canvas')
	        };
	        var map = new Map(config);
	        map.render();

	        var view = new OvalEstimateView({
	            model: new Backbone.Model()
	        });

	        $('#estimates-container').append(view.render().el);
	    },

	    initDateTimePicker: function() {
	        new DateAndTimePickerView({
	            model: new Backbone.Model()
	        }).render();
	    },

	    /*----- Mobile Cards ------*/
	    initMobileFilters: function(){
	        //estimates
	        this.initViewAndPrependWithModel(MobileCitizenEstimateView, '#mobile-estimates-container', Backbone.Model);
	        this.initViewAndPrependWithModel(MobileViewLineView, '#mobile-estimates-container', Backbone.Model);
	        this.initViewAndPrependWithModel(MobileOvalEstimateView, '#mobile-estimates-container', Backbone.Model);

	        //weather
	        this.initViewAndPrependWithModel(MobileDayNightLayerView, '#mobile-weather-container', Backbone.Model);
	    },

	    initMobileLegend: function(){
	        //legends
	        this.initViewAndAppendWithCollection(MobileOvalEstimateLegendView,    '#mobile-map-legend', Backbone.Model);
	        this.initViewAndAppendWithCollection(MobileViewLineLegendView,    '#mobile-map-legend', Backbone.Model);
	        this.initViewAndAppendWithCollection(MobilePositiveSightingFilterView, '#mobile-map-legend', WebObservationCollection);
	        this.initViewAndAppendWithCollection(MobileNegativeSightingFilterView, '#mobile-map-legend', WebObservationCollection);
	        this.initViewAndAppendWithCollection(MobileTwitterUnverifiedFilterView,'#mobile-map-legend',TwitterObservationCollection);
	        this.initViewAndAppendWithCollection(MobileTwitterVerifiedFilterView, '#mobile-map-legend', TwitterObservationCollection);
	        this.initViewAndAppendWithCollection(MobileScientistLegendView, '#mobile-map-legend', ScientistCollection);
	    },

	    initOvalLegend: function() {
	        this.initViewAndPrependWithModel(OvalLegendView, 'main', Backbone.Model);
	    },

	    /*-- View factories --*/
	    initViewAndAppendWithModel: function(Clazz, appendTo, Model){
	        var view = new Clazz({
	            model: new Model()
	        });
	        $(appendTo).append(view.render().el);
	    },

	    initViewAndPrependWithModel: function(Clazz, prependTo, Model){
	        var view = new Clazz({
	            model: new Model()
	        });
	        $(prependTo).prepend(view.render().el);
	    },

	    initViewAndInsertWithModel: function(Clazz, prependTo, Model){
	        var view = new Clazz({
	            model: new Model()
	        });
	        $(prependTo).html(view.render().el);
	    },

	    initViewAndAppendWithCollection: function(Clazz, appendTo, Collection){
	        var view = new Clazz({
	            collection: new Collection()
	        });
	        $(appendTo).append(view.render().el);
	    },

	    initViewAndPrependWithCollection: function(Clazz, prependTo, Collection){
	        var view = new Clazz({
	            collection: new Collection()
	        });
	        $(prependTo).prepend(view.render().el);
	    },

	    showPage: function() {
	        App.main.show(new MainMapView({model: new Backbone.Model()}));
	        new Home();
	        
	        this.initOvalFilters();
	        this.initWeatherFilters();
	        this.initLegend();
	        this.initOvalLegend();

	        setTimeout(function() {
	            this.initPopups();

	        }.bind(this), 3000);
	 
	        this.initMobileFilters();
	        this.initMobileLegend();

	        this.initDateTimePicker();
	        this.initViewAndPrependWithModel(OtherMapControlsView, 'main', Backbone.Model);
	        this.initViewAndPrependWithModel(MapDrawerLayout, 'main', Backbone.Model);

	        if(!window.cordova) {
	            tour.init();
	            tour.start();
	        } else {
	            window.analytics.trackView('Map');
	        }
	    }
	});

/***/ },
/* 3 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var App = __webpack_require__(11);
	var TweetVoteCompositeView = __webpack_require__(65);
	var VerifiableTweetCollection = __webpack_require__(66);
	var MainTweetView = __webpack_require__(67);

	module.exports = Marionette.Controller.extend({

		initTweetVoteList: function() {
			var collection = new VerifiableTweetCollection();
			var params = {
				page_size: C.get('VERIFY_TWEETS_COLLECTION_SIZE'),
				page: 1,
			};
			collection.fetch({data: $.param(params)}).done(function(data) {
				collection.reset(data.results);
				new TweetVoteCompositeView({
					collection: collection,
					el: $('#tweet-list-container')
				}).render();
			}.bind(this));
		},

		showPage: function() {
			if(window.cordova) window.analytics.trackView('Verify Tweets');
			
			App.main.show(new MainTweetView({model: new Backbone.Model()}));

			this.initTweetVoteList();
		}
	});

/***/ },
/* 4 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var UserProfile = __webpack_require__(55);
	var BadgeCollection = __webpack_require__(56);
	var RecentActivityCollection = __webpack_require__(57);
	var ProfileLayout = __webpack_require__(58);
	var ProfilePictureItemView = __webpack_require__(59);
	var UserProfileDetailsView = __webpack_require__(60);
	var UserProfileEditView = __webpack_require__(61);
	var RecentActivityCompositeView = __webpack_require__(62);
	var ProfileBadgesView = __webpack_require__(63);

	module.exports = Marionette.Controller.extend({

		layout: {},

		initialize: function(config) {
			this.config = config;

	        App.commands.setHandler('editProfileSettings', function() {
	            this.beginSettingsEdit();
	        }.bind(this));

	        App.commands.setHandler('doneEditingProfileSettings', function() {
	            this.endSettingsEdit();
	        }.bind(this));
		},

		showPage: function() {
			if(window.cordova) window.analytics.trackView('User Profile Settings');

			var fetches = [];
			this.badgeCollection = new BadgeCollection();
			this.recentActivityCollection = new RecentActivityCollection();
			this.userProfile = new UserProfile();

			fetches.push(this.userProfile.fetch());
			fetches.push(this.badgeCollection.fetch());
			fetches.push(this.recentActivityCollection.fetch());

			$.when.apply(this, fetches).done(_.bind(function() {
				this._showPage();
			}, this));
		},

		_showPage: function() {
			this.layout = new ProfileLayout();

			// Either render in "main" region (mobile) or on some passed in element (desktop)
			if(this.config && this.config.$container) {
				this.config.$container.html(this.layout.render().el);
			} else {
				App.main.show(this.layout);
			}

			this.layout.leftCol.show(new ProfilePictureItemView({model: this.userProfile}));
			this.layout.firstSection.show(new UserProfileDetailsView({ model: this.userProfile}));
			this.layout.secondSection.show(new ProfileBadgesView({
				collection: this.badgeCollection,
				model: this.userProfile
			}));
			this.layout.thirdSection.show(new RecentActivityCompositeView({
				model: new Backbone.Model(),
				collection: this.recentActivityCollection
			}));
		},

		beginSettingsEdit: function(){
			this.layout.firstSection.show(new UserProfileEditView({ model: this.userProfile }));
			this.layout.secondSection.reset();
			this.layout.thirdSection.reset();
		},

		endSettingsEdit: function(){
			this.showPage();
		}
	});

/***/ },
/* 5 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var LandingPageView = __webpack_require__(71);

	module.exports = Marionette.Controller.extend({
		initialize: function(options) {
	        this.showPage();

	        App.commands.setHandler('showLandingPage', function() {
	            this.showPage();
	            Backbone.history.navigate('landing/');
	        }.bind(this));
	    },

	    showPage: function(){
	        if(window.analytics) window.analytics.trackView('Landing Page');
	        
	    	var view = new LandingPageView({
	    		model: new Backbone.Model(),
	    	});

	        App.main.show(view);
	    }
	});

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var FinshRegistrationView = __webpack_require__(68);
	var UserProfile = __webpack_require__(55);
	var User = __webpack_require__(69);
	var LoginView = __webpack_require__(70);
	var Authentication = __webpack_require__(15);


	module.exports = Marionette.Controller.extend({

		layout: {},

		initialize: function(config) {
			this.auth = new Authentication();
		},

		showPage: function() {
			if(this.auth.isAuthenticated()) {
				App.execute('routeSettings');
			} else {
				App.main.show(new LoginView({model: new Backbone.Model()}));
			}
		}
	});

/***/ },
/* 7 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var LeaderBoardCollection = __webpack_require__(72);
	var LeaderBoardCompositeView = __webpack_require__(73);
	var App = __webpack_require__(11);

	module.exports = Marionette.Controller.extend({
	    initialize: function(config) {
	        if(config) this.$selector = config.$selector;
	    },

	    showPage: function() {
	        if(window.cordova) {
	            window.analytics.trackView('Leaderboard');
	        }
	        
	        var collection = new LeaderBoardCollection();
	        collection.fetch()
	        .done(_.bind(function() {
	            var view = new LeaderBoardCompositeView({
	                collection: collection,
	                model: new Backbone.Model()
	            });

	            if(window.cordova) App.main.show(view);
	            else this.$selector.html(view.render().el);
	        }, this));
	    }
	});

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var Dropdown = __webpack_require__(74);
	var AffirmativeReportPopupView = __webpack_require__(75);
	var NegativeReportPopupView = __webpack_require__(76);
	var WebObservation = __webpack_require__(77);
	var Authentication = __webpack_require__(15);
	var AboutUsView = __webpack_require__(78);
	var NotificationCollection = __webpack_require__(79);
	var NotificationsCompositeView = __webpack_require__(80);
	var RouterUtils = __webpack_require__(81);
	 
	var MobileHeaderView = Marionette.LayoutView.extend({
		template: aur.tpl['mobile-header-view-tpl'],

		ui: {
			verifyTweetsNav: '#verify-tweets-nav',
			reportSightingNav: '#report-sighting-nav',
			spaceDataNav: '#space-data-nav',
			mapNav: '#map-nav',
			profileNav: '#profile-nav',
			landingNav: '#landing-nav',
			leaderboardNav: '#leaderboard-nav',
			homeNav: '.mobile-logo',
			logoutItem: '#logout-item',
			sawAuroraBtn: '#yesButton',
			notSeeAuroraBtn: '#noButton',
			aboutUsNav: '#about-us-nav',

			mobileSightingButton: '#auroraReport',
			mobileNotificationsButton: '#notificationItem', 
			mobileMenuButton: '.navBarIcon',

			notificationContainer: '#notificationContainer',
			notificationItem: '#notificationItem'
		},

		events: {
			'click @ui.verifyTweetsNav': 'navVerifyTweets',
			'click @ui.reportSightingNav': 'navReportSighting',
			'click @ui.spaceDataNav': 'navSpaceData',
			'click @ui.mapNav': 'navMap',
			'click @ui.profileNav': 'navProfile',
			'click @ui.landingNav': 'navLanding',
			'click @ui.leaderboardNav': 'navLeaderboard',
			'click @ui.logoutItem': 'logout',
			'click @ui.homeNav': 'navLanding',
			'click @ui.sawAuroraBtn': 'handleSawAurora',
			'click @ui.notSeeAuroraBtn': 'handleNotSeeAurora',
			'click @ui.aboutUsNav': 'aboutUs'
		},

		initialize: function() {
			this.auth = new Authentication();

			App.vent.on('authenticated', _.bind(function() {
				this.ui.logoutItem.removeClass('hide');
				this.ui.profileNav.find('a').text('My Aurorasaurus');
			}, this));

			App.vent.on('logout', _.bind(function() {
				this.ui.profileNav.find('a').text('Login');
			}, this));
		},

		regions: {
			'notifications': '#notificationItem'
		},

		onRender: function(){
			var reportDropdown = new Dropdown();
			reportDropdown.init(this.ui.mobileSightingButton, this.$('#auroraReport > div'));

			var menuDropdown = new Dropdown();
			menuDropdown.init(this.ui.mobileMenuButton, this.$('#navBar > ul'));

			var notificationCollection = new NotificationCollection();
			this.notificationView = new NotificationsCompositeView({
				collection: notificationCollection,
				model: new Backbone.Model()
			});
			this.notifications.show(this.notificationView);
		},

		navVerifyTweets: function() {
			this.routeTo('routeVerifyTweets');
		},

		navReportSighting: function() {
			$('main').css('height', '100%');
			App.execute('routeReportASighting');
		},

		navSpaceData: function() {
			this.routeTo('routeSpaceData');
		},

		navMap: function() {
			this.routeTo('routeAuroraMap');
		},

		navProfile: function() {
			this.routeTo('routeSettings');	
		},

		navLanding: function() {
			this.routeTo('routeLanding');
		},

		navLeaderboard: function() {
			this.routeTo('routeLeaderboard');	
		},

		handleSawAurora: function() {
			var view = new AffirmativeReportPopupView({
	            model: new WebObservation()
	        });
	        App.main.show(view);
		},

		handleNotSeeAurora: function() {
			var view = new NegativeReportPopupView({
	            model: new WebObservation()
	        });
	        App.main.show(view);
		},

		aboutUs: function() {
			var view = new AboutUsView({
	            model: new Backbone.Model()
	        });
	        App.main.show(view);
		},

		logout: function() {
			this.ui.logoutItem.addClass('hide');
			this.auth.logout();
		}
	});

	_.extend(MobileHeaderView.prototype, RouterUtils);

	module.exports = MobileHeaderView;

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Dropdown = __webpack_require__(74);
	var HandlebarsHelpers = __webpack_require__(82);

	var Base = function() {
	    window.Aur = window.Aur || {};
	    
	    this.configAjax();
	    this.initBackboneValidators();
	    this.initPolyFills();
	    this.initDropdowns();
	    this.initFoundation();

	    var helpers = new HandlebarsHelpers();
	    helpers.registerHelpers();
	};

	_.extend(Base.prototype, {
	    initDropups: function() {
	        var $btns = $('button[data-toggle="dropup"]');
	        $btns.on('click', function(e) {
	            var $el = $(e.originalEvent.srcElement);
	            if (_.contains($btns, $el)) {
	                e.preventDefault();
	                return;
	            }
	            var $parent = $el.closest('.btn-group');
	            if ($parent.hasClass('open')) $parent.removeClass('open');
	            else $parent.addClass('open');
	        });
	    },

	    initDropdowns: function() {
	        if(!window.cordova) {
	            var notificationItem = new Dropdown();
	            notificationItem.init($('#notificationItem'), $('#notificationContainer'));
	        }
	    },

	    configAjax: function() {
	        $.ajaxSetup({
	            headers: {
	                'X-CSRFToken': $.cookie('csrftoken')
	            }
	        });
	    },

	    initBackboneValidators: function() {
	        Backbone.Validation.configure({
	            selector: 'id'
	        });
	        _.extend(Backbone.Validation.callbacks, {
	            valid: function(view, attr, selector) {
	                view.$('[data-field="'+ attr +'"]').removeClass('error');
	            },
	            invalid: function(view, attr, error, selector) {
	                view.$('[data-field="'+ attr +'"]').addClass('error');
	                view.$('#' + view.model.name + '-messages')
	                    .addClass('error-text')
	                    .removeClass('success-text')
	                    .append('<p>' + error + '</p>');
	                view.$('#' + view.model.name + '-messages')[0].scrollIntoView();
	            }
	        });
	    },

	    initPolyFills: function() {
	        if(!Array.isArray) {
	          Array.isArray = function(arg) {
	            return Object.prototype.toString.call(arg) === '[object Array]';
	          };
	        }
	    },

	    initFoundation: function() {
	        $(document).foundation({
	          tooltip: {
	            selector : '.has-tip',
	            additional_inheritable_classes : [],
	            tooltip_class : '.tooltip',
	            touch_close_text: 'tap to close',
	            disable_for_touch: false,
	            tip_template : function (selector, content) {
	              return '<span data-selector="' + selector + '" class="'
	                + Foundation.libs.tooltip.settings.tooltip_class.substring(1)
	                + '">' + content + '<span class="nub"></span></span>';
	            }
	          }
	        });
	    }
	});

	module.exports = Base;

/***/ },
/* 10 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var MobilePhotoService = __webpack_require__(83);
	var WebObservation = __webpack_require__(77);
	var LocationService = __webpack_require__(84);
	var MobileUtils = __webpack_require__(85);
	var SelectiveFastClick = __webpack_require__(86);
	var config = __webpack_require__(87);
	var Authentication = __webpack_require__(15);
	var FacebookLogin = __webpack_require__(88);
	var GoogleLogin = __webpack_require__(89);
	var TwitterLogin = __webpack_require__(90);

	_.extend(config.consts, {

	});

	function tryLogin() {
	    var auth = new Authentication();
	    var lastProviderLoggedInWith = auth.getLastProvider();

	    if(lastProviderLoggedInWith === 'facebook') FacebookLogin.verifyLogin();
	    else if(lastProviderLoggedInWith === 'google-plus') GoogleLogin.verifyLogin();
	    else if(lastProviderLoggedInWith === 'twitter-custom') TwitterLogin.verifyLogin();
	}

	var MobileBase = function () {
	    document.addEventListener('deviceready', _.bind(function () {
	        this.onReady();
	    }, this));
	};

	MobileBase.prototype.onReady = function () {
	    window.analytics.startTrackerWithId('UA-55108991-4');
	    navigator.splashscreen.hide();

	    var lastClick = new Date().getTime();
	    if (window.device && window.device.version === '4.1.2') {
	        document.addEventListener("click", function (e) {
	                var now = new Date().getTime();
	                if (now - lastClick < 400) {
	                    e.preventDefault();
	                    e.stopPropagation();
	                } else {
	                    lastClick = now;
	                }
	            },
	            true);
	    }

	    StatusBar.overlaysWebView(false);
	    StatusBar.backgroundColorByName('black');
	    this.ajaxSetup();
	    this.initEventHandlers();

	    tryLogin();

	    if (this.isConnected()) this.sendSavedWebObservations();
	};

	MobileBase.prototype._initFetchNotifications = function () {
	    this.notificationUpdater = setInterval(_.bind(function () {
	        App.commands.execute('fetchNotifications');
	    }, this), 1000 * 15);
	};

	MobileBase.prototype.setOfflineHandler = function () {

	};

	MobileBase.prototype.setOnlineHandler = function () {
	    this.sendSavedWebObservations();
	};

	MobileBase.prototype.isConnected = function () {
	    var networkState = navigator.network.connection.type;

	    var states = {};
	    states[Connection.UNKNOWN] = 'Unknown connection';
	    states[Connection.ETHERNET] = 'Ethernet connection';
	    states[Connection.WIFI] = 'WiFi connection';
	    states[Connection.CELL_2G] = 'Cell 2G connection';
	    states[Connection.CELL_3G] = 'Cell 3G connection';
	    states[Connection.CELL_4G] = 'Cell 4G connection';
	    states[Connection.NONE] = 'No network connection';

	    if (states[networkState] === 'No network connection') {
	        return false;
	    } else {
	        return true;
	    }
	};

	MobileBase.prototype.sendSavedWebObservations = function () {
	    var pending = window.localStorage.observationsPendingSave;
	    var deferreds = [];

	    if (!pending) pending = [];
	    else pending = JSON.parse(pending);

	    deferreds = this.saveAllWebObservations(pending);

	    $.when.apply(this, deferreds)
	        .done(function () {
	            window.localStorage.removeItem('observationsPendingSave');
	        });

	};

	MobileBase.prototype.saveAllWebObservations = function (pending) {
	    var deferreds = [];

	    _.each(pending, function (p) {
	        var webObservation = new WebObservation(p.json);
	        var $photoDef = $.Deferred().resolve();
	        deferreds.push($photoDef);

	        if (p.imageToUpload && p.imageToUpload.imageData) {
	            $photoDef = MobilePhotoService.saveMobilePhoto(p.imageToUpload.imageData, p.imageToUpload.imageOptions);
	        }

	        deferreds.push(LocationService.locationTextSearch(p.location)
	            .done(function (result) {
	                deferreds.push(LocationService.updateLocation(result.results[0])
	                    .done(function (data) {

	                        webObservation.set(data);

	                        deferreds.push($photoDef.done(function (data) {
	                            webObservation.set('imageUrl', data.save_url);
	                            webObservation.save();
	                        }));
	                    }));
	            }));
	    });

	    return deferreds;
	};

	MobileBase.prototype.ajaxSetup = function () {
	    $(document).ajaxStart(function () {
	        if (MobileUtils.isiOS()) ProgressIndicator.showSimple(true);
	        else spinnerplugin.show();

	    });
	    $(document).ajaxStop(function () {
	        if (MobileUtils.isiOS()) ProgressIndicator.hide();
	        else spinnerplugin.hide();

	    });
	};

	MobileBase.prototype.initEventHandlers = function () {
	    $(function () {
	        var selectors = [
	            'button',
	            '#mapDrawerActivateButtonContainer',
	            '#auroraReport li',
	            '.landingNavList li',
	            'a',
	            '.fastclick',
	            '#mobileBackButton'
	        ];

	        SelectiveFastClick.attach(document.body, selectors);
	    });

	    App.reqres.setHandler('isConnected', _.bind(function () {
	        return this.isConnected();
	    }, this));

	    Marionette.Region.prototype.attachHtml = function (view) {
	        this.$el.empty().append(view.el);
	        this.$el.scrollTop();
	    };

	    $(window).on('orientationchange', function () {
	        setTimeout(function () {
	            App.commands.execute('resizeMap');
	        }, 1000);
	    });

	    document.addEventListener("offline", _.bind(this.setOfflineHandler, this), false);
	    document.addEventListener("online", _.bind(this.setOnlineHandler, this), false);
	};

	module.exports = MobileBase;

/***/ },
/* 11 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var app = new Marionette.Application();
	app.addRegions({
		main: '#main'
	});

	module.exports = app;

/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Utils = __webpack_require__(91);
	var App = __webpack_require__(11);
	var Dropups = __webpack_require__(92);
	var MobileUtils = __webpack_require__(85);


	module.exports = function(){

	    $(document).imagesLoaded(function(){
	        var actionEvent = 'mousedown';

	        function variableResize(){
	            var mapHeight = 0;

	            Utils.mapResize(false);

	            if (window.cordova || window.screen.width <= 962) {
	                var docWidth = $(window).width();

	                var docHeight = $(window).height() -4;
	                var headHeight = $('header').height();
	                var filterHeight = $('#filterBar').height();

	                if (window.screen.width < 762){
	                    filterHeight = $('.bottomNavBar').height();
	                }

	                if(MobileUtils.isiOS7()) {
	                    mapHeight -= 20; // For the 20px top margin
	                }

	                mapHeight = docHeight - headHeight - filterHeight;
	                $('#map-canvas').height(mapHeight);
	                $('#map-canvas').width(docWidth);
	            }
	        }

	        variableResize();
	        App.execute('resizeMap');

	        var alertCloseButton = $('.alertx');
	        alertCloseButton.on(actionEvent, function(){
	            $('#alert').removeClass('active');
	        });

	        var filterBarItems = $('#filterBar > ul > li:not(.listHeader)');
	        filterBarItems.on(actionEvent, Dropups.toggle);

	        if(window.cordova) {
	            App.main.once('before:show', function() {
	                window.onresize = null;
	            });
	        }

	        window.onresize = function() {
	            // Androids height fluctuates during reorientation. Poll over half a second to make sure the resizing is correct
	            if(window.cordova && MobileUtils.isAndroid()) {
	                var count = 0;
	                var interval = setInterval(function() {
	                    if(count === 6) {
	                        clearInterval(interval);
	                        return;
	                    } else {
	                        variableResize();
	                        count++;
	                    }
	                }, 100);
	            } else {
	                variableResize();
	            }
	        };
	    });
	};

/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var AffirmativeReportPopupView = __webpack_require__(75);
	var NegativeReportPopupView = __webpack_require__(76);
	var WebObservation = __webpack_require__(77);

	module.exports = Marionette.ItemView.extend({

	    template: Handlebars.compile(
			'<div class="web-obs-decision-container">'+
	            '<div class="row">'+
	                '<h1 class="columns large-12">Did You See the Aurora?</h1>' +
	            '</div>'+
	            '<div class="row">'+
	                '<div class="small-12 columns">'+
	                    '<button class="focal-btns affirmativeButton" id="yesButton" >Yes</button>' +
	                    '<button class="focal-btns negativeButton" id="noButton">No</button>'+
	                '</div>'+
	            '</div>'+
	        '</div>'
	    ),

	    ui: {
	        yesButton: '#yesButton',
	        noButton: '#noButton',
	    },

	    events: {
	        'click @ui.yesButton': 'toggleAffirmativeReportPopup',
	        'click @ui.noButton': 'toggleNegativeReportPopup',
	    },

	    initialize: function() {
	        window.analytics.trackView('Choose Web Report Type');
	    },

	    toggleAffirmativeReportPopup: function(){
	        window.analytics.trackView('Saw Aurora Report');

	        var view = new AffirmativeReportPopupView({
	            model: new WebObservation()
	        });
	        App.main.show(view);
	    },

	    toggleNegativeReportPopup: function(){
	        window.analytics.trackView("Didn't see Aurora Report");

	        var view = new NegativeReportPopupView({
	            model: new WebObservation()
	        });
	        App.main.show(view);
	    }
	});

/***/ },
/* 14 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var SpaceWeatherChart = __webpack_require__(94);
	var MobileNav = __webpack_require__(95);

	var stormTrackerView = Marionette.ItemView.extend({
		template: aur.tpl['storm-tracker-view-tpl'],

		ui:{
			backNav: '#mobileBackButton'
		},

		onRender: function() {
			var spaceWeatherChart = new SpaceWeatherChart({$selector: this.$('#epsilon-graph')});
			spaceWeatherChart.graph();

			if (window.cordova){
				window.analytics.trackView('Space Data');
				this.ui.backNav.on('click', MobileNav.navBack);
			}
		}
	});

	_.extend(stormTrackerView.prototype, MobileNav);
	module.exports = stormTrackerView;

/***/ },
/* 15 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var C = __webpack_require__(64);
	var L = __webpack_require__(93);

	var user,
		authenticated,
		lastLoginAuth = window.localStorage.lastLoginAuth;

	var Authentication = function(u, status) {
		user = u || window.user;
		authenticated = status || window.user_authenticated;
	};

	Authentication.prototype.isAuthenticated = function() {
		return authenticated;
	};

	Authentication.prototype.setAuthenticated = function(status) {
		authenticated = status;
	};

	Authentication.prototype.setUser = function(u) {
		user = u;
		window.analytics.setUserId(u);
	};

	Authentication.prototype.logout = function() {
		user = authenticated = null;
		L.setUserId(null);
		this.setLastProvider(null);

	    $.ajax(C.get('host') + '/social-logout')
	    .always(_.bind(function() {
	    	this.fetchAndSetToken();
	    },this));

		if(localStorage.googleAccessToken) {
		    var wnd = window.open('https://accounts.google.com/logout', '_blank', 'hidden=yes');
		    wnd.addEventListener('loadstop', function() {
		    	wnd.close();
		    });
		}

	    if(localStorage.fbAccessToken) {
		    FacebookInAppBrowser.logout(function() {
		    	console.log('DONE');
		    });
		}

		this.clearStorage();

		App.vent.trigger('logout');
	};

	Authentication.prototype.authenticated = function(user) {
		this.setUser(user);
		this.setAuthenticated(true);
		this.setLastProvider(user.social_auth[0].provider);

		L.setUserId(user.id);

		this.setAjaxToken(user.csrf_token);

	    App.vent.trigger('authenticated', user);
	};

	Authentication.prototype.fetchAndSetToken = function() {
		$.ajax(C.get('host') + '/token')
	    .done(_.bind(function(token) {
	       this.setAjaxToken(token);
	    }, this))
	    .fail(function() {
	    	L.log('Failed to get csrf token');
	    });
	};

	Authentication.prototype.setLastProvider = function(provider) {
		lastLoginAuth = provider;
		window.localStorage.lastLoginAuth = lastLoginAuth;
	};

	Authentication.prototype.getLastProvider = function() {
		return lastLoginAuth;
	};

	Authentication.prototype.setAjaxToken = function(token) {
		$.ajaxSetup({
			data: {
				csrfmiddlewaretoken: token
			},
	        headers: {
	            'X-CSRFToken': token
	        }
	    });
	};

	Authentication.prototype.clearStorage = function() {
		localStorage.removeItem('googleAccessToken');
		localStorage.removeItem('googleUid');

		localStorage.removeItem('fbAccessToken');
		localStorage.removeItem('fbUid');
		localStorage.removeItem('facebookAccessToken');
		localStorage.removeItem('uid');

		localStorage.removeItem('twitterUid');
		localStorage.removeItem('twitterAccessTokenKey');
		localStorage.removeItem('twitterAccessTokenSecret');
	};

	module.exports = Authentication;

/***/ },
/* 16 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Scientist = __webpack_require__(96);
	var C = __webpack_require__(64);

	module.exports = Backbone.Collection.extend({
	    model: Scientist,
	    url: C.get('host') + '/scientists'
	});


/***/ },
/* 17 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Utils = __webpack_require__(91);
	var WebObservation = __webpack_require__(77);
	var C = __webpack_require__(64);

	module.exports = Backbone.PageableCollection.extend({
		url: C.get('host') + '/web-obs/list',
		model: WebObservation,

		state: {
			pageSize: 200,
			currentPage: 0
		},

		queryParams: {
			pageSize: 'page_size'
		},

		parseRecords: function(resp, options) {
			return resp.results;
		},

		parseState: function (resp, queryParams, state, options) {
			return {totalRecords: resp.count};
		}
	});

/***/ },
/* 18 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseTwitterObservationCollection = __webpack_require__(97);

	module.exports = Backbone.PageableCollection.extend({
		state: {
			pageSize: 200,
			currentPage: 0
		},

		queryParams: {
			pageSize: 'page_size'
		},

		parseRecords: function(resp, options) {
			return resp.results;
		},

		parseLinks: function(resp, options) {
			var links = {
				next: resp.next,
				prev: resp.previous,
				first: this.url
			};

			return links;
		},

		parseState: function (resp, queryParams, state, options) {
			return {totalRecords: resp.count};
		}
	}).extend(BaseTwitterObservationCollection);

/***/ },
/* 19 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var map;
	    
	var Map = function(config) {
	    config = config || {};
	    this.detectLocation = true;
	    this.mapOptions = config.mapOptions;
	    this.$container = config.$container;
	    this.map = map;
	    this.initHandlers();
	};

	Map.prototype.render = function() {
	    if (this.map){
	        return;
	    }


	    var detectLocation = this.detectLocation && navigator.geolocation;
	    var mapOptions = this.mapOptions || {
	        zoom: 3,
	        minZoom: 2,
	        center: new google.maps.LatLng(65, -84)
	    };

	    mapOptions.mapTypeControlOptions = {
	        position: google.maps.ControlPosition.LEFT_TOP
	    };

	    mapOptions.zoomControlOptions = {
	        position: google.maps.ControlPosition.RIGHT_BOTTOM
	    };

	    mapOptions.panControlOptions = {
	        position: google.maps.ControlPosition.RIGHT_BOTTOM
	    };

	    mapOptions.streetViewControl = false;

	    this.map = new google.maps.Map(this.$container[0], mapOptions);
	    map = this.map;

	    google.maps.event.addListenerOnce(map, 'idle', function() {
	        google.maps.event.trigger(map, 'resize');
	    });

	    var attempt = 0;

	    var interval = setInterval(function() {
	        if(attempt === 15) clearInterval(interval);
	        google.maps.event.trigger(map, 'resize');
	        attempt++;
	    });

	    this.handleNoGeolocation();

	    // Try HTML5 geolocation
	    if (detectLocation) {
	        navigator.geolocation.getCurrentPosition(function(position) {
	            var pos = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
	            App.reqres.setHandler('userCoords', function() { return position; });

	            this.map.setCenter(pos);
	        }.bind(this), function() {
	            this.handleNoGeolocation();
	        }.bind(this));
	    } else {
	        this.handleNoGeolocation();
	    }
	};

	Map.prototype.handleNoGeolocation = function() {
	    return;
	};

	Map.prototype.initHandlers = function() {
	        App.commands.setHandler('resizeMap', _.bind(function() {
	            var tries = 0;
	            var interval = setInterval(_.bind(function() {
	                google.maps.event.trigger(this.map, 'resize');
	                if(tries === 5) clearInterval(interval);
	            }, this), 2000);
	        }, this));
	};

	Map.prototype.getMap = function() {
	    return this.map
	};

	Map.destroy = function() {
	    map = null;
	};

	module.exports = Map;

/***/ },
/* 20 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var BaseMapControlView = __webpack_require__(98);
	var Map = __webpack_require__(19);
	var GeoJSON = __webpack_require__(99);
	var C = __webpack_require__(64);

	var OvalForecastView = Marionette.ItemView.extend({
		template: Handlebars.compile('<span id="oval-forecast">1 Hour Forecast</span>'),

	    updateMessage: 'updateForecastToggles',
	    isActiveMessage: 'isOvalForecastActive',
	    toggleMessage: 'toggleForecast',

	    initialize: function(config) {
	        this.FIFTEEN_MIN = 15*60*1000;
	        this.forecast_polygons = [];
	        this.map = new Map().getMap();

	        this.onInitialize();
	    },

	    initHandlers: function() {
	        App.vent.on('mapDateChanged', function(dateString) {
	            this.currentMoment = moment(dateString);
	            if(this.isActive()) this.getLayerData();
	        }.bind(this));
	    },

	    onRender: function() {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    removeLayer: function() {
	        // remove forecast polygons on map 
	        for (var i=0; i<this.forecast_polygons.length; i++) {
	            this.forecast_polygons[i].setMap(null);
	        }
	        this.forecast_polygons = new Array();
	        this.el.classList.remove('active');
	        App.vent.trigger(this.updateMessage, false);
	    },

	    getLayerData: function() {
	        var int_time = this._getTime()
	        $.ajax(C.get('host') + '/estimates?end_date=' + encodeURIComponent(int_time) +
	                    '&local_offset=' + this._getLocalOffset() + '&min_forecast_lead=0&max_forecast_lead=5000'
	        ).done(function(data, status, xhr) {
	            this.showLayer(data, status, xhr)
	        }.bind(this));
	    },

	    showLayer: function(data, status, xhr) {
	        // after get a response from server, display forecast polygons
	        // first remove previous forecast polygons if there is any
	        this.removeLayer();

	        if (data && !data.error && data[0]) {
	            var mapOptions = {
	                strokeColor: "#9E78EF",
	                strokeWeight: 0,
	                strokeOpacity: 0.55,
	                fillColor: "#9E78EF",
	                fillOpacity: 0.55,
	                geodesic: true
	            };
	            
	            this.forecast_polygons = this.showCast(this.forecast_polygons, data[0].contour, mapOptions)
	        }
	        this.el.classList.add('active');
	        App.vent.trigger(this.updateMessage, true);
	    },


	    showCast: function(polygons, contour, mapOptions) {
	            var geoJson = new GeoJSON(contour, mapOptions);
	            polygons = geoJson.geometryToGoogleMaps();
	            for (var i = 0; i< polygons.length; i++) {
	                polygons[i].setMap(this.map);
	            }
	            return polygons;
	    },

	    // DEPRECATED 
	    //tooltip for polygons
	    tooltip: function(){
	    	var id = 'tt';
	    	var top = 3;
	    	var left = 3;
	    	var maxw = 300;
	    	var speed = 10;
	    	var timer = 20;
	    	var endalpha = 95;
	    	var alpha = 0;
	    	var tt,t,c,b,h;
	    	var ie = document.all ? true : false;
	    	return{
	    		show:function(v,w){
	    			if(tt == null){
	    				tt = document.createElement('div');
	    				tt.setAttribute('id',id);
	    				t = document.createElement('div');
	    				t.setAttribute('id',id + 'top');
	    				c = document.createElement('div');
	    				c.setAttribute('id',id + 'cont');
	    				b = document.createElement('div');
	    				b.setAttribute('id',id + 'bot');
	    				tt.appendChild(t);
	    				tt.appendChild(c);
	    				tt.appendChild(b);
	    				document.body.appendChild(tt);
	    				tt.style.opacity = 0;
	    				tt.style.filter = 'alpha(opacity=0)';
	    				document.onmousemove = this.pos;
	    			}
	    			tt.style.display = 'block';
	    			c.innerHTML = v;
	    			tt.style.width = w ? w + 'px' : 'auto';
	    			tt.style.position = "absolute";
	    			if(!w && ie){
	    				t.style.display = 'none';
	    				b.style.display = 'none';
	    				tt.style.width = tt.offsetWidth;
	    				t.style.display = 'block';
	    				b.style.display = 'block';
	    			}
	    			if(tt.offsetWidth > maxw){tt.style.width = maxw + 'px'}
	    			h = parseInt(tt.offsetHeight) + top;
	    			clearInterval(tt.timer);
	    			tt.timer = setInterval(function(){tooltip.fade(1)},timer);
	    		},
	    		pos:function(e){
	    			var u = ie ? event.clientY + document.documentElement.scrollTop : e.pageY;
	    			var l = ie ? event.clientX + document.documentElement.scrollLeft : e.pageX;
	    			tt.style.top = (u - h) + 'px';
	    			tt.style.left = (l + left) + 'px';
	    		},
	    		fade:function(d){
	    			var a = alpha;
	    			if((a != endalpha && d == 1) || (a != 0 && d == -1)){
	    				var i = speed;
	    				if(endalpha - a < speed && d == 1){
	    					i = endalpha - a;
	    				}else if(alpha < speed && d == -1){
	    					i = a;
	    				}
	    				alpha = a + (i * d);
	    				tt.style.opacity = alpha * .01;
	    				tt.style.filter = 'alpha(opacity=' + alpha + ')';
	    			}else{
	    				clearInterval(tt.timer);
	    				if(d == -1){tt.style.display = 'none'}
	    			}
	    		},
	    		hide:function(){
	    			clearInterval(tt.timer);
	    			tt.timer = setInterval(function(){tooltip.fade(-1)},timer);
	    		}
	    	}
	    }
	});

	_.extend(OvalForecastView.prototype, BaseMapControlView);

	module.exports = OvalForecastView;

/***/ },
/* 21 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var App = __webpack_require__(11);
	var Map = __webpack_require__(19);
	var BaseMapControlView = __webpack_require__(98);
	var GeoJSON = __webpack_require__(99);

	function getRandomColor() {
	    var letters = '0123456789ABCDEF'.split('');
	    var color = '#';
	    for (var i = 0; i < 6; i++) {
	        color += letters[Math.floor(Math.random() * 16)];
	    }
	    return color;
	}

	var OvalEstimateView = Marionette.ItemView.extend({
	    template: Handlebars.compile(
	        '<span id="oval-estimate">Current Oval Estimate</span>' +
	        '<span class="second-legend-icon oval-nowcast-icon"></span>'
	    ),
	    className: 'filter-toggle',

	    updateMessage: 'updateNowcastToggles',
	    isActiveMessage: 'isOvalNowcastActive',
	    toggleMessage: 'toggleNowcast',

	    initialize: function (config) {
	        this.map = new Map().getMap();
	        this.loading = false;

	        this.onInitialize();
	    },

	    initHandlers: function () {
	        App.vent.on('mapDateChanged', function (dateString) {
	            this.currentMoment = moment(dateString);
	            if (this.isActive()) this.getLayerData();
	        }.bind(this));
	    },

	    onRender: function () {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    getLayerData: function () {
	        if(!this.loading) {
	            this.showLayer();

	            this.loading = true;
	            // send ajax call to get nowcast
	            var int_time = this._getTime();
	            var url = C.get('host') + '/oval-data';
	            url += '?end_date=' + encodeURIComponent(int_time) + '&local_offset=' + this._getLocalOffset();

	            $.ajax(url)
	                .done(_.bind(function (data) {
	                    this.loading = false;
	                    this.showOval(data);
	                }, this));

	            //$.ajax(C.get('host') + '/view-line-area' + (window.location.search ? window.location.search + '&' : '?') + 'end_date=' + encodeURIComponent(int_time) +
	            //    '&local_offset=' + this._getLocalOffset())
	            //.done(_.bind(function (data) {
	            //    this.showViewLineArea(data)
	            //}, this));

	        }
	    },

	    isSameRoundedtime: function(time) {
	        this.initialTime = this.initialTime || moment(this._getTime());
	        this.initialTime.subtract(this.initialTime.minutes() % 5, 'minutes');

	        var timeMoment = moment(time);
	        timeMoment.subtract(timeMoment.minutes() % 5, 'minutes');

	        return timeMoment.isSame(this.initialTime);
	    },

	    showLayer: function (data, status, xhr) {
	        // after get a response from server, display nowcast polygons
	        // first remove previous nowcast polygons if there is any
	        this.removeLayer();

	        this.el.classList.add('active');
	        App.vent.trigger('updateNowcastToggles', true);
	    },

	    removeLayer: function () {
	        this.removeOval();

	        this.el.classList.remove('active');
	        App.vent.trigger(this.updateMessage, false);
	    },

	    removeOval: function () {
	        _.each(this.polygons, function (poly) {
	            poly.setMap(null);
	        }, this);

	        this.polygons = null;
	    },

	    showViewLineArea: function (data) {
	        _.each(data, function (d) {
	            var poly = new google.maps.Polygon({
	                paths: d,
	                strokeColor: '#04F5F0',
	                strokeOpacity: 0.0,
	                strokeWeight: 2,
	                fillColor: '#04F5F0',
	                fillOpacity: .6
	            });

	            poly.setMap(this.map);

	        }, this);
	    },

	    showClusterPolys: function (data) {
	        _.each(data, function (d) {
	            var color = getRandomColor();
	            var poly = new google.maps.Polygon({
	                paths: d,
	                strokeColor: color,
	                strokeOpacity: 0.0,
	                strokeWeight: 2,
	                fillColor: color,
	                fillOpacity: .6
	            });

	            poly.setMap(this.map);

	        }, this);
	    },

	    showNotify: function(data) {
	            var color = getRandomColor();
	            var poly = new google.maps.Polygon({
	                paths: data,
	                strokeColor: color,
	                strokeOpacity: 0.0,
	                strokeWeight: 2,
	                fillColor: color,
	                fillOpacity: .6
	            });

	            poly.setMap(this.map);
	    },

	    showOval: function (data) {
	        if (data && !data.error && data[0]) {
	            this.polygons = [];

	            _.each(data, function (polygonData, i) {
	                var poly = new google.maps.Polygon({
	                    paths: polygonData.paths,
	                    strokeColor: '#943399',
	                    strokeOpacity: 0.0,
	                    strokeWeight: 2,
	                    fillColor: polygonData.fill_color,
	                    fillOpacity: .6,
	                    zIndex: i
	                });

	                poly.setMap(this.map);
	                this.polygons.push(poly);
	            }, this);
	        }

	        this.el.classList.add('active');
	        App.vent.trigger('updateNowcastToggles', true);
	    }
	});

	_.extend(OvalEstimateView.prototype, BaseMapControlView);

	module.exports = OvalEstimateView;

/***/ },
/* 22 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var App = __webpack_require__(11);
	var Map = __webpack_require__(19);
	var BaseMapControlView = __webpack_require__(98);


	var ViewLineView = Marionette.ItemView.extend({
	    template: Handlebars.compile(
	        '<span>View Line Estimate</span>' +
	        '<span class="second-legend-icon view-line-icon"></span>'
	    ),
	    className: 'filter-toggle',

	    updateMessage: 'updateViewLinesToggles',
	    isActiveMessage: 'isOvalViewLinesActive',
	    toggleMessage: 'toggleViewLines',

	    initialize: function (config) {
	        this.map = new Map().getMap();

	        this.onInitialize();
	    },

	    initHandlers: function () {
	        App.vent.on('mapDateChanged', function (dateString) {
	            this.currentMoment = moment(dateString);
	            if (this.isActive()) this.getLayerData();
	        }.bind(this));
	    },

	    onRender: function () {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    getLayerData: function () {
	        this.showLayer();
	        var int_time = this._getTime();

	        $.ajax(C.get('host') + '/view-lines' + (window.location.search ? window.location.search + '&' : '?') + 'end_date=' + encodeURIComponent(int_time) +
	            '&local_offset=' + this._getLocalOffset())
	            .done(_.bind(function (data) {
	                this.showViewLines(data)
	            }, this));
	    },

	    showLayer: function (data, status, xhr) {
	        this.removeLayer();

	        this.el.classList.add('active');
	        App.vent.trigger('updateViewLinesToggles', true);
	    },

	    removeLayer: function () {
	        this.removeViewLines();

	        this.el.classList.remove('active');
	        App.vent.trigger(this.updateMessage, false);
	    },

	    removeOval: function () {
	        _.each(this.polygons, function (poly) {
	            poly.setMap(null);
	        }, this);

	        this.polygons = null;
	    },

	    removeViewLines: function () {
	        if (this.southern) this.southern.setMap(null);
	        if (this.northern) this.northern.setMap(null);
	    },

	    showViewLines: function (data) {
	        this.southern = new google.maps.Polyline({
	            path: data.southern,
	            strokeColor: '#e5553f',
	            strokeOpacity: 1.0,
	            strokeWeight: 2
	        });

	        this.southern.setMap(this.map);

	        this.northern = new google.maps.Polyline({
	            path: data.northern,
	            strokeColor: '#e5553f',
	            strokeOpacity: 1.0,
	            strokeWeight: 2
	        });

	        this.northern.setMap(this.map);

	        var poly = new google.maps.Polygon({
	            paths: data.terminator_poly,
	            strokeColor: '#943399',
	            strokeOpacity: 0.0,
	            strokeWeight: 2,
	            fillColor: '#FFEECC',
	            fillOpacity: .6,
	        });

	        poly.setMap(this.map);

	        this.el.classList.add('active');
	        App.vent.trigger('updateViewLinesToggles', true);
	    }
	});

	_.extend(ViewLineView.prototype, BaseMapControlView);

	module.exports = ViewLineView;

/***/ },
/* 23 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = Marionette.ItemView.extend({

		template: Handlebars.compile(''),

		initialize: function() {
			var now = new Date();
			this.currentTime = now;
			this.currentDate = now;
			
			var datePicker = $('#map-date').pickadate({
	            onStart: function(e) {
	                this.set('select', [now.getFullYear(), now.getMonth(), now.getDate()]);
	            },

	            onClose: function(date) {
	                App.execute('dateChanged', this.currentDate);
	            }.bind(this),

	            onSet: function(date) {
	                this.currentDate = new Date(date.select);
	            }.bind(this)
	        });

	        var timePicker = $('#map-time').pickatime({
	            onStart: function(e) {
	                this.set('select', [now.getFullYear(), now.getMonth(), now.getDate()]);
	            },

	            onClose: function(time) {
	                App.execute('timeChanged', this.currentTime);
	            }.bind(this),

	            onSet: function(time) {
	                this.currentTime = new Date(time.select);
	            }.bind(this)
	        });
		}
	});

/***/ },
/* 24 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var MapHelper = __webpack_require__(100);
	var Utils = __webpack_require__(91);
	var TwitterObservationCollection = __webpack_require__(18);
	var WebObservationCollection = __webpack_require__(17);

	module.exports = Marionette.ItemView.extend({
	    tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span id="combined-heatmap">Citizen Science Estimate</span>'),

	    updateMessage: 'twitterVerifiedFilterViewUpdate',
	    isActiveMessage: 'signtingHeatmapIsActive',
	    toggleMessage: 'sightingHeatmapToggle',

	    initialize: function() {
	        this.currentMoment = moment();

	        this.posWebObsCollection = new WebObservationCollection();
	        this.negWebObsCollection = new WebObservationCollection();
	        this.negTwitterObsCollection = new TwitterObservationCollection();
	        this.posTwitterObsCollection = new TwitterObservationCollection();

	        this.mapHelperPos = new MapHelper();
	        this.mapHelperNeg = new MapHelper();

	        this.getHeapmapData();

	        App.commands.setHandler(this.toggleMessage, function() {
	            this.toggleHeatmap();
	        }.bind(this));
	        
	        App.reqres.setHandler(this.isActiveMessage, function() {
	            return this.$el.hasClass('active');
	        }.bind(this));

	        App.vent.on('mapDateChanged', function(dateString) {
	            this.currentMoment = moment(dateString);
	            this.removeHeatmaps();
	            if(this.$el.hasClass('active')) {
	                this.getHeapmapData();
	            }
	        }.bind(this));
	    },

	    onRender: function() {
	        this.$el.click(this.toggleHeatmap.bind(this));
	    },

	    getHeapmapData: function() {
	        var $fetches = [],
	            page = 1,
	            posOptions = {
	                fillColor: 'rgba(72, 200, 168, 1)',
	                fillOpacity: .6,
	                strokeColor: 'rgba(72, 200, 168, 1)',
	                strokeOpacity: .1,
	                radius: 80000,
	                zIndex: 15,
	                clickable: false
	            },
	            negOptions = { 
	                fillColor: 'rgba(241, 87, 67, 1)',
	                fillOpacity: .6,
	                strokeColor: 'rgba(241, 87, 67, 1)',
	                strokeOpacity: .1,
	                radius: 40000,
	                zIndex: 10,
	                clickable: false
	            };

	        this.el.classList.add('active');

	        this.posWebObsCollection.queryParams.end_date = this._getTime();
	        this.posWebObsCollection.queryParams.local_offset = this._getLocalOffset();
	        this.posWebObsCollection.queryParams.local_offset = this._getLocalOffset();
	        this.posWebObsCollection.queryParams.pos_sighting = true;
	        $fetches.push(this.posWebObsCollection.getPage(page, {reset: true}));

	        this.negWebObsCollection.queryParams.end_date = this._getTime();
	        this.negWebObsCollection.queryParams.local_offset = this._getLocalOffset();
	        this.negWebObsCollection.queryParams.neg_sighting = true;
	        $fetches.push(this.negWebObsCollection.getPage(page, {reset: true}));

	        this.posTwitterObsCollection.queryParams.end_date = this._getTime();
	        this.posTwitterObsCollection.queryParams.local_offset = this._getLocalOffset();
	        this.posTwitterObsCollection.queryParams.verified_pos = true;
	        $fetches.push(this.posTwitterObsCollection.getPage(page, {reset: true}));

	        $.when.apply(this, $fetches).done(function(posWeb, negWeb, posTwt) {
	            var pos = posWeb[0].results;
	            pos.concat(posTwt[0].results);
	            var neg = negWeb[0].results;

	          this.mapHelperPos.createHeatmap(pos, posOptions);
	          this.mapHelperNeg.createHeatmap(neg, negOptions);

	        }.bind(this));
	    },

	    removeHeatmaps: function() {
	        this.mapHelperPos.removeHeatmapLayer();
	        this.mapHelperNeg.removeHeatmapLayer();
	    },

	    toggleHeatmap: function() {
	        if(this.$el.hasClass('active')){
	            this.el.classList.remove('active');
	            this.removeHeatmaps();
	            App.execute(this.updateMessage, false);
	        }
	        else{
	            this.getHeapmapData();
	            App.execute(this.updateMessage, true);
	        }
	    },

	    _getTime: function() {
	        var nowRounded = Utils.roundXMinutes(this.currentMoment.clone(), 1);
	        return nowRounded.format(Utils.defaultDateFmtWithTZ());
	    },

	    _getLocalOffset: function() {
	        return this.currentMoment.toDate().getTimezoneOffset() * 60;
	    }

	});

/***/ },
/* 25 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var Utils = __webpack_require__(91);
	var C = __webpack_require__(64);

	module.exports = Marionette.ItemView.extend({
	    id: 'otherMapControls',

	    template: Handlebars.compile(
	        '<span class="blackBg" style="display:none;">' +
	            'Did you see the aurora?' +
	            '<input id="yesButton" class="affirmativeButton" type="button" value="Yes">' +
	          '<input id="noButton" class="negativeButton" type="button" value="No">' +
	        '</span>' +
	        '<img id="fullscreenButton" src="{{ getConst "staticUrl" }}img/fullscreen.png"></div>'+
	        '<div class="mapDateTimeControls">'+
	            '<input id="map-start-time" value="{{fmtTime start_date}}" type="text">'+
	            '<input id="map-start-date" value="{{fmtDate start_date}}" type="text">'+
	        '</div>'
	    ),

	    ui: {
	        fullscreenButton: '#fullscreenButton',
	        buttons: '.blackBg',
	        yesButton: '#yesButton',
	        noButton: '#noButton',
	        startDate: '#map-start-date',
	        startTime: '#map-start-time'
	    },

	    events: {
	        'click @ui.fullscreenButton': 'toggleFullscreen',
	        'click @ui.yesButton': 'toggleAffirmativeReportPopup',
	        'click @ui.noButton': 'toggleNegativeReportPopup'
	    },

	    initialize: function() {
	        this.model.set('start_date', Utils.round15Minutes(moment()).format(Utils.defaultDateFmtWithTZ()));
	        if(!window.cordova) {
	            $(document).on('webkitfullscreenchange mozfullscreenchange fullscreenchange MSFullscreenChange', 
	                _.bind(function() {
	                if(!document.webkitIsFullScreen || document.mozFullScreen || document.msFullscreenElement) {
	                    this.showNonFullScreenMap();
	                }
	            }, this));
	        }
	    },

	    onRender: function() {
	        this.renderDateTimePickers();
	    },

	    renderDateTimePickers: function(){
	        var date = Utils.round15Minutes(moment()).format(Utils.defaultDateFmtWithTZ())
	        var self = this;
	        var timeOptions = { 
	            interval: 15,
	            clear: false,
	            onClose: function() { self.updateDateOrTime.call(self, 'time', this.component) }
	        };
	        var dateOptions = { 
	            max: new Date(),
	            format: 'd mmm yyyy',
	            clear: false,
	            onClose: function() { self.updateDateOrTime.call(self, 'date', this.component) },
	        };

	        this.ui.startDate.pickadate(dateOptions);
	        this.ui.startTime.pickatime(timeOptions);
	    },

	    updateDateOrTime: function(typeToUpdate, pickerObj) {
	            var newTime = pickerObj.get('select');
	            var oldTime = this.model.get('start_date');
	            var oldTimeMoment = moment(oldTime);

	            if(typeToUpdate === 'date') {
	                oldTimeMoment.year(newTime.year);
	                oldTimeMoment.month(newTime.month);
	                oldTimeMoment.date(newTime.date);
	            } else {
	                oldTimeMoment.hours(newTime.hour);
	                oldTimeMoment.minutes(newTime.mins);
	            }

	            this.model.set('start_date', oldTimeMoment.format(Utils.defaultDateFmtWithTZ()));
	            App.vent.trigger('mapDateChanged', this.model.get('start_date'));
	        },

	    toggleAffirmativeReportPopup: function(){
	        App.vent.trigger('open-affirmative');
	    },

	    toggleNegativeReportPopup: function(){
	        App.vent.trigger('open-negative');
	    },

	    toggleFullscreen: function() {
	        if (!document.fullscreenElement &&    // alternative standard method
	            !document.mozFullScreenElement && !document.webkitFullscreenElement && !document.msFullscreenElement ) {  // current working methods
	            window.onresize = function(){return};
	            if (document.documentElement.requestFullscreen) {
	                document.documentElement.requestFullscreen();
	            } else if (document.documentElement.msRequestFullscreen) {
	                document.documentElement.msRequestFullscreen();
	            } else if (document.documentElement.mozRequestFullScreen) {
	                document.documentElement.mozRequestFullScreen();
	            } else if (document.documentElement.webkitRequestFullscreen) {
	                document.documentElement.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
	            }
	            this.showFullScreenMap();
	        } 
	        else {
	            if (document.exitFullscreen) {
	                document.exitFullscreen();
	            } else if (document.msExitFullscreen) {
	                document.msExitFullscreen();
	            } else if (document.mozCancelFullScreen) {
	                document.mozCancelFullScreen();
	            } else if (document.webkitExitFullscreen) {
	                document.webkitExitFullscreen();
	            }

	            this.showNonFullScreenMap();
	        }
	    },

	    showFullScreenMap: function() {
	        $('footer, header').css('display', 'none');
	        Utils.mapResize(true);
	        this.ui.fullscreenButton.attr('src', C.get('staticUrl') + 'img/close-fullscreen.png');
	        this.ui.buttons.show();
	    },

	    showNonFullScreenMap: function() {
	        $('footer, header').css('display', 'block');
	        this.ui.fullscreenButton.attr('src', C.get('staticUrl') + 'img/fullscreen.png');
	        this.ui.buttons.hide();
	        window.onresize = function(){Utils.mapResize(false);};
	        Utils.mapResize(false);
	    }
	});

/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var TwitterVote = __webpack_require__(101);
	var TweetView = __webpack_require__(102);
	var TweetVoteView = __webpack_require__(103);
	var VerifiedTweetVoteView = __webpack_require__(104);
	var WebObservation = __webpack_require__(77);
	var WebSightingDetailView = __webpack_require__(105);
	var WebSightingClassificationView = __webpack_require__(106);
	var Scientist = __webpack_require__(96);
	var ScientistDrawerView = __webpack_require__(107);

	module.exports = Marionette.LayoutView.extend({

		id: 'mapDrawer',
	    template: aur.tpl['twitter-card-view-tpl'],

	    regions: {
	    	top: '#tweetView', 
	    	bottom: '#voteFormView'
	    },

	    ui: { 
			openButton: '#mapDrawerActivateButtonContainer'
	    },

	    events: {
	    	'click @ui.openButton': 'toggleMapDrawer'
	    },

	    initialize: function() {
	    	this.initHandlers();
	    },

	    initHandlers: function() {
	        App.vent.on('unverifiedTwitterMarkerClicked', this.handleUnverifiedTwitter.bind(this));
	        App.vent.on('verifiedTwitterMarkerClicked', this.handleVerifiedTwitter.bind(this));
	        App.vent.on('positiveWebSightingMarkerClicked', this.handlePositiveWebSighting.bind(this));
	        App.vent.on('negativeWebSightingMarkerClicked', this.handleNegativeWebSighting.bind(this));
	        App.vent.on('scientistMarkerClicked', this.handleScientist.bind(this));
	    },

	    toggleMapDrawer: function() {
	        this.$el.toggleClass('open');
	    },

	    handleMarkerClicked: function(content){
	        var $drawer = $('#mapDrawer');
	        var mapHeight = $('#map-canvas').height();

	        $drawer.children('div').first().css('max-height', mapHeight);
	        $drawer.css('margin-top', (mapHeight - $drawer.height()) / 2);

	    	if(this.$el.hasClass('open')){
	            return;
	        }
	        
	        this.openDrawer(content);
	    },

	    handleUnverifiedTwitter: function(content) {
	        var modelContent = new TwitterVote();
	        modelContent.set('tweet', content);

	        this.top.show(new TweetView({model: new Backbone.Model(content)}));
	        this.bottom.show(new TweetVoteView({model: modelContent}));
	        this.handleMarkerClicked();
	    },

	    handleVerifiedTwitter: function(content) {
	        var modelContent = new TwitterVote();
	        modelContent.set('tweet', content);

	        this.top.show(new TweetView({model: new Backbone.Model(content)}));
	        this.bottom.show(new VerifiedTweetVoteView({model: new TwitterVote({observation: content})}));
	        this.handleMarkerClicked();
	    },

	    handlePositiveWebSighting: function(content) {
	        var observation = new WebObservation(content);

	        this.top.show(new WebSightingDetailView({model: observation}));
	        this.bottom.show(new WebSightingClassificationView({model: observation}));
	        this.handleMarkerClicked();
	    },

	    handleNegativeWebSighting: function(content) {
	        var observation = new WebObservation(content);

	        this.top.show(new WebSightingDetailView({model: observation}));
	        this.bottom.show(new WebSightingClassificationView({model: observation}));
	        this.handleMarkerClicked();
	    },

	    handleScientist: function(content) {
	        var scientist = new Scientist(content);

	        this.top.show(new ScientistDrawerView({model: scientist}));
	        this.bottom.reset();
	        this.handleMarkerClicked();
	    },

	    openDrawer: function(){
	        if(!this.$el.hasClass('open')){
	            this.$el.addClass('visible');
	            this.$el.addClass('open');
	            this.ui.openButton.addClass('open');
	        }
	    },

	    closeDrawer: function(){
	        this.$el.removeClass('open');
	        this.ui.openButton.removeClass('open');
	    }
	});

/***/ },
/* 27 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = Marionette.ItemView.extend({
	    id: 'sightingControlItem',

	    template: Handlebars.compile(
			'<li class="noBg">Did you see the aurora?</li>' +
			'<li class="noBg saw-aurora"><input id="yesButton" class="affirmativeButton" type="button" value="Yes"></li>' +
			'<li class="noBg"><input id="noButton" class="negativeButton" type="button" value="No"></li>'
	    ),

	    ui: {
	        yesButton: '#yesButton',
	        noButton: '#noButton',
	    },

	    events: {
	        'click @ui.yesButton': 'toggleAffirmativeReportPopup',
	        'click @ui.noButton': 'toggleNegativeReportPopup',
	    },

	    toggleAffirmativeReportPopup: function(){
	        App.vent.trigger('open-affirmative');
	    },

	    toggleNegativeReportPopup: function(){
	        App.vent.trigger('open-negative');
	    }
	});

/***/ },
/* 28 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var C = __webpack_require__(64);

	var BaseMapControlView = __webpack_require__(98);

	var ScientistFilterView = Marionette.ItemView.extend({
	    tagName: 'li',
	    className: 'filter-toggle',

	    template: Handlebars.compile(
	        '<span >Scientist</span>'+
	        '<span class="first-legend-icon scientist-icon"></span>'
	    ),

	    markerClickedEvent: 'scientistMarkerClicked',

	    updateMessage: 'ScientistFilterUpdate',
	    isActiveMessage: 'ScientistFilterIsActive',
	    toggleMessage: 'ScientistFilterToggle',

	    unselectedIconUrl: C.get('staticUrl') + 'img/PinScientist.png',
	    selectedIconUrl: C.get('staticUrl') + 'img/PinScientist-highlight.png',

	    initialize: function() {
	        this.onInitialize();
	    },

	    initHandlers: function() {
	        App.vent.on('mapDateChanged', _.bind(function(dateString) {
	            this.currentMoment = moment(dateString);
	            if(this.isActive()) {
	                this.removeLayer();
	                this.getLayerData();
	            }
	        }, this));
	    },

	    onRender: function() {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    removeLayer: function() {
	        this.el.classList.remove('active');
	        this.mapHelper.removeScientistLayer();
	        App.vent.trigger(this.updateMessage, false);
	    },

	    getLayerData: function() {
	        this.collection.fetch().done(_.bind(function() {
	            this.showLayer();
	        }, this));
	    },

	    showLayer: function() {
	        var scientists = this.collection.toJSON(),
	            markerOpts = {
	                icon: {
	                    url: this.unselectedIconUrl,
	                    scaledSize: new google.maps.Size(35, 35)
	                },
	                zIndex: 10
	            };
	        this.el.classList.add('active');
	        App.vent.trigger(this.updateMessage, true);
	        this.mapHelper.addMarkers(scientists, markerOpts);
	    }
	});

	_.defaults(ScientistFilterView.prototype, BaseMapControlView);

	module.exports = ScientistFilterView;

/***/ },
/* 29 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseSightingFilterView = __webpack_require__(108);
	var C = __webpack_require__(64);

	var PositiveSightingFilterView = Marionette.ItemView.extend({
	    template: Handlebars.compile(
	        '<span id="positive-sighting-input">Positive Sighting</span>'+
	        '<span class="first-legend-icon positive-sighting-icon"></span>'+
	        '<span class="second-legend-icon positive-group-sighting-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    posSighting: true,
	    markerClickedEvent: 'positiveWebSightingMarkerClicked',

	    updateMessage: 'positiveSightingFilterUpdate',
	    isActiveMessage: 'positiveSightingFilterIsActive',
	    toggleMessage: 'positiveSightingFilterToggle',

	    unselectedIconUrl: C.get('staticUrl') + 'img/PinPositive.png',
	    selectedIconUrl: C.get('staticUrl') + 'img/PinPositive-highlight.png',
	    groupLayerIcon: C.get('staticUrl') + 'img/PinPositiveGroup.png',

	    initialize: function() {
	        this.onInitialize();
	    },

	    onRender: function() {
	        this.$el.click(this.toggleLayer.bind(this));
	    }
	});

	_.extend(PositiveSightingFilterView.prototype, BaseSightingFilterView);

	module.exports = PositiveSightingFilterView;

/***/ },
/* 30 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var BaseSightingFilterView = __webpack_require__(108);
	var C = __webpack_require__(64);

	var NegativeSightingFilterView = Marionette.ItemView.extend({
	    id: 'negativeListItem',
	    template: Handlebars.compile(
	        '<span id="negative-sighting-input">Negative Sighting</span>'+
	        '<span class="first-legend-icon negative-sighting-icon"></span>'+
	        '<span class="second-legend-icon negative-group-sighting-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    negSighting: true,

	    markerClickedEvent: 'negativeWebSightingMarkerClicked',
	    updateMessage: 'negativeSightingFilterUpdate',
	    isActiveMessage: 'negativeSightingFilterIsActive',
	    toggleMessage: 'negativeSightingFilterToggle',

	    unselectedIconUrl: C.get('staticUrl') + 'img/PinNegative.png',
	    selectedIconUrl: C.get('staticUrl') + 'img/PinNegative-highlight.png',
	    groupLayerIcon: C.get('staticUrl') + 'img/PinNegativeGroup.png',

	    initialize: function() {
	        this.onInitialize();
	    },

	    onRender: function() {
	        this.$el.click(this.toggleLayer.bind(this));
	    }
	});

	_.extend(NegativeSightingFilterView.prototype, BaseSightingFilterView);

	module.exports = NegativeSightingFilterView;

/***/ },
/* 31 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var TwitterFilterBaseView = __webpack_require__(109)

	var TwitterUnverifiedFilterView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span id="twitter-reports-layer-input">Unverified Tweet</span>'+
	        '<span class="first-legend-icon unverified-icon"></span>'+
	        '<span class="second-legend-icon unverified-group-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    markerClickedEvent: 'unverifiedTwitterMarkerClicked',
	    
	    updateMessage: 'twitterUnverifiedFilterViewUpdate',
	    isActiveMessage: 'twitterUnverifiedFilterViewIsActive',
	    toggleMessage: 'twitterUnverifiedFilterViewToggle',

	    selectedIconUrl: C.get('staticUrl') + 'img/PinUnverifiedTweetHighlight.png',
	    unselectedIconUrl: C.get('staticUrl') + 'img/PinUnverifiedTweet.png',

	    initialize: function() {
	        this.onInitialize();
	    },

	    onRender: function() {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    showLayer: function() {
	        if(!this.layerOff) {
	            var tweetObservations = this.collection.toJSON();
	            if (tweetObservations[0] && tweetObservations[0].results) tweetObservations = tweetObservations[0].results;
	            var options = {
	                    gridSize: C.get('CLUSTER_GRID_SIZE'),
	                    maxZoom: 15,
	                    minimumClusterSize: C.get('CLUSTER_SIZE'),
	                    styles: [{
	                        url: C.get('staticUrl') + 'img/PinUnverifiedTweetGroup.png',
	                        width: 35,
	                        height: 35
	                    }]
	                },
	                markerOpts = {
	                    icon: {
	                        url: this.unselectedIconUrl,
	                        scaledSize: new google.maps.Size(35, 35)
	                    },
	                    zIndex: 11
	                };
	            this.mapHelper.renderCluster(tweetObservations, options, markerOpts);
	        }
	    },

	    getLayerData: function(page) {
	        if(!page) page = 1;

	        this.collection.queryParams.end_date = this._getTime();
	        this.collection.queryParams.local_offset = this._getLocalOffset();
	        this.collection.getPage(page, {reset: true})
	        .done(function() {
	            if(this.collection.hasNextPage()) this.getLayerData(page + 1);
	        }.bind(this));
	        this.el.classList.add('active');
	    }
	});

	_.extend(TwitterUnverifiedFilterView.prototype, TwitterFilterBaseView);

	module.exports = TwitterUnverifiedFilterView;

/***/ },
/* 32 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var App = __webpack_require__(11);
	var TwitterFilterBaseView = __webpack_require__(109);

	var TwitterVerifiedFilterView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span id="twitter-verified-layer-input">Verified Tweet</span>'+
	        '<span class="first-legend-icon verified-icon"></span>'+
	        '<span class="second-legend-icon verified-group-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	        ),

	    markerClickedEvent: 'verifiedTwitterMarkerClicked',
	    
	    updateMessage: 'twitterVerifiedFilterViewUpdate',
	    isActiveMessage: 'twitterVerifiedFilterViewIsActive',
	    toggleMessage: 'twitterVerifiedFilterViewToggle',
	    
	    selectedIconUrl: C.get('staticUrl') + 'img/PinPositiveTweet-highlight.png',
	    unselectedIconUrl: C.get('staticUrl') + 'img/PinPositiveTweet.png',

	    initialize: function() {
	        this.onInitialize();
	    },

	    onRender: function() {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    showLayer: function() {
	        var tweetObservations = this.collection.toJSON();
	        if(tweetObservations[0] && tweetObservations[0].results) tweetObservations = tweetObservations[0].results;
	        var options = {
	            gridSize: C.get('CLUSTER_GRID_SIZE'),
	            maxZoom: 15,
	            minimumClusterSize: C.get('CLUSTER_SIZE'),
	            styles: [{
	                url: C.get('staticUrl') + 'img/PinPositiveTweetGroup.png',
	                width: 35,
	                height: 35
	            }]
	        },
	        markerOpts = {
	            icon: {
	                url: this.unselectedIconUrl,
	                scaledSize: new google.maps.Size(35, 35)
	            },
	            zIndex: 12
	        };
	    	this.mapHelper.renderCluster(tweetObservations, options, markerOpts);
	    },

	    getLayerData: function(page) {
	        if(!page) page = 1;

	        this.collection.queryParams.end_date = this._getTime();
	        this.collection.queryParams.local_offset = this._getLocalOffset();
	        this.collection.queryParams.verified_pos = true;
	        this.collection.getPage(page, {reset: true})
	        .done(function() {
	            if(this.collection.hasNextPage()) this.getLayerData(page + 1);
	        }.bind(this));
	        this.el.classList.add('active');
	    }
	});

	_.extend(TwitterVerifiedFilterView.prototype, TwitterFilterBaseView);

	module.exports = TwitterVerifiedFilterView;

/***/ },
/* 33 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var ViewLineLegendView = Marionette.ItemView.extend({
	    tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span class="desktop-legend-estimate">View Line Estimate</span>'+
	        '<span class="second-legend-icon view-line-icon"></span>'
	    ),

	    update: 'updateViewLinesToggles',
	    isCopyActive: 'isOvalViewLinesActive',
	    toggle: 'toggleViewLines'
	});

	_.extend(ViewLineLegendView.prototype, ViewCopycat);

	module.exports = ViewLineLegendView;

/***/ },
/* 34 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var OvalEstimateLegendView = Marionette.ItemView.extend({
	    tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span class="desktop-legend-estimate">Current Oval Estimate</span>'+
	        '<span class="second-legend-icon oval-nowcast-icon"></span>'
	    ),

	    update: 'updateNowcastToggles',
	    isCopyActive: 'isOvalNowcastActive',
	    toggle: 'toggleNowcast'
	});

	_.extend(OvalEstimateLegendView.prototype, ViewCopycat);

	module.exports = OvalEstimateLegendView;

/***/ },
/* 35 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var MapHelper = __webpack_require__(100);

	module.exports = Marionette.ItemView.extend({
	    tagName: 'li',
	    id: 'day-night',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span id="day-night-input"> Day/Night Line</span>'),

	    initialize: function() {
	        this.mapHelper = new MapHelper();
	        this.date = new Date();

	        App.commands.setHandler('toggleDayNightLayer', function() {
	            this.toggleDayNightLayer();
	        }.bind(this));

	        App.reqres.setHandler('isDayNightLayerActive', function() {
	            return this.isActive();
	        }.bind(this));

	        App.vent.on('mapDateChanged', function(dateString) {
	            this.date = moment(dateString).toDate();
	            if (this.isActive()){
	                this.mapHelper.removeDayNightLayer();
	                this.mapHelper.showDayNightLayer(this.date);
	            }
	        }.bind(this));
	    },

	    isActive: function() {
	        return this.el.classList.contains('active');
	    },

	    onRender: function() {
	        this.$el.click(this.toggleDayNightLayer.bind(this));
	        if(!window.cordova) this.toggleDayNightLayer();
	    },

	    toggleDayNightLayer: function() {
	        if(this.isActive()) {
	            this.el.classList.remove('active');
	            this.mapHelper.removeDayNightLayer();
	            App.execute('updateDayNightToggles', false);
	        }
	        else {
	            this.el.classList.add('active');
	            this.mapHelper.showDayNightLayer(this.date);
	            App.execute('updateDayNightToggles', true);
	        }
	    },
	});

/***/ },
/* 36 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = Marionette.ItemView.extend({
	    id:"helpPopup",
	    className: "genericPopup",

		template: aur.tpl['help-popup-view-tpl'],

	    ui: {
	        closeButton: '.popupx'
	    },

	    events: {
	        'click @ui.closeButton': 'closePopup'
	    },

		initialize: function() {

		},

	    openPopup: function(){
	        this.$el.css('display', 'block');
	    },

	    closePopup: function(){
	        this.$el.css('display', 'none');
	    },

	    togglePopup: function(){
	        if (this.$el.css('display') === 'none')
	            this.openPopup();
	        else
	            this.closePopup();
	    }

	});

/***/ },
/* 37 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileOvalForecastView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span>1 Hour Forecast Auroral Oval</span>'),

	    update: 'updateForecastToggles',
	    isCopyActive: 'isOvalForecastActive',
	    toggle: 'toggleForecast'
	});

	_.extend(MobileOvalForecastView.prototype, ViewCopycat);

	module.exports = MobileOvalForecastView;

/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileOvalEstimateView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span>Current Oval Estimate</span>'),

	    update: 'updateNowcastToggles',
	    isCopyActive: 'isOvalNowcastActive',
	    toggle: 'toggleNowcast'
	});

	_.extend(MobileOvalEstimateView.prototype, ViewCopycat);

	module.exports = MobileOvalEstimateView;

/***/ },
/* 39 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileCitizenEstimateView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span id="combined-heatmap">Citizen Science Estimates</span>'),

	    update: 'sightingHeatmapUpdate',
	    isCopyActive: 'signtingHeatmapIsActive',
	    toggle: 'sightingHeatmapToggle'
	});

	_.extend(MobileCitizenEstimateView.prototype, ViewCopycat);

	module.exports = MobileCitizenEstimateView;

/***/ },
/* 40 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileCloudCoverView = Marionette.ItemView.extend({
		tagName: 'li',
	    id: 'cloud-cover',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span id="cloud-cover-input"> Cloud Cover</span>'),

	    update:'updateCloudCover',
	    isActive:'isCloudCoverActive',
	    toggle:'toggleCloudCoverLayer'
	});

	_.extend(MobileCloudCoverView.prototype, ViewCopycat);

	module.exports = MobileCloudCoverView;

/***/ },
/* 41 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileCurrentConditionsView = Marionette.ItemView.extend({
		tagName: 'li',
	    id: 'current-conditions',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span id="current-conditions-input"> Current Conditions</span>'),

	    update: 'currentConditionsUpdate',
	    isActive: 'currentConditionsIsActive',
	    toggle: 'currentConditionsToggle'
	});

	_.extend(MobileCurrentConditionsView.prototype, ViewCopycat);

	module.exports = MobileCurrentConditionsView;

/***/ },
/* 42 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileDayNightLayerView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span id="day-night-input"> Day/Night Line</span>'),

	    update: 'updateDayNightToggles',
	    isCopyActive: 'isDayNightLayerActive',
	    toggle: 'toggleDayNightLayer',
	});

	_.extend(MobileDayNightLayerView.prototype, ViewCopycat);

	module.exports = MobileDayNightLayerView;

/***/ },
/* 43 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobilePositiveSightingFilterView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span id="positive-sighting-input">Positive Sighting</span>'+
	        '<span class="first-legend-icon positive-sighting-icon"></span>'+
	        '<span class="second-legend-icon positive-group-sighting-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    update: 'positiveSightingFilterUpdate',
	    isCopyActive: 'positiveSightingFilterIsActive',
	    toggle: 'positiveSightingFilterToggle'
	});

	_.extend(MobilePositiveSightingFilterView.prototype, ViewCopycat);

	module.exports = MobilePositiveSightingFilterView;

/***/ },
/* 44 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileNegativeSightingFilterView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    id: 'negativeListItem',
	    template: Handlebars.compile(
	        '<span id="negative-sighting-input">Negative Sighting</span>'+
	        '<span class="first-legend-icon negative-sighting-icon"></span>'+
	        '<span class="second-legend-icon negative-group-sighting-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    update: 'negativeSightingFilterUpdate',
	    isCopyActive: 'negativeSightingFilterIsActive',
	    toggle: 'negativeSightingFilterToggle'
	});

	_.extend(MobileNegativeSightingFilterView.prototype, ViewCopycat);

	module.exports = MobileNegativeSightingFilterView;

/***/ },
/* 45 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileTwitterUnverifiedFilterView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span id="twitter-reports-layer-input">Unverified Tweet</span>'+
	        '<span class="first-legend-icon unverified-icon"></span>'+
	        '<span class="second-legend-icon unverified-group-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    update: 'twitterUnverifiedFilterViewUpdate',
	    isCopyActive: 'twitterUnverifiedFilterViewIsActive',
	    toggle: 'twitterUnverifiedFilterViewToggle'
	});

	_.extend(MobileTwitterUnverifiedFilterView.prototype, ViewCopycat);

	module.exports = MobileTwitterUnverifiedFilterView;

/***/ },
/* 46 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileTwitterVerifiedFilterView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span id="twitter-verified-layer-input">Verified Tweet</span>'+
	        '<span class="first-legend-icon verified-icon"></span>'+
	        '<span class="second-legend-icon verified-group-icon"></span>'+
	        '<span class="legend-icon-group-text">10+</span>'
	    ),

	    update: 'twitterVerifiedFilterViewUpdate',
	    isCopyActive: 'twitterVerifiedFilterViewIsActive',
	    toggle: 'twitterVerifiedFilterViewToggle'
	});

	_.extend(MobileTwitterVerifiedFilterView.prototype, ViewCopycat);


	module.exports = MobileTwitterVerifiedFilterView;

/***/ },
/* 47 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileViewLineLegendView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span>View Line Estimate</span>'+
	        '<span class="second-legend-icon view-line-icon"></span>'
	    ),

	    update: 'updateViewLinesToggles',
	    isCopyActive: 'isOvalViewLinesActive',
	    toggle: 'toggleViewLines'
	});

	_.extend(MobileViewLineLegendView.prototype, ViewCopycat);

	module.exports = MobileViewLineLegendView;

/***/ },
/* 48 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileOvalEstimateLegendView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span>Current Auroral Oval Estimate</span>'+
	        '<span class="second-legend-icon oval-nowcast-icon"></span>'
	    ),

	    update: 'updateNowcastToggles',
	    isCopyActive: 'isOvalNowcastActive',
	    toggle: 'toggleNowcast'
	});

	_.extend(MobileOvalEstimateLegendView.prototype, ViewCopycat);

	module.exports = MobileOvalEstimateLegendView;

/***/ },
/* 49 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileScientistLegendView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span>Scientist Network</span>'+
	        '<span class="first-legend-icon scientist-icon"></span>'
	    ),

	    update: 'ScientistFilterUpdate',
	    isCopyActive: 'ScientistFilterIsActive',
	    toggle: 'ScientistFilterToggle'
	});

	_.extend(MobileScientistLegendView.prototype, ViewCopycat);

	module.exports = MobileScientistLegendView;

/***/ },
/* 50 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var MobileViewLineView = Marionette.ItemView.extend({
		tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile('<span>View Line Estimate</span>'),

	    update: 'updateViewLinesToggles',
	    isCopyActive: 'isOvalViewLinesActive',
	    toggle: 'toggleViewLines'
	});

	_.extend(MobileViewLineView.prototype, ViewCopycat);

	module.exports = MobileViewLineView;

/***/ },
/* 51 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var ViewCopycat = __webpack_require__(110);

	var WhatAreEstimatesLegendView = Marionette.ItemView.extend({
	    tagName: 'li',
	    className: 'filter-toggle',
	    template: Handlebars.compile(
	        '<span>What are the "Estimates"?</span>'
	    ),

	    update: 'updateWhatAreEstimates',
	    isCopyActive: 'isWhatAreEstimatesActive',
	    toggle: 'toggleWhatAreEstimates'
	});

	_.extend(WhatAreEstimatesLegendView.prototype, ViewCopycat);

	module.exports = WhatAreEstimatesLegendView;

/***/ },
/* 52 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var App = __webpack_require__(11);
	var Map = __webpack_require__(19);
	var BaseMapControlView = __webpack_require__(98);


	var WhatAreEstimatesPopup = Marionette.ItemView.extend({
	    className: 'reportPopup',
	    template: aur.tpl['what-are-estimates-tpl']
	});


	var WhatAreTheEstimatesView = Marionette.ItemView.extend({
	    template: Handlebars.compile(
	        '<span>What are the "Estimates"?</span>'
	    ),

	    className: 'filter-toggle',

	    updateMessage: 'updateWhatAreEstimates',
	    isActiveMessage: 'isWhatAreEstimatesActive',
	    toggleMessage: 'toggleWhatAreEstimates',

	    initialize: function (config) {
	        App.vent.on('close-what-are-estimates', _.bind(this.removeLayer, this));

	        this.onInitialize({hideInitially: true, dontRefreshData: true});
	    },

	    initHandlers: function () {
	        App.vent.on('mapDateChanged', function (dateString) {
	            this.currentMoment = moment(dateString);
	            if (this.isActive()) this.getLayerData();
	        }.bind(this));
	    },

	    onRender: function () {
	        this.$el.click(this.toggleLayer.bind(this));
	    },

	    getLayerData: function () {
	        this.showLayer();
	    },

	    showLayer: function (data, status, xhr) {
	        // after get a response from server, display nowcast polygons
	        // first remove previous nowcast polygons if there is any
	        this.removeLayer();

	        this.el.classList.add('active');
	        App.vent.trigger('updateWhatAreEstimates', true);

	        this.showWhatAreEstimatesPopup()
	    },

	    removeLayer: function () {
	        this.el.classList.remove('active');
	        App.vent.trigger(this.updateMessage, false);
	    },

	    showWhatAreEstimatesPopup: function() {
	        var self = this;

	        var view = new WhatAreEstimatesPopup({
	            model: new Backbone.Model()
	        });

	        var selector = '#what-are-estimates-popup-container';

	        $(selector + ' .columns').html(view.render().el);

	        var $modal = $(selector).foundation('reveal', 'open');
	        $modal.find('.close-reveal-modal').one('click', function() {
	            self.removeLayer.call(self);
	            $modal.foundation('reveal', 'close');
	        });

	        $(document).on('close.fndtn.reveal', '[data-reveal]', function () {
	          self.removeLayer.call(self);
	        });
	    }
	});

	_.extend(WhatAreTheEstimatesView.prototype, BaseMapControlView);

	module.exports = WhatAreTheEstimatesView;

/***/ },
/* 53 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	var OvalLegendView = Marionette.ItemView.extend({
	    tagName: 'div',
	    className: 'oval-legend',
		template: aur.tpl['oval-legend-view-tpl'],

	    initialize: function() {
	        this.$el.hide();

	        App.vent.on('updateNowcastToggles', function(isActive) {
	            if(isActive) this.$el.show();
	            else this.$el.hide();
	        }.bind(this));
	    }
	});

	module.exports = OvalLegendView;

/***/ },
/* 54 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Map = __webpack_require__(19);

	module.exports = Marionette.ItemView.extend({
		className: 'mapMainContainer',
		template: aur.tpl['main-map-tpl'],

		onDestroy: function() {
			Map.destroy();
		},

	    ui: {
	        openFilterBtn: '.mobileFilterButton',
	        openLegendBtn: '.mobileLegendButton',
	        closeBtn: '.closeButton',
	        mobileLegend: '#mobile-legend',
	        mobileFilters: '#mobile-filters'
	    },

	    events: {
	        'click @ui.openFilterBtn': 'showFilters',
	        'click @ui.openLegendBtn': 'showLegend',
	        'click @ui.closeBtn': 'close'
	    },

	    showFilters: function(e) {
	        if(window.cordova) window.analytics.trackEvent('Map', 'Show Layers');
	        this.ui.mobileFilters.show();
	        e.stopPropagation();
	    },

	    showLegend: function(e) {
	        if(window.cordova) window.analytics.trackEvent('Map', 'Show Legend');
	        this.ui.mobileLegend.show();
	        e.stopPropagation();
	    },

	    close: function(e) {
	        this.ui.mobileLegend.hide();
	        this.ui.mobileFilters.hide();
	        e.stopPropagation();
	    }
	});

/***/ },
/* 55 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	module.exports = Backbone.Model.extend({
		urlRoot: C.get('host') + '/user-profile',
		name: 'userProfile',

		defaults: {
			'email': null
		},

		validation: {
			nickname: {
				required: true,
				maxLength: 20,
				minLength: 1
			},
			
			'user.email': {
				pattern: 'email',
				required: true,
				msg: "Email isn't valid"
			},

			privacy_policy: {
				required: true,
				acceptance: true
			},

			'location.name': {
				required: true,
				msg: "Location isn't valid"
			},

			plans: {
				required: false,
				maxLength: 500
			},

			about: {
				required: false,
				maxLength: 500
			}
		}
	});

/***/ },
/* 56 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Badge = __webpack_require__(111)
	var C = __webpack_require__(64);

	module.exports = Backbone.Collection.extend({
		url: C.get('host') + '/badges',
		model: Badge
	});

/***/ },
/* 57 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var RecentActivity = __webpack_require__(112);
	var C = __webpack_require__(64);

	module.exports = Backbone.Collection.extend({
		url: C.get('host') + '/recent-activity',
		model: RecentActivity,

		parse: function(response) {
			response.uniqueId = response.clazz + '-' + response.id;
			return response;
		}
	});

/***/ },
/* 58 */
/***/ function(module, exports, __webpack_require__) {

	'use strict'

	var MobileNav = __webpack_require__(95);

	var ProfileLayout = Marionette.LayoutView.extend({

		template: aur.tpl['profile-layout-tpl'],

		ui:{
			backNav: '#mobileBackButton'
		},

		onRender: function(){
			if (window.cordova){
				this.ui.backNav.on('click', MobileNav.navBack);
			}
		},

		regions: {
			leftCol: '#leftCol',
			firstSection: '#firstSection',
			secondSection: '#secondSection',
			thirdSection: '#thirdSection'
		}
	});

	_.extend(ProfileLayout.prototype, MobileNav);
	module.exports = ProfileLayout;

/***/ },
/* 59 */
/***/ function(module, exports, __webpack_require__) {

	'use strict'

	var App = __webpack_require__(11)

	module.exports = Marionette.ItemView.extend({
		
		template: Handlebars.compile(
			'<img class="profilePicture" src="{{profile_picture}}" alt="{{nickname}}">' + 
			'<button id="edit">Edit Profile Settings</button>'
		),

		ui: {
			editButton: '#edit'
		},

		events: {
			'click @ui.editButton': 'editWasPressed'
		},

		editWasPressed: function(){
			App.execute('editProfileSettings');
			this.ui.editButton.hide();
		}

	});

/***/ },
/* 60 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({

		template: Handlebars.compile(
			'<h3 class="nickname">{{nickname}}</h3>'+
			'{{#isUserOfSocialType user "twitter-custom"}}'+
			'<h3 class="username">@{{screen_name}}</h2>'+
			'{{/isUserOfSocialType}}'+
			'<p class="points">{{points}} <span class="unit">points</span></p>'+
			'<p class="location">{{location.name}}</p>'+
			'<p class="joinDate">Join Date: {{fmtDefault user.date_joined}}</p>'
		)
	});

/***/ },
/* 61 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = Marionette.ItemView.extend({
	    id: 'user-profile-edit-view',

		template: aur.tpl['user-profile-edit-view-tpl'],

		ui: {
			emailInput: '#email',
			locationInput: '#location',
			emailAlertCheckbox: '#notifications', 
			twitterMessagesCheckbox: '#twitterMessages', 
			doneEditing: '#doneEditingButton',
			cancel: '#cancelEditBtn',
	        mobileDoneEditing: '#mobileSaveProfile',
	        mobileCancel: '#mobileCancelSaveProfile',
	        deleteAcct: '#deleteAccount',
	        acctForm: '#deleteAcctForm'
		},

		events: {
			'change @ui.emailInput': 'updateModel',
			'change @ui.emailAlertCheckbox': 'updateModel',
			'change @ui.twitterMessagesCheckbox': 'updateModel',
			'click @ui.doneEditing': 'doneEditingWasPressed',
			'click @ui.cancel': 'cancelEdit',
	        'click @ui.mobileDoneEditing': 'doneEditingWasPressed',
	        'click @ui.mobileCancel': 'cancelEdit',
	        'click @ui.deleteAcct': 'confirmDeleteAcct'
		},
		
		onRender: function() {
	    	this.initLocationSearchInput();
	    },

	    initLocationSearchInput: function() {
	        this.ui.locationInput.keypress(function(e) {
	            if (e.which == 13) {
	                return false;
	            }
	        });

	    	var searchBox = new google.maps.places.SearchBox(this.ui.locationInput[0]);
	        google.maps.event.addListener(searchBox, 'places_changed', function() {
	            var place = searchBox.getPlaces()[0];
	            var loc = {};
	            loc.name = place.name;
	            loc.address = place.formatted_address;
	            loc.latitude = place.geometry.location.lat();
	            loc.longitude = place.geometry.location.lng();
	            loc.google_reference = place.reference;
	            loc.google_id = place.id;
	            loc.user_profile = this.model.get('id');
	            this.model.set('location', loc);
	        }.bind(this));
	    },


		updateModel: function() {
	        this.model.get('user').email = this.ui.emailInput.val();
	        this.model.set('receives_email_alerts', this.ui.emailAlertCheckbox.is(':checked'));
	        this.model.set('receives_twitter_messages', this.ui.twitterMessagesCheckbox.is(':checked'));
	    },

		doneEditingWasPressed: function(){
			this.model.save().done(function(){
				App.execute('doneEditingProfileSettings');
			});
		},

		cancelEdit: function() {
			App.execute('doneEditingProfileSettings');
		},

	    confirmDeleteAcct: function(e){
	        e.preventDefault();

	        var $modal = $('#delete-account-popup-container').foundation('reveal', 'open');
	        $modal.find('.close-reveal-modal, .cancel-btn').one('click', function() {
	            $modal.foundation('reveal', 'close');
	        });
	        $modal.find('.warning-btn').one('click', _.bind(function() {
	            $.post(this.ui.acctForm.prop('action'))
	            .done(function() {
	                window.location.replace('/');
	            })
	            .fail(function() {
	                alert('Failed');
	            });
	        }, this));
	    },

	    deleteAcct: function() {

	    }

	});

/***/ },
/* 62 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var RecentActivityPosWebItemView = __webpack_require__(113);
	var RecentActivityNegWebItemView = __webpack_require__(114);
	var RecentActivityRankTweetItemView = __webpack_require__(115);
	var RecentActivitySignupItemView = __webpack_require__(116);
	var RecentActivityAdminAwardItemView = __webpack_require__(117);
	var RecentActivityQuizCompletedItemView = __webpack_require__(118);

	module.exports = Marionette.CompositeView.extend({
		template: Handlebars.compile(
			'<h3>Recent Activity:</h3>'+
			'<div id="recentActivityList"></div>'
		),

		getChildView: function(model) {
			switch (model.get('clazz')) {
				case 'PositiveWebReport':
					return RecentActivityPosWebItemView;
				case 'NegativeWebReport':
					return RecentActivityNegWebItemView;
				case 'RankTweet':
					return RecentActivityRankTweetItemView;
				case 'Signup':
					return RecentActivitySignupItemView;
				case 'AdminAward':
					return RecentActivityAdminAwardItemView;
	            case 'QuizCompleted':
					return RecentActivityQuizCompletedItemView;
				default:
					return RecentActivityNegWebItemView;
			}
		},

		childViewContainer: '#recentActivityList'
	});

/***/ },
/* 63 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	var ProfileBadgeItemView = Marionette.ItemView.extend({
		tagName: 'li',
		template: Handlebars.compile(
			'<img title="Badge for top {{percent}}% of users" src="{{ getBadgeImage percent }}">'
			)
	});

	module.exports = Marionette.CompositeView.extend({
		template: Handlebars.compile(
			'<h3>Badges:</h3>'+
			'<ul class="badge-list" id="badges">'+
			'</ul>'
			),

		onRender: function() {
			if(this.model.get('points') >= 125) {
				this.$('#badges').prepend('<li><img alt="Level 1 badge" title="Level 1 badge (125 points)" src="' + C.get('staticUrl') + 'img/badges/Badge01.png' + '"></li>');
			}
		},

		appendHtml: function() {
		},

		childViewContainer: '#badges',
		childView: ProfileBadgeItemView
	});

/***/ },
/* 64 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// Config is for machine-local settings
	var config = __webpack_require__(87);

	module.exports = (function() {
		var consts = {
			CLUSTER_SIZE: 10,
			CLUSTER_GRID_SIZE: 100,

			/* Determines how many tweets get loaded on Verify Tweets page
			* originally 15, reduced due to initial slow page loads */
			VERIFY_TWEETS_COLLECTION_SIZE: 5,

			/* Determines when to reload tweets, should be less than VERIFY_TWEETS_COLLECTION_SIZE
			* originally 5, see `tweet-vote-composite-view.js` for app logic.*/
			VERIFY_TWEETS_RELOAD_SIZE: 2,
			red: 'Red',
			gree: 'Green',
			whit: 'White',
			pink: 'Pink',
			othr: 'Other',
			acti: 'Active motion',
			quie: 'Quiet, not moving much',
			very: 'Very active, racing across the sky',
			arcs: 'Discrete Arcs',
			glow: 'Diffuse Glow',
			patc: 'Patches (Pulsating)',
			clou: 'Cloudy, partially cloudy, raining, or snowing',
			clea: 'Clear',
			brig: 'Bright from light pollution, or the moon, only a few stars visible',
			n: 'Northern horizon only',
			n45: '45 Degrees North',
			over: 'Overhead',
			s45: '45 Degrees South',
			whol: 'Whole Sky',
			pos: 'positive',
			neg: 'negative',
			oth: 'other',
			staticUrl: window.staticUrl || '' ,
			mediaUrl: window.mediaUrl || '',
			googleRedirect: 'http://aurora.elasticbeanstalk.com/settings',
			google_scope: 'https://www.googleapis.com/auth/userinfo.profile https://www.googleapis.com/auth/userinfo.email',
			GOOGLE_API_KEY: 'AIzaSyDc8l8XRXNKdT3WleJIJmwAkNgO0HZfgwg',
	        host: 'http://aurorasaurus.org'
		};

		_.extend(consts, config.consts);

		return {
			get: function(key) {
				return consts[key];
			}
		};
		
	}.call(this));

/***/ },
/* 65 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var App = __webpack_require__(11);
	var Utils = __webpack_require__(91);
	var TweetVoteItemView = __webpack_require__(119);
	var MobileNav = __webpack_require__(95);

	var TweetVoteCompositeView = Marionette.CompositeView.extend({
		template: aur.tpl['tweet-vote-composite-view-tpl'],

		childView: TweetVoteItemView,
		childViewContainer: '#tweets-container',

		ui:{
			backNav: '#mobileBackButton'
		},

		initialize: function() {
			var initialSize = this.collection.length;
			this.minSize = C.get('VERIFY_TWEETS_COLLECTION_SIZE');
			this.reloadSize = C.get('VERIFY_TWEETS_RELOAD_SIZE');
			this.currentPage = 1;
			this.ableToFetchMore = (initialSize >= this.minSize);
			this.initHandlers();
		},

		initHandlers: function() {
			this.on('childview:voted', function(view) {
				this.collection.remove(view.model);

				if(this.ableToFetchMore && (this.minSize - this.collection.length >= this.reloadSize)) {
					this.currentPage++;
					var oldestMoment = moment(this.collection.last().get('created_at'));
					var params = {
						end_date: oldestMoment.format(Utils.defaultDateFmtWithTZ()),
						page_size: this.minSize,
						page: this.currentPage,
						order_by: '-created_at'
					};
					$.ajax({
						data: $.param(params), silent: true,
						url: C.get('host') + '/tweets/voteable'
					}).done(function(data) {
						this.collection.add(data.results);
						this.collection.sort();
						if(!data || !data.results.length) {
							this.ableToFetchMore = false;
						}
					}.bind(this));
				}
			}.bind(this));
		},

		onRender: function(){
			if (window.cordova){
				this.ui.backNav.on('click', MobileNav.navBack);
			}
		}
	});

	_.extend(TweetVoteCompositeView.prototype, MobileNav);
	module.exports = TweetVoteCompositeView;


/***/ },
/* 66 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var TwitterObservationNonPageableCollection = __webpack_require__(120);

	var VerifiableTweetCollection = TwitterObservationNonPageableCollection.extend({
		url: C.get('host') + '/tweets/voteable',
	});

	module.exports = VerifiableTweetCollection;

/***/ },
/* 67 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
		className: 'tweet-verification-list',
		id: 'tweet-list-container',
		template: Handlebars.compile('')
	});

/***/ },
/* 68 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var Authentication = __webpack_require__(15);
	var MobileUtils = __webpack_require__(85);
	var MobileNav = __webpack_require__(95);
	var PrivacyPolicyView = __webpack_require__(121);
	var C = __webpack_require__(64);

	module.exports = Marionette.ItemView.extend({
	    template: aur.tpl['finish-registration-view-tpl'],

	    ui: {
	        emailInput: '#email',
	        locationInput: '#location',
	        registrationSubmitBtn: '#registration-submit',
	        privacyPolicyLabel: 'label[for="privacy_policy"]',
	        notificationsCheckbox: '#notifications',
	        plansTextArea: '#plans',
	        messages: '#userProfile-messages',
	        nicknameInput: '#nickname',
	        privacyPolicyCheckbox: '#privacy_policy',
	        mobileBackButton: '#mobileBackButton',
	        submitForm: 'form'
	    },

	    events: {
	    	'click @ui.registrationSubmitBtn': 'validateAndSave',
	        'click @ui.privacyPolicyLabel': 'showPrivacyPolicy',
	        'change @ui.emailInput': 'updateModel',
	        'click @ui.privacyPolicyCheckbox': 'updateModel',
	        'click @ui.notificationsCheckbox': 'updateModel',
	        'change @ui.plansTextArea': 'updateModel',
	        'click @ui.mobileBackButton': 'navBack',
	        'change @ui.nicknameInput': 'checkNickname'
	    },

	    initialize: function() {
	        Backbone.Validation.bind(this);
	        this.auth = new Authentication();
	        if(!this.model.get('user')) this.model.set('user', {});
	    },

	    onRender: function() {
	    	this.initLocationSearchInput();
	    },

	    initLocationSearchInput: function() {
	        this.ui.locationInput.keypress(function(e) {
	            if (e.which == 13) {
	                return false;
	            }
	        });
	    	var searchBox = new google.maps.places.SearchBox(this.ui.locationInput[0]);
	        google.maps.event.addListener(searchBox, 'places_changed', function() {
	            var place = searchBox.getPlaces()[0];
	            var location = {
	                address: place.formatted_address,
	                name: place.name,
	                latitude: place.geometry.location.lat(),
	                longitude: place.geometry.location.lng(),
	                google_reference: place.reference,
	                google_id: place.id
	            };

	            // Set in two different locations. One for mobile, one for desktop
	            this.model.set('location', location);
	            this.model.set(location);
	        }.bind(this));
	    },

	    updateModel: function() {
	        var user = this.model.get('user');
	        user.email = this.ui.emailInput.val();

	        if(window.cordova) {
	            var socialAuthUser = this.model.get('social_auth_user');
	            this.model.set('receives_twitter_messages', this.ui.notificationsCheckbox.is(':checked') && socialAuthUser.provider === 'twitter-custom');
	        } else {
	            this.model.set('notifications', this.ui.notificationsCheckbox.is(':checked'));
	        }

	        this.model.set('user', user);
	        this.model.set('email', user.email);
	        this.model.set('privacy_policy', this.ui.privacyPolicyCheckbox.is(':checked'));
	        this.model.set('receives_email_alerts', this.ui.notificationsCheckbox.is(':checked'));
	        this.model.set('plans', this.ui.plansTextArea.val());
	        this.model.set('nickname', this.ui.nicknameInput.val());
	    },

	    showPrivacyPolicy: function(e) {
	        if(window.cordova) {
	            e.preventDefault();

	            var policyView = new PrivacyPolicyView({
	                model: new Backbone.Model({actionRequired: true}),
	                $overlayOn: this.$el
	            });
	            $('main').append(policyView.render().el);

	            this.listenToOnce(policyView, 'ok', function() {
	                this.model.set('privacy_policy', true);
	                this.ui.privacyPolicyCheckbox.prop('checked', 'checked');
	                policyView.destroy();
	            });

	            this.listenToOnce(policyView, 'cancel', function() {
	                this.model.set('privacy_policy', false);
	                this.ui.privacyPolicyCheckbox.prop('checked', null);
	                policyView.destroy();
	            });
	        }
	    },

	    updateForm: function() {
	        _.each(_.keys(this.model.toJSON()), function(key) {
	            this.$('[name="' + key + '"]').val(this.model.get(key));
	        }, this);
	    },

	    validateAndSave: function(e) {
	        e.preventDefault();
	        this.disableSubmit();
	        this.updateModel();
	        this.clearMessages();
	        this.model.validate();

	        if(!window.cordova) this.updateForm();

	        if (!this.model.isValid()) {
	            this.enableSubmit();
	        } else {
	            this.checkNickname().done(_.bind(function() {
	                if(window.cordova) {
	                    this.mobileSave();
	                } else {
	                    this.ui.submitForm.submit();
	                }
	            }, this))
	            .fail(_.bind(function() {
	                this.showMessage('error', 'Nickname is already used');
	            }, this));
	        }
	            
	    },

	    mobileSave: function() {
	        this.model.save(null, {
	            success: _.bind(function(user) {
	                this.auth.authenticated(user.toJSON());
	                App.vent.trigger('authenticated', user);
	                App.execute('routeSettings');
	            }, this),
	            error: _.bind(function(model, response) {
	                this.ui.registrationSubmitBtn.prop('disabled', false);
	                try {
	                    var errors = JSON.parse(response.responseText);

	                    _.each(_.keys(errors), function(key) {
	                        _.each(errors[key], function(error) {
	                            this.showMessage('error', error);
	                        }, this);
	                    }, this);   

	                } catch(e) {
	                    this.showMessage('error', 'Failed to create profile');
	                }
	            }, this)
	        });
	    },

	    navBack: function() {
	        this.auth.logout();
	        MobileNav.navBack();
	    },

	    showMessage: function(type, msg) {
	        if(!type || !msg || !this.ui.messages.addClass) return;

	        this.ui.messages.addClass(type + '-text');
	        this.ui.messages.append('<p>' + msg + '</p>');

	        this.ui.messages[0].scrollIntoView();
	    },

	    checkNickname: function() {
	        return $.ajax(C.get('host') + '/nickname-validator?nickname=' + this.ui.nicknameInput.val());
	    },

	    disableSubmit: function() {
	        this.ui.registrationSubmitBtn.prop('readonly', false);
	    },

	    enableSubmit: function() {
	        this.ui.registrationSubmitBtn.prop('readonly', true);
	    },

	    clearMessages: function() {
	        this.$('#' + this.model.name + '-messages').html('').removeClass('alert alert-danger');
	    }
	  
	});

/***/ },
/* 69 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var C = __webpack_require__(64);

	module.exports = Backbone.Model.extend({
		urlRoot: C.get('host') + '/user',

		defaults: {
			profile_picture: C.get('staticUrl') + 'img/twitter-profile.png',
			points: '0',

			location: {
				name: 'unknown'
			}
		}
	});

/***/ },
/* 70 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var User = __webpack_require__(69);
	var UserProfile = __webpack_require__(55);
	var SocialAuthUser = __webpack_require__(122);
	var FinshRegistrationView = __webpack_require__(68);
	var App = __webpack_require__(11);
	var C = __webpack_require__(64);
	var MobileNav = __webpack_require__(95);
	var FacebookLogin = __webpack_require__(88);
	var TwitterLogin = __webpack_require__(90);
	var GoogleLogin = __webpack_require__(89);
	var Authentication = __webpack_require__(15);
	var PrivacyPolicyView = __webpack_require__(121);
	var MobileSecrets = __webpack_require__(123);

	module.exports = Marionette.ItemView.extend({
	    className: '',

	    template: aur.tpl['login-view-tpl'],

	    ui: {
	        facebookBtn: '#facebook',
	        twitterBtn: '#twitter',
	        googleBtn: '#googlePlus',
	        privacyPolicy: '#privacyPolicy',
	        backNav: '#mobileBackButton'
	    },

	    events: {
	        'click @ui.facebookBtn': 'loginFB',
	        'click @ui.twitterBtn': 'loginTwtr',
	        'click @ui.googleBtn': 'loginGoogle',
	        'click @ui.privacyPolicy': 'showPrivacyPolicy'
	    },

	    initialize: function() {
	        this.auth = new Authentication();
	    },

	    onRender: function() {
	        if (window.cordova){
	            window.analytics.trackView('User login/sign in');
	            this.auth.clearStorage();
	            this.ui.backNav.on('click', MobileNav.navBack);
	        }
	    },

	    showPrivacyPolicy: function() {
	        var policyView = new PrivacyPolicyView({
	            model: new Backbone.Model({actionRequired: false}),
	            $overlayOn: this.$el
	        });

	        $('main').append(policyView.render().el);

	        this.listenToOnce(policyView, 'ok', function() {
	            policyView.destroy();
	        });
	    },

	    loginFB: function() {
	        FacebookLogin.login()
	        .done(_.bind(function(userInfo) {
	            this.login('facebook', userInfo);
	        }, this));
	    },

	    loginTwtr: function() {

	        var options = {
	            consumerKey: MobileSecrets.TWITTER_API_KEY,
	            consumerSecret: MobileSecrets.TWITTER_API_SECRET,
	            callbackUrl: C.get('host') + '/settings' 
	        };

	        TwitterLogin.login(options)
	        .done(_.bind(function(userInfo) {
	            this.login('twitter-custom', userInfo);
	        }, this));
	    },

	    loginGoogle: function() {
	        GoogleLogin.login()
	        .done(_.bind(function(userInfo) {
	            this.login('google', userInfo);
	        }, this));
	    },

	    createUser: function(provider, userInfo) {
	        if(!userInfo) return;

	        var user = new User();
	        var socialAuthUser = new SocialAuthUser();
	        var userProfile = new UserProfile();
	        var extraData = {};

	        if(provider === 'google') {
	            extraData.access_token = window.localStorage.access_token;
	            extraData.expires = window.localStorage.expiresAt;
	            extraData.user_id = userInfo.id;
	            extraData.code = null;

	            socialAuthUser.set('extra_data', JSON.stringify(extraData));
	            socialAuthUser.set('provider', 'google-plus');
	            socialAuthUser.set('uid', userInfo.email);

	            user.set('first_name', userInfo.given_name);
	            user.set('last_name', userInfo.family_name);
	            user.set('username', userInfo.email);
	            user.set('email', userInfo.email);
	        } else if(provider === 'facebook') {
	            extraData.access_token = userInfo.accessToken;
	            extraData.expires = userInfo.expiresIn;
	            extraData.uid = userInfo.id;

	            socialAuthUser.set('extra_data', JSON.stringify(extraData));
	            socialAuthUser.set('provider', 'facebook');
	            socialAuthUser.set('uid', userInfo.id);

	            user.set('first_name', userInfo.first_name);
	            user.set('last_name', userInfo.last_name);
	            user.set('email', userInfo.email);
	            user.set('username', userInfo.username);
	        } else {
	            extraData.access_token = {};
	            extraData.access_token.oauth_token = userInfo.oauth_token;
	            extraData.access_token.oauth_token_secret = userInfo.oauth_token_secret;
	            extraData.access_token.screen_name = userInfo.screen_name;
	            extraData.access_token.user_id = userInfo.user_id;
	            extraData.id = userInfo.user_id;

	            socialAuthUser.set('extra_data', JSON.stringify(extraData));
	            socialAuthUser.set('provider', 'twitter-custom');
	            socialAuthUser.set('uid', userInfo.user_id);

	            user.set('username', userInfo.screen_name);
	        }

	        userProfile.set('social_auth_user', socialAuthUser.toJSON());
	        userProfile.set('user', user.toJSON());
	        userProfile.urlRoot = C.get('host') + '/user';

	        var registrationView = new FinshRegistrationView({
	            model: userProfile
	        });
	        App.main.show(registrationView);
	    },

	    login: function(provider, data) {
	        $.ajax({
	            url: C.get('host') + '/social-login', 
	            data: data
	        })
	        .done(_.bind(function(data) {
	            this.auth.authenticated(data);
	            App.execute('routeSettings');
	        }, this))
	        .fail(_.bind(function(xhr) {
	            if(xhr.status === 429) {
	                navigator.notification.alert('Too many login attempts. Try again later', function(){}, 'Login failed');
	            }
	            else  {
	                this.createUser(provider, data.userInfo);
	            }
	        }, this));
	    }

	}).extend(MobileNav);

/***/ },
/* 71 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var RouterUtils = __webpack_require__(81);
	var App = __webpack_require__(11);

	var LandingPageView = Marionette.ItemView.extend({
	    template: aur.tpl['landing-page-view-tpl'],

	    ui: {
	        auroraMap: '#auroraMap',
	        reportASighting: '#reportASighting',

	        spaceData: '#spaceData',
	        verifyTweets: '#verifyTweets',

	        settings: '#settings',
	        leaderboard: '#leaderboard'
	    },

	    events: {
	        'click @ui.auroraMap': 'routeAuroraMap',
	        'click @ui.reportASighting': 'routeReportASighting',

	        'click @ui.spaceData': 'routeSpaceData',
	        'click @ui.verifyTweets': 'routeVerifyTweets',

	        'click @ui.settings': 'routeSettings',
	        'click @ui.leaderboard': 'routeLeaderboard'
	    },

	    onRender: function() {
	        var height = $(window).height() - $('header').outerHeight();
	        $('main').height(height);
	    },

	    routeAuroraMap: function() {
	        this.routeTo('routeAuroraMap');
	    },

	    routeReportASighting: function() {
	        App.execute('routeReportASighting');
	    },

	    routeSpaceData: function() {
	        this.routeTo('routeSpaceData');
	    },

	    routeVerifyTweets: function() {
	        this.routeTo('routeVerifyTweets');
	    },

	    routeSettings: function() {
	        this.routeTo('routeSettings');
	    },

	    routeLeaderboard: function() {
	        this.routeTo('routeLeaderboard');
	    }

	});

	_.extend(LandingPageView.prototype, RouterUtils);

	module.exports = LandingPageView;


/***/ },
/* 72 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var LeaderBoard = __webpack_require__(125);
	var C = __webpack_require__(64);

	module.exports = Backbone.PageableCollection.extend({
	    url: C.get('host') + '/gamification/leaderboard',
	    model: LeaderBoard,

	    state: {
	        pageSize: 15
	    },

	    parseRecords: function(resp, options) {
	        return resp.results;
	    },

	    parseLinks: function(resp, options) {
	        var links = {
	            next: resp.next,
	            prev: resp.previous,
	            first: this.url
	        };

	        return links;
	    },

	    parseState: function (resp, queryParams, state, options) {
	        return {
	            totalRecords: resp.count
	        };
	    }
	});

/***/ },
/* 73 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var LeaderBoardItemView = __webpack_require__(124)
	var MobileNav = __webpack_require__(95);

	var leaderboardCompositeView = Marionette.CompositeView.extend({
	    className: 'leaderboard',
	    template: aur.tpl['leaderboard-composite-view-tpl'],

	    childViewContainer: 'tbody',
	    childView: LeaderBoardItemView,

	    ui: {
	        nextButton: '#moreLeaders',
	        prevButton: '#lessLeaders',
	        backNav: '#mobileBackButton'
	    },

	    events: {
	        'click @ui.nextButton': 'showNext',
	        'click @ui.prevButton': 'showPrev'
	    },

	    initialize: function() {
	        this.listenTo(this.collection, 'reset', this.updateUIButtons);
	        this.updatePagingStatus();
	    },

	    onRender: function(){
	        this.ui.backNav.on('click', MobileNav.navBack);
	    },

	    updatePagingStatus: function() {
	        this.model.set('hasNext', this.collection.hasNextPage());
	        this.model.set('hasPrevious', this.collection.hasPreviousPage());
	    },

	    updateUIButtons: function() {
	        this.updatePagingStatus();
	        this.render();
	    },

	    showPrev: function() {
	        if(window.cordova) window.analytics.trackEvent('Leaderboard', 'Navigation', 'Prev');
	        if(this.collection.hasPreviousPage()) this.collection.getPreviousPage({reset: true});
	    },

	    showNext: function() {
	        if(window.cordova) window.analytics.trackEvent('Leaderboard', 'Navigation', 'Next');
	        if(this.collection.hasNextPage()) this.collection.getNextPage({reset: true});
	    },
	});

	_.extend(leaderboardCompositeView.prototype, MobileNav);
	module.exports = leaderboardCompositeView ;

/***/ },
/* 74 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	//this is mostly a lightweight reimplementation of Bootstrap's dropdown.
	module.exports = function(){
	    var my = {};

	    var element = null;
	    var button = null;
	    var ev = 'click';

	    my.init = function(b, e){
	        button = b;
	        element = e;
	        button.on(ev, my.toggle);

	        element.children('li').on(ev, function(){
	            hide();
	        });
	    };

	    my.toggle = function(){
	        if (element.css('display') == 'none')
	            show();
	        else {
	            hide();
	        }
	    };

	    function hide(){
	        setTimeout(function(){
	            element.hide(150);
	        }, 160);

	        $('.backdrop').remove();
	    }

	    function show(){
	        element.show(150);
	        $('<div class="backdrop fastclick"/>').insertAfter('body')
	        .one(ev, function(){
	            hide();
	        });
	    }

	    return my;
	};

/***/ },
/* 75 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseWebObservationReportView = __webpack_require__(126);
	var C = __webpack_require__(64);
	var SpinUtil = __webpack_require__(127);
	var App = __webpack_require__(11);
	var MobilePhotoService = __webpack_require__(83);
	var AuroraTypesView = __webpack_require__(128);
	var MobileUtils = __webpack_require__(85);

	var AffirmativeReportPopup = Marionette.ItemView.extend({

	    className: 'reportPopup',

	    template: aur.tpl['affirmative-report-popup-view-tpl'],

	    ui: {
	        close: '.popupx',
	        submit: '.affirmativeButton',
	        cancel: '.negativeButton',
	        startDate: '#start-date',
	        startTime: '#start-time',
	        endDate: '#end-date',
	        endTime: '#end-time',
	        searchInput: '#location',
	        messages: '#web-observation-messages',
	        selectPhoto: '#select-photo',
	        removePhoto: '#remove-photo',
	        takePhoto: '#take-photo',
	        fileUpload: '#fileupload',
	        obsImage: '#web-obs-image',
	        obsImageContainer: '#web-obs-image-container',
	        mobileCancel: '#mobile-cancel-web-report',
	        mobileSubmit: '#mobile-save-web-report',
	        auroraTypes: '#aurora-types',
	        popup: '#affirmative-popup',
	        whereInSky: '#determine-where-sky',
	        privacyPolicy: '#privacy-policy'
	    },

	    events: {
	        'click @ui.mobileSubmit': 'submit',
	        'click @ui.mobileCancel': 'closeView',
	        'click @ui.close': 'closeView',
	        'click @ui.cancel': 'closeView',
	        'click @ui.submit': 'submit',
	        'click @ui.selectPhoto': 'selectPhoto',
	        'click @ui.removePhoto': 'removePhoto',
	        'click @ui.takePhoto': 'takeMobilePhoto',
	        'blur input[type=date], input[type=checkbox], input[type=text], select, textarea': 'updateModel',
	        'click @ui.auroraTypes': 'showAuroraTypes',
	        'click @ui.whereInSky': 'handleWhereInSkyClick',
	        'click @ui.privacyPolicy': 'showPrivacyPolicy'
	    },

	    getActionBtns: function() {
	        return [this.ui.submit, this.ui.mobileSubmit, this.ui.mobileCancel, this.ui.cancel];
	    },

	    errorMsg: 'Oops, it looks like we had a problem saving your observation.',
	    successMsg: 'Thanks for the report!',

	    onInitialize: function() {
	        this.spin = new SpinUtil();
	        this.model.set('see_aurora', true);

	    },

	    rendered: function() {
	        if(!window.cordova) {
	            this.ui.fileUpload.fileupload({
	                url: C.get('host') + '/web-obs/image',
	                add: _.bind(function (e, data) {
	                    _.each(data.files, function(file) {
	                        data.formData = {file_name: this.uniquifyFileName(file.name)};
	                        this.model.set('file_name', data.formData.file_name);
	                    }, this);

	                    this.spin.spin(this.ui.obsImageContainer);
	                    data.submit();
	                }, this),
	                done: _.bind(function(e, data) {
	                    if(data.result.save_url){
	                        this.handleTempImageUploaded(data.result.save_url);
	                    }
	                }, this),
	                always: _.bind(function(e, data) {
	                    this.spin.stop();
	                }, this)
	            });
	        }
	    },

	    handleTempImageUploaded: function(saveUrl) {
	        this.ui.obsImage.prop('src', saveUrl);
	        this.model.set('imageUrl', saveUrl);
	    },

	    selectPhoto: function() {
	        if(window.cordova) {
	            this.selectMobilePhoto();
	        } else {
	            this.$('#fileupload').click();
	        }
	    },

	    uniquifyFileName: function(filename) {
	        return (new Date().getTime()) + '-' + filename;
	    },

	    mobileImageUploaded: function(imageData) {
	        // Ignore the directories and just get us the filename, then uniquify
	        var fileName = this.uniquifyFileName(imageData.split('/').reverse()[0]);
	        var options = new FileUploadOptions();
	        options.fileKey = "image";
	        options.fileName = fileName;
	        options.mimeType = "image/png";
	        options.params = {file_name: fileName};

	        this.model.set('file_name', fileName);
	        this.model.set('imageUrl', imageData);
	        this.ui.obsImage.attr('src', imageData);

	        if(App.request('isConnected')) {
	            MobilePhotoService.saveMobilePhoto(imageData, options);
	        } else {
	            this.imageToUpload = {imageData: imageData, imageOptions: options};
	        }

	    },

	    mobileImageUploadFailed: function(message) {
	        window.alert('Failed to get a picture', function(){}, 'Info');
	    },

	    removePhoto: function() {
	        this.model.set('file_name', null);
	        this.model.set('imageUrl', null);
	        this.ui.obsImage.attr('src', C.get('staticUrl') + 'img/img-placeholder.png');
	    },

	    selectMobilePhoto: function() {
	        navigator.camera.getPicture(_.bind(this.mobileImageUploaded,this), _.bind(this.mobileImageUploadFailed, this), { 
	            sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,
	            destinationType: Camera.DestinationType.FILE_URI,
	            encodingType: Camera.EncodingType.PNG
	        });
	    },

	    takeMobilePhoto: function() {
	        navigator.camera.getPicture(_.bind(this.mobileImageUploaded,this), _.bind(this.mobileImageUploadFailed, this), { 
	            destinationType: Camera.DestinationType.FILE_URI,
	            encodingType: Camera.EncodingType.PNG,
	            correctOrientation: true,
	            targetWidth: 800,
	            targetHeight: 800,
	            quality: 90,
	            saveToPhotoAlbum: true
	        });
	    },

	    showAuroraTypes: function() {
	        if(window.cordova) {
	            var view = new AuroraTypesView({model: new Backbone.Model()});
	            this.listenToOnce(view, 'before:destroy', function() {
	                this.$el.show();
	            });
	            this.$el.hide();
	            $('main').append(view.render().el);
	        }
	    },

	    handleWhereInSkyClick: function(e) {
	        if(window.cordova) {
	            e.preventDefault();
	            MobileUtils.openURL(this.ui.whereInSky.prop('href'));
	        }
	    }
	});

	_.extend(AffirmativeReportPopup.prototype, BaseWebObservationReportView);

	module.exports = AffirmativeReportPopup;

/***/ },
/* 76 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseWebObservationReportView = __webpack_require__(126);
	var MobileUtils = __webpack_require__(85);

	var NegativeReportPopup = Marionette.ItemView.extend({

	    className: 'reportPopup',

	    template: aur.tpl['negative-report-popup-view-tpl'],

	    ui: {
	        close: '.popupx',
	        submit: '.affirmativeButton',
	        cancel: '.negativeButton',
	        startDate: '#start-date',
	        startTime: '#start-time',
	        endDate: '#end-date',
	        endTime: '#end-time',
	        searchInput: '#location',
	        messages: '#web-observation-messages',
	        mobileCancel: '#mobile-cancel-web-report',
	        mobileSubmit: '#mobile-save-web-report',
	        popup: '#negative-popup',
	        privacyPolicy: '#privacy-policy'
	    },

	    events: {
	        'click @ui.mobileSubmit': 'submit',
	        'click @ui.mobileCancel': 'closeView',
	        'click @ui.mobileSave': 'submit',
	        'click @ui.close': 'closeView',
	        'click @ui.cancel': 'closeView',
	        'click @ui.submit': 'submit',
	        'blur input[type=date], input[type=checkbox], input[type=text], select, textarea': 'updateModel',
	        'click @ui.privacyPolicy': 'showPrivacyPolicy'
	    },

	    errorMsg: 'Oops, it looks like we had a problem saving your observation.',
	    successMsg: 'Thanks for the report!',

	    getActionBtns: function() {
	        return [this.ui.submit, this.ui.mobileSubmit, this.ui.mobileCancel, this.ui.cancel];
	    },

	    onInitialize: function() {
	        this.model.set('see_aurora', false);
	    }
	});

	_.extend(NegativeReportPopup.prototype, BaseWebObservationReportView);

	module.exports = NegativeReportPopup;

/***/ },
/* 77 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Utils = __webpack_require__(91);
	var C = __webpack_require__(64);

	module.exports = Backbone.Model.extend({

		urlRoot: C.get('host') + '/web-obs',

		name: 'web-observation',
		
		defaults: {
			activities: null,
			height: null,
	    	colors: [],
	    	types: [],
	    	sky: null,

	    	imageUrl: null,

	    	address_country: null,
	    	address_state: null,

		    see_aurora: null,
		    location: null,

		    time_start: function() {
		    	return Utils.round15Minutes(moment()).format(Utils.defaultDateFmtWithTZ());
		    }.call(this),
		    time_end: function() {
		    	var end = this.time_start;
		    	if(end) end = Utils.round15Minutes(moment(end));
		    	else end = Utils.round15Minutes(moment());
		    	end.add('minutes', 15);
		    	return end.format(Utils.defaultDateFmtWithTZ());
		    }.call(this),

		    on_going: false,

		    height_other: null,
		    activities_other: null,
		    colors_other: null,
		    types_other: null,
		    sky_other: null,
		    comment: null
		},

		validation: {
			activities: {
				required: false
			},
	    	colors: {
				required: false
			},
	    	types: {
				required: false
			},
	    	height: {
				required: false
			},
	    	sky: {
				required: false
			},

	    	address_country: {
				required: false
			},
	    	address_state: {
				required: false
			},

		    see_aurora: {
				required: true
			},
		    sky_other: {
				required: false,
				maxLength: 1024
			},

		    time_start: function(value, attr, computedState) {
				if( value && (moment(this.get('time_end')).isBefore(moment(value))) ) {
					return 'Start time must be before end time';
				}
			},
		    time_end: function(value, attr, computedState) {
		    	if( value && (moment(this.get('time_start')).isAfter(moment(value))) ) {
					return 'End time must be after start time';
				}	
			},

			location: {
				required: true
			},

		    on_going: {
				required: true
			},

		    height_other: {
				required: false,
				maxLength: 1024
			},
		    activities_other: {
				required: false,
				maxLength: 1024
			},
		    colors_other: {
				required: false,
				maxLength: 1024
			},
		    types_other: {
				required: false,
				maxLength: 1024
			},
		    comment: {
				required: false,
				maxLength: 4096
			}
		}
	});

/***/ },
/* 78 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);
	var App = __webpack_require__(11);

	module.exports = Marionette.ItemView.extend({
		template: aur.tpl['about-us-view-tpl'],

		events: {
			'click a': 'openUrl',
			'click #mobileBackButton': 'back'
		},

		initialize: function() {
			window.analytics.trackView('About');
		},

		back: function() {
			App.commands.execute('routeLanding');
		},

		openUrl: function(e) {
			e.preventDefault();
			MobileUtils.openURL(e.currentTarget.href);
		}
	});

/***/ },
/* 79 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var Notification = __webpack_require__(129);

	module.exports = Backbone.PageableCollection.extend({
		url: C.get('host') + '/notifications',
		model: Notification,

		comparator: function(model1, model2) {
			if(model1.get('object') === 'Cluster' && model2.get('object') !== 'Cluster') return -1;
			if(model1.get('object') !== 'Cluster' && model2.get('object') === 'Cluster') return 1;
			if(model1.get('object') === 'GlobalNotification' && model2.get('object') !== 'GlobalNotification') return -1;
			if(model1.get('object') !== 'GlobalNotification' && model2.get('object') === 'GlobalNotification') return 1;
			if(new Date(model1.get('created')).getTime() > new Date(model2.get('created')).getTime()) return -1;
			if(new Date(model1.get('created')).getTime() < new Date(model2.get('created')).getTime()) return 1;
			return 0;
		},

		state: {
			pageSize: 200,
			currentPage: 1
		},

		queryParams: {
			pageSize: 'page_size'
		},

		parseRecords: function(resp, options) {
			return resp.results;
		},

		parseLinks: function(resp, options) {
			var links = {
				next: resp.next,
				prev: resp.previous,
				first: this.url
			};

			return links;
		},

		parseState: function (resp, queryParams, state, options) {
			return {totalRecords: resp.count};
		}
	});

/***/ },
/* 80 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var NotificationsEmptyItemView = __webpack_require__(130);
	var NotificationsItemView = __webpack_require__(131);
	var App = __webpack_require__(11);
	var Dropdown = __webpack_require__(74);
	var Authentication = __webpack_require__(15);

	module.exports = Marionette.CompositeView.extend({
		tagName: 'span',

		template: aur.tpl['notifications-composite-view-tpl'],
		numNotificationsTemplate: Handlebars.compile('<span class="notificationNumber">{{numUnread}}</span>'),

		childViewContainer: '#notifications-list',
		childView: NotificationsItemView,
		emptyView: NotificationsEmptyItemView,

		ui: {
			notificationContainer: '#notificationContainer',
			notificationIcon: '.notificationIcon',
			notificationText: '.notificationText'
		},

		initialize: function() {
			this.auth = new Authentication();
			this.collection.fetch({reset: true});
			this.initialReset = true;
			this.setHandlers();
		},

		onRender: function() {
			var notificationDropdown = new Dropdown();
			notificationDropdown.init(this.$el, this.ui.notificationContainer);

			this.ui.notificationIcon.click(_.bind(function() {
				this.notificationClicked();
			}, this));
		},

		updateNotificationNumber: function(num) {
			var numUnread = num;

			numUnread = numUnread || this.collection.reduce(function(memo, model) { 
				return model.get('unread') === true ? memo + 1 : memo;
			}, 0);

			this.$('.notificationNumber').remove();
			if(numUnread) {
				this.ui.notificationIcon.append(this.numNotificationsTemplate( {numUnread: numUnread} ));
			}
		},

		notificationClicked: function() {
			setTimeout(_.bind(function() {
				this.markRead();
			},this), 1500);
		},

		markRead: function() {
			this.children.each(function(view) {
				if(view.markRead) view.markRead();
			}, this);
			this.$('.notificationNumber').remove();
		},

		setHandlers: function() {
			App.vent.on('logout', _.bind(function() {
				this.collection.reset();
			}, this));

			App.vent.on('authenticated', _.bind(function() {
				this.collection.reset();
				this.collection.fetch({reset: true});
			}, this));

			this.collection.on('reset', function() {
				if(!this.auth.isAuthenticated() && this.initialReset) {
					this.updateNotificationNumber(1);
					this.initialReset = false;
				} else {
					this.updateNotificationNumber();
				}
			}, this);

			App.commands.setHandler('fetchNotifications', _.bind(function() {
				var now = new Date().getTime();
				this.collection.reset(this.collection.filter(function(notification) {
					var isUnderHourOld = (now - new Date(notification.get('created')).getTime())/1000 < 60*60;
					return notification.get('unread') === true || isUnderHourOld;
				}));

				this.collection.fetch({global: false, remove: false})
				.done(_.bind(function() {
					this.updateNotificationNumber();
				}, this));

			}, this));
		}
	});

/***/ },
/* 81 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = {
		routeTo: _.wrap(function(routeEvent) {
			App.execute(routeEvent);

			}, function(func, routeEvent) {
				$('main').height('auto');
				
				App.execute('endTour');

				if(App.request('isConnected')) {
					func(routeEvent);
				} else {
					navigator.notification.alert('Sorry, an internet connection is needed!', function(){}, 'No Internet Detected');
				}
			}
		)
	};

/***/ },
/* 82 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var TwitterUtils = __webpack_require__(132);
	var Authentication = __webpack_require__(15);

	var HandlebarsHelpers = function() {
	    this.auth = new Authentication();
	};

	HandlebarsHelpers.prototype.registerHelpers = function() {
	    var self = this;

	    Handlebars.registerHelper('fmtDefault', function(date) {
	        return moment(date).format('M/D/YY [at] h:mm a');
	    });
	    Handlebars.registerHelper('fmtDate', function(date) {
	        return moment(date).format('D MMM YYYY');
	    });
	    Handlebars.registerHelper('fmtDateDayMonth', function(date) {
	        return moment(date).format('MMM, Do');
	    });
	    Handlebars.registerHelper('fmtTime', function(date) {
	        return moment(date).format('h:mm A');
	    });

	    Handlebars.registerHelper('fmtNotificationCreated', function(created) {
	        return moment(created).format('MMMM Do, [at] h:mm A');
	    });

	    Handlebars.registerHelper('isChecked', function(value, expected) {
	        return this._printIfPresent(value, expected, 'checked');
	    }.bind(this));

	    Handlebars.registerHelper('isSelected', function(value, expected) {
	       return this._printIfPresent(value, expected, 'selected'); 
	    }.bind(this));

	    Handlebars.registerHelper('fmtTwitterName', function(user_screen_name) {
	        return '<a target="_blank" href="https://twitter.com/' + user_screen_name + '">@' + user_screen_name + '</a>';
	    });

	    Handlebars.registerHelper('fmtTwitterProfileImg', function(url) {
	        return url.replace('_normal', '_bigger');
	    });

	    Handlebars.registerHelper('fmtTwitterText', function(text) {
	        return TwitterUtils.formatText(text);
	    });

	    Handlebars.registerHelper('fmtVerifiedTwtrObs', function(observation) {
	        switch(observation.verified_type){
	            case 'pos': return 'Tweet confirmed to be a positive sighting';
	            case 'neg': return 'Tweet confirmed to be a negative sighting';
	        }
	    });

	    Handlebars.registerHelper('fmtObserver', function(observer) {
	        if(observer) return observer.user_profile.nickname;
	        else return 'Anonymous';
	    });

	    Handlebars.registerHelper('getBadgeImage' ,function(percent) {
	        var baseUrl = C.get('staticUrl') + 'img/badges/';

	        switch (percent) {
	            case 30:
	                return baseUrl + 'Badge02.png';
	            case 10:
	                return baseUrl + 'Badge03.png';
	            case 2:
	                return baseUrl + 'Badge04.png';
	            default:
	                return '';
	        }
	    });

	    Handlebars.registerHelper('fmtSeeAurora', function(seeAurora) {
	        if(seeAurora) return 'User saw the aurora';
	        return 'User didn\'t see the aurora';
	    });

	    Handlebars.registerHelper('fmtObsDetail', function(arr, str) {
	        var result = '',
	            reduced;

	        if(_.isArray(arr)) {
	            // Reduce the array into one comma seperated string
	            reduced = _.reduce(arr, function(memo, val) {
	                if(memo === 0) return C.get(val);
	                return memo + ', ' + C.get(val);
	            }, 0);
	        } else if(arr) {
	            result = C.get(arr); // In this case, arr isn't an array, it's just a string
	        }

	        if(reduced) {
	            result = reduced + (str ? ', ' + str : '');
	            if(reduced.length && reduced.slice(-1) === ',') {
	                reduced = reduced.substr(0, reduced.length - 1); // Remove comma if it's the last character
	            }
	        }
	        return result;
	    });

	    Handlebars.registerHelper('ifCond', function(v1, v2, options) {
	        if(_.isArray(v1)) v1 = v1.length;
	        if(_.isArray(v2)) v2 = v2.length;
	        if(v1 || v2) {
	        return options.fn(this);
	      }
	      return options.inverse(this);
	    });

	    Handlebars.registerHelper('ifIsNotInitialVisit', function(options) {
	        if(window.localStorage.getItem('alreadyVisited')){
	            return options.fn(this);
	        }
	        return options.inverse(this);
	    });

	    Handlebars.registerHelper('ifIsInitialVisit', function(options) {
	        if(!window.localStorage.getItem('alreadyVisited')){
	            window.localStorage.setItem('alreadyVisited', true);
	            return options.fn(this);
	        }
	        return options.inverse(this);
	    });

	    Handlebars.registerHelper('ifIsMobile', function(options) {
	        if(window.cordova){
	            return options.fn(this);
	        }
	        return options.inverse(this);
	    });

	    Handlebars.registerHelper('ifNotMobile', function(options) {
	        if(!window.cordova){
	            return options.fn(this);
	        }
	        return options.inverse(this);
	    });

	    Handlebars.registerHelper('ifNotLoggedIn', function(options) {
	        if(!self.auth.isAuthenticated()) return options.fn(this);
	        return options.inverse(this);
	    });

	    Handlebars.registerHelper('ifLoggedIn', function(options) {
	        if(self.auth.isAuthenticated()) return options.fn(this);
	        return options.inverse(this);
	    });

	    Handlebars.registerHelper('getConst', function(c) {
	        return C.get(c);
	    });

	    Handlebars.registerHelper('CSRF', function() {
	        return $.cookie('csrftoken');
	    });

	    Handlebars.registerHelper('isUserOfSocialType', function(user, type, options) {
	        if(user && user.social_auth && user.social_auth[0]) {
	            if(user.social_auth[0].provider === type) {
	                return options.fn(this);
	            }
	        }
	        return false;
	    });
	};

	HandlebarsHelpers.prototype._printIfPresent = function(value, expected, toPrint) {
	    if(_.isArray(expected)) {
	        return _.contains(expected, value) ? toPrint: '';
	    }
	    return value === expected ? toPrint : '';
	};

	module.exports = HandlebarsHelpers;

/***/ },
/* 83 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	module.exports = {
		saveMobilePhoto: function(imageData, options) {
	        var options = options || {};
	        var deferred = $.Deferred();
	        var ft = new FileTransfer();

	        options.headers = $.ajaxSetup().headers; // Attach CSRF Token since POST doesn't go through $.ajax

	        ft.upload(
	            imageData, 
	            C.get('host') + '/web-obs/image', 
	            _.bind(function(result) {
	                deferred.resolve(JSON.parse(result.response));
	            }, this), 
	            _.bind(function(error) {
	                if(error.code === FileTransferError.CONNECTION_ERR ||
	                    error.code === FileTransferError.INVALID_URL_ERR ||
	                    error.code === FileTransferError.FILE_NOT_FOUND_ERR) {
	                    this.mobileImageUploadFailed('Code: ' + error.code);
	                }
	                console.log("upload error source " + error.source);
	                console.log("upload error target " + error.target);

	                deferred.reject();
	            }, this), 
	            options
	        );

	        return deferred;
	    }
	};

/***/ },
/* 84 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	module.exports = {
		updateLocation: function(loc) {
	        var deferred = $.Deferred();
	        var country = "",
	            state = "";
	        var location = this._parseLocation(loc);
	        var address = location.formatted_address;
	        var latLng = new google.maps.LatLng(location.latitude, location.longitude);

	        // use reverse lookup to find best-guess location of user.
	        new google.maps.Geocoder().geocode( { 'latLng': latLng}, function(results, status) {
	            if (status == google.maps.GeocoderStatus.OK) {
	                // the formatted address
	                var formatted_address = results[0].formatted_address;
	                
	                // find the state and country information
	                var t_add = results[0].address_components;
	                for (var i=0; i<t_add.length; i++) {
	                    if (t_add[i].types[0] == 'administrative_area_level_1') {
	                        state = t_add[i].short_name;
	                    }
	    
	                    if ( _.contains(t_add[i].types, 'country') ) {
	                        country = t_add[i].long_name;
	                    }
	                }

	                var result = {
	                    formatted_address: address || formatted_address,
	                    address_state: state,
	                    address_country: country,
	                    location: { latitude: location.latitude, longitude: location.longitude }
	                };

	                deferred.resolve(result);
	            }
	        });

	        return deferred;
	    },

	    locationTextSearch: function(location) {
	    	return $.ajax('https://maps.googleapis.com/maps/api/place/textsearch/json?query='+ location +'&key=' + C.get('GOOGLE_API_KEY'));
	    },

	    _parseLocation: function(location) {
	        if(location.longitude) {
	            return {
	                longitude: location.longitude,
	                latitude: location.latitude,
	                formatted_address: null
	            };
	        } else {
	            var lng = location.geometry.location.lng.prototype ? location.geometry.location.lng() : location.geometry.location.lng;
	            var lat = location.geometry.location.lat.prototype ? location.geometry.location.lat() : location.geometry.location.lat;
	            return {
	                longitude: lng,
	                latitude: lat,
	                formatted_address: location.formatted_address
	            };
	        }
	    }
	};

/***/ },
/* 85 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Authentication = __webpack_require__(15);
	var HowToVoteView = __webpack_require__(133);

	module.exports = {
		isPortrait: function() {
			if(typeof window.orientation === 'undefined') return true;
			switch(window.orientation) {  
				case -90:
		      	case 90:
		        	return false;
		        default:
		        	return true;
		    }
		},

		isLandscape: function() {
			return !this.isPortrait();
		},

		openURL: function(url) {
			window.open(url, '_blank', 'location=no,closebuttoncaption=Close,enableViewportScale=yes');
		},

		isiOS: function() {
			return navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPhone/i);
		},

		isAndroid: function() {
			return navigator.userAgent.match(/Android/i);
		},

		isiOS7: function() {
			return this.isiOS() && parseFloat(window.device.version) >= 7.0;
		},

		showTwitterHelp: function(config) {
			 var view = new HowToVoteView({
			 	model: new Backbone.Model(),
			 	$overlayOn: config.$overlayOn
			 });
			 $('body').append(view.render().el);
		}
	};

/***/ },
/* 86 */
/***/ function(module, exports, __webpack_require__) {

	var require;var require;!function(e){if(true)module.exports=e();else if("function"==typeof define&&define.amd)define(e);else{var f;"undefined"!=typeof window?f=window:"undefined"!=typeof global?f=global:"undefined"!=typeof self&&(f=self),f.selectiveFastclick=e()}}(function(){var define,module,exports;return (function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return require(o,!0);if(i)return i(o,!0);throw new Error("Cannot find module '"+o+"'")}var f=n[o]={exports:{}};t[o][0].call(f.exports,function(e){var n=t[o][1][e];return s(n?n:e)},f,f.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(_dereq_,module,exports){
	/*jshint laxbreak:true*/

	/**
	 * External dependencies
	 */

	var FastClick = _dereq_('fastclick').FastClick;
	var FtDomDelegate = _dereq_('dom-delegate').Delegate;

	/**
	 * Selective FastClick
	 */

	function SelectiveFastClick(layer, selectors) {

	  // Support:-
	  // - new SelectiveFastClick(selector); (default FastClick behaviour on document.body)
	  // - new SelectiveFastClick(document.body, selector); (as above)
	  // - new SelectiveFastClick([selector, selector...]);
	  // - new SelectiveFastClick(document.body, [selector, selector, ...]);
	  if (!selectors) {
	    selectors = layer;
	    layer = document.body;
	  }
	  if (typeof selectors === 'string') selectors = [selectors];

	  var delegate = this.delegate = new FtDomDelegate(layer);

	  // HACK: Pass in MSTouchAction value
	  delegate.style = { msTouchAction: layer.style.msTouchAction };

	  // Quick hacky forEach helper
	  function forEach(array, fn) {
	    for (var i = 0, l = array.length; i < l; i++) fn(array[i]);
	  }

	  delegate.addEventListener = function(eventType, handler, useCapture) {
	    forEach(selectors, function(selector) {
	      FtDomDelegate.prototype.on.call(delegate, eventType, selector, handler, useCapture);
	    });
	  };

	  delegate.removeEventListener = function(eventType, handler, useCapture) {
	    forEach(selectors, function(selector) {
	      FtDomDelegate.prototype.off.call(delegate, eventType, selector, handler, useCapture);
	    });
	  };

	  this.fastclick = new FastClick(delegate);

	  // Copy the Android 2.3 hack
	  if (typeof layer.onclick === 'function') {

	    // Android browser on at least 3.2 requires a new reference to the function in layer.onclick
	    // - the old one won't work if passed to addEventListener directly.
	    oldOnClick = layer.onclick;
	    layer.addEventListener('click', function(event) {
	        oldOnClick(event);
	    }, false);
	    layer.onclick = null;
	  }
	}

	/**
	 * Instance methods
	 */

	var proto = SelectiveFastClick.prototype;

	proto.destroy = function() {
	  this.delegate.destroy();
	  this.fastclick.destroy();
	};

	/**
	 * FastClick-style attach method
	 */

	SelectiveFastClick.attach = function(layer, selector) {
	  return new SelectiveFastClick(layer, selector);
	};

	module.exports = SelectiveFastClick;

	},{"dom-delegate":3,"fastclick":4}],2:[function(_dereq_,module,exports){
	/*jshint browser:true, node:true*/

	/*HACK:MA:20140428 Event currently not a browser global in JSHint - https://github.com/jshint/jshint/pull/1645 */
	/*global Event*/

	'use strict';

	module.exports = Delegate;

	/**
	 * DOM event delegator
	 *
	 * The delegator will listen
	 * for events that bubble up
	 * to the root node.
	 *
	 * @constructor
	 * @param {Node|string} [root] The root node or a selector string matching the root node
	 */
	function Delegate(root) {

	  /**
	   * Maintain a map of listener
	   * lists, keyed by event name.
	   *
	   * @type Object
	   */
	  this.listenerMap = [{}, {}];
	  if (root) {
	    this.root(root);
	  }

	  /** @type function() */
	  this.handle = Delegate.prototype.handle.bind(this);
	}

	/**
	 * @protected
	 * @type ?boolean
	 */
	Delegate.tagsCaseSensitive = null;

	/**
	 * Start listening for events
	 * on the provided DOM element
	 *
	 * @param  {Node|string} [root] The root node or a selector string matching the root node
	 * @returns {Delegate} This method is chainable
	 */
	Delegate.prototype.root = function(root) {
	  var listenerMap = this.listenerMap;
	  var eventType;

	  if (typeof root === 'string') {
	    root = document.querySelector(root);
	  }

	  // Remove master event listeners
	  if (this.rootElement) {
	    for (eventType in listenerMap[1]) {
	      if (listenerMap[1].hasOwnProperty(eventType)) {
	        this.rootElement.removeEventListener(eventType, this.handle, true);
	      }
	    }
	    for (eventType in listenerMap[0]) {
	      if (listenerMap[0].hasOwnProperty(eventType)) {
	        this.rootElement.removeEventListener(eventType, this.handle, false);
	      }
	    }
	  }

	  // If no root or root is not
	  // a dom node, then remove internal
	  // root reference and exit here
	  if (!root || !root.addEventListener) {
	    if (this.rootElement) {
	      delete this.rootElement;
	    }
	    return this;
	  }

	  /**
	   * The root node at which
	   * listeners are attached.
	   *
	   * @type Node
	   */
	  this.rootElement = root;

	  // Set up master event listeners
	  for (eventType in listenerMap[1]) {
	    if (listenerMap[1].hasOwnProperty(eventType)) {
	      this.rootElement.addEventListener(eventType, this.handle, true);
	    }
	  }
	  for (eventType in listenerMap[0]) {
	    if (listenerMap[0].hasOwnProperty(eventType)) {
	      this.rootElement.addEventListener(eventType, this.handle, false);
	    }
	  }

	  return this;
	};

	/**
	 * @param {string} eventType
	 * @returns boolean
	 */
	Delegate.prototype.captureForType = function(eventType) {
	  return ['error', 'blur', 'focus', 'scroll', 'resize'].indexOf(eventType) !== -1;
	};

	/**
	 * Attach a handler to one
	 * event for all elements
	 * that match the selector,
	 * now or in the future
	 *
	 * The handler function receives
	 * three arguments: the DOM event
	 * object, the node that matched
	 * the selector while the event
	 * was bubbling and a reference
	 * to itself. Within the handler,
	 * 'this' is equal to the second
	 * argument.
	 *
	 * The node that actually received
	 * the event can be accessed via
	 * 'event.target'.
	 *
	 * @param {string} eventType Listen for these events
	 * @param {string|undefined} selector Only handle events on elements matching this selector, if undefined match root element
	 * @param {function()} handler Handler function - event data passed here will be in event.data
	 * @param {Object} [eventData] Data to pass in event.data
	 * @returns {Delegate} This method is chainable
	 */
	Delegate.prototype.on = function(eventType, selector, handler, useCapture) {
	  var root, listenerMap, matcher, matcherParam;

	  if (!eventType) {
	    throw new TypeError('Invalid event type: ' + eventType);
	  }

	  // handler can be passed as
	  // the second or third argument
	  if (typeof selector === 'function') {
	    useCapture = handler;
	    handler = selector;
	    selector = null;
	  }

	  // Fallback to sensible defaults
	  // if useCapture not set
	  if (useCapture === undefined) {
	    useCapture = this.captureForType(eventType);
	  }

	  if (typeof handler !== 'function') {
	    throw new TypeError('Handler must be a type of Function');
	  }

	  root = this.rootElement;
	  listenerMap = this.listenerMap[useCapture ? 1 : 0];

	  // Add master handler for type if not created yet
	  if (!listenerMap[eventType]) {
	    if (root) {
	      root.addEventListener(eventType, this.handle, useCapture);
	    }
	    listenerMap[eventType] = [];
	  }

	  if (!selector) {
	    matcherParam = null;

	    // COMPLEX - matchesRoot needs to have access to
	    // this.rootElement, so bind the function to this.
	    matcher = this.matchesRoot.bind(this);

	  // Compile a matcher for the given selector
	  } else if (/^[a-z]+$/i.test(selector)) {

	    // Lazily check whether tag names are case sensitive (as in XML or XHTML documents).
	    if (Delegate.tagsCaseSensitive === null) {
	      Delegate.tagsCaseSensitive = document.createElement('i').tagName === 'i';
	    }

	    if (!Delegate.tagsCaseSensitive) {
	      matcherParam = selector.toUpperCase();
	    } else {
	      matcherParam = selector;
	    }

	    matcher = this.matchesTag;
	  } else if (/^#[a-z0-9\-_]+$/i.test(selector)) {
	    matcherParam = selector.slice(1);
	    matcher = this.matchesId;
	  } else {
	    matcherParam = selector;
	    matcher = this.matches;
	  }

	  // Add to the list of listeners
	  listenerMap[eventType].push({
	    selector: selector,
	    handler: handler,
	    matcher: matcher,
	    matcherParam: matcherParam
	  });

	  return this;
	};

	/**
	 * Remove an event handler
	 * for elements that match
	 * the selector, forever
	 *
	 * @param {string} [eventType] Remove handlers for events matching this type, considering the other parameters
	 * @param {string} [selector] If this parameter is omitted, only handlers which match the other two will be removed
	 * @param {function()} [handler] If this parameter is omitted, only handlers which match the previous two will be removed
	 * @returns {Delegate} This method is chainable
	 */
	Delegate.prototype.off = function(eventType, selector, handler, useCapture) {
	  var i, listener, listenerMap, listenerList, singleEventType;

	  // Handler can be passed as
	  // the second or third argument
	  if (typeof selector === 'function') {
	    useCapture = handler;
	    handler = selector;
	    selector = null;
	  }

	  // If useCapture not set, remove
	  // all event listeners
	  if (useCapture === undefined) {
	    this.off(eventType, selector, handler, true);
	    this.off(eventType, selector, handler, false);
	    return this;
	  }

	  listenerMap = this.listenerMap[useCapture ? 1 : 0];
	  if (!eventType) {
	    for (singleEventType in listenerMap) {
	      if (listenerMap.hasOwnProperty(singleEventType)) {
	        this.off(singleEventType, selector, handler);
	      }
	    }

	    return this;
	  }

	  listenerList = listenerMap[eventType];
	  if (!listenerList || !listenerList.length) {
	    return this;
	  }

	  // Remove only parameter matches
	  // if specified
	  for (i = listenerList.length - 1; i >= 0; i--) {
	    listener = listenerList[i];

	    if ((!selector || selector === listener.selector) && (!handler || handler === listener.handler)) {
	      listenerList.splice(i, 1);
	    }
	  }

	  // All listeners removed
	  if (!listenerList.length) {
	    delete listenerMap[eventType];

	    // Remove the main handler
	    if (this.rootElement) {
	      this.rootElement.removeEventListener(eventType, this.handle, useCapture);
	    }
	  }

	  return this;
	};


	/**
	 * Handle an arbitrary event.
	 *
	 * @param {Event} event
	 */
	Delegate.prototype.handle = function(event) {
	  var i, l, type = event.type, root, listener, returned, listenerList = [], target, /** @const */ EVENTIGNORE = 'ftLabsDelegateIgnore';

	  if (event[EVENTIGNORE] === true) {
	    return;
	  }

	  target = event.target;
	  if (target.nodeType === Node.TEXT_NODE) {
	    target = target.parentNode;
	  }

	  root = this.rootElement;

	  switch (event.eventPhase) {
	    case Event.CAPTURING_PHASE:
	      listenerList = this.listenerMap[1][type];
	    break;
	    case Event.AT_TARGET:
	      if (this.listenerMap[0] && this.listenerMap[0][type]) listenerList = listenerList.concat(this.listenerMap[0][type]);
	      if (this.listenerMap[1] && this.listenerMap[1][type]) listenerList = listenerList.concat(this.listenerMap[1][type]);
	    break;
	    case Event.BUBBLING_PHASE:
	      listenerList = this.listenerMap[0][type];
	    break;
	  }

	  // Need to continuously check
	  // that the specific list is
	  // still populated in case one
	  // of the callbacks actually
	  // causes the list to be destroyed.
	  l = listenerList.length;
	  while (target && l) {
	    for (i = 0; i < l; i++) {
	      listener = listenerList[i];

	      // Bail from this loop if
	      // the length changed and
	      // no more listeners are
	      // defined between i and l.
	      if (!listener) {
	        break;
	      }

	      // Check for match and fire
	      // the event if there's one
	      //
	      // TODO:MCG:20120117: Need a way
	      // to check if event#stopImmediateProgagation
	      // was called. If so, break both loops.
	      if (listener.matcher.call(target, listener.matcherParam, target)) {
	        returned = this.fire(event, target, listener);
	      }

	      // Stop propagation to subsequent
	      // callbacks if the callback returned
	      // false
	      if (returned === false) {
	        event[EVENTIGNORE] = true;
	        event.preventDefault();
	        return;
	      }
	    }

	    // TODO:MCG:20120117: Need a way to
	    // check if event#stopProgagation
	    // was called. If so, break looping
	    // through the DOM. Stop if the
	    // delegation root has been reached
	    if (target === root) {
	      break;
	    }

	    l = listenerList.length;
	    target = target.parentElement;
	  }
	};

	/**
	 * Fire a listener on a target.
	 *
	 * @param {Event} event
	 * @param {Node} target
	 * @param {Object} listener
	 * @returns {boolean}
	 */
	Delegate.prototype.fire = function(event, target, listener) {
	  return listener.handler.call(target, event, target);
	};

	/**
	 * Check whether an element
	 * matches a generic selector.
	 *
	 * @type function()
	 * @param {string} selector A CSS selector
	 */
	Delegate.prototype.matches = (function(el) {
	  if (!el) return;
	  var p = el.prototype;
	  return (p.matches || p.matchesSelector || p.webkitMatchesSelector || p.mozMatchesSelector || p.msMatchesSelector || p.oMatchesSelector);
	}(Element));

	/**
	 * Check whether an element
	 * matches a tag selector.
	 *
	 * Tags are NOT case-sensitive,
	 * except in XML (and XML-based
	 * languages such as XHTML).
	 *
	 * @param {string} tagName The tag name to test against
	 * @param {Element} element The element to test with
	 * @returns boolean
	 */
	Delegate.prototype.matchesTag = function(tagName, element) {
	  return tagName.toLowerCase() === element.tagName.toLowerCase();
	};

	/**
	 * Check whether an element
	 * matches the root.
	 *
	 * @param {?String} selector In this case this is always passed through as null and not used
	 * @param {Element} element The element to test with
	 * @returns boolean
	 */
	Delegate.prototype.matchesRoot = function(selector, element) {
	  if (this.rootElement === window) return element === document;
	  return this.rootElement === element;
	};

	/**
	 * Check whether the ID of
	 * the element in 'this'
	 * matches the given ID.
	 *
	 * IDs are case-sensitive.
	 *
	 * @param {string} id The ID to test against
	 * @param {Element} element The element to test with
	 * @returns boolean
	 */
	Delegate.prototype.matchesId = function(id, element) {
	  return id === element.id;
	};

	/**
	 * Short hand for off()
	 * and root(), ie both
	 * with no parameters
	 *
	 * @return void
	 */
	Delegate.prototype.destroy = function() {
	  this.off();
	  this.root();
	};

	},{}],3:[function(_dereq_,module,exports){
	/*jshint browser:true, node:true*/

	'use strict';

	/**
	 * @preserve Create and manage a DOM event delegator.
	 *
	 * @version 0.3.0
	 * @codingstandard ftlabs-jsv2
	 * @copyright The Financial Times Limited [All Rights Reserved]
	 * @license MIT License (see LICENSE.txt)
	 */
	var Delegate = _dereq_('./delegate');

	module.exports = function(root) {
	  return new Delegate(root);
	};

	module.exports.Delegate = Delegate;

	},{"./delegate":2}],4:[function(_dereq_,module,exports){
	/**
	 * @preserve FastClick: polyfill to remove click delays on browsers with touch UIs.
	 *
	 * @version 1.0.3
	 * @codingstandard ftlabs-jsv2
	 * @copyright The Financial Times Limited [All Rights Reserved]
	 * @license MIT License (see LICENSE.txt)
	 */

	/*jslint browser:true, node:true*/
	/*global define, Event, Node*/


	/**
	 * Instantiate fast-clicking listeners on the specified layer.
	 *
	 * @constructor
	 * @param {Element} layer The layer to listen on
	 * @param {Object} options The options to override the defaults
	 */
	function FastClick(layer, options) {
		'use strict';
		var oldOnClick;

		options = options || {};

		/**
		 * Whether a click is currently being tracked.
		 *
		 * @type boolean
		 */
		this.trackingClick = false;


		/**
		 * Timestamp for when click tracking started.
		 *
		 * @type number
		 */
		this.trackingClickStart = 0;


		/**
		 * The element being tracked for a click.
		 *
		 * @type EventTarget
		 */
		this.targetElement = null;


		/**
		 * X-coordinate of touch start event.
		 *
		 * @type number
		 */
		this.touchStartX = 0;


		/**
		 * Y-coordinate of touch start event.
		 *
		 * @type number
		 */
		this.touchStartY = 0;


		/**
		 * ID of the last touch, retrieved from Touch.identifier.
		 *
		 * @type number
		 */
		this.lastTouchIdentifier = 0;


		/**
		 * Touchmove boundary, beyond which a click will be cancelled.
		 *
		 * @type number
		 */
		this.touchBoundary = options.touchBoundary || 10;


		/**
		 * The FastClick layer.
		 *
		 * @type Element
		 */
		this.layer = layer;

		/**
		 * The minimum time between tap(touchstart and touchend) events
		 *
		 * @type number
		 */
		this.tapDelay = options.tapDelay || 200;

		if (FastClick.notNeeded(layer)) {
			return;
		}

		// Some old versions of Android don't have Function.prototype.bind
		function bind(method, context) {
			return function() { return method.apply(context, arguments); };
		}


		var methods = ['onMouse', 'onClick', 'onTouchStart', 'onTouchMove', 'onTouchEnd', 'onTouchCancel'];
		var context = this;
		for (var i = 0, l = methods.length; i < l; i++) {
			context[methods[i]] = bind(context[methods[i]], context);
		}

		// Set up event handlers as required
		if (deviceIsAndroid) {
			layer.addEventListener('mouseover', this.onMouse, true);
			layer.addEventListener('mousedown', this.onMouse, true);
			layer.addEventListener('mouseup', this.onMouse, true);
		}

		layer.addEventListener('click', this.onClick, true);
		layer.addEventListener('touchstart', this.onTouchStart, false);
		layer.addEventListener('touchmove', this.onTouchMove, false);
		layer.addEventListener('touchend', this.onTouchEnd, false);
		layer.addEventListener('touchcancel', this.onTouchCancel, false);

		// Hack is required for browsers that don't support Event#stopImmediatePropagation (e.g. Android 2)
		// which is how FastClick normally stops click events bubbling to callbacks registered on the FastClick
		// layer when they are cancelled.
		if (!Event.prototype.stopImmediatePropagation) {
			layer.removeEventListener = function(type, callback, capture) {
				var rmv = Node.prototype.removeEventListener;
				if (type === 'click') {
					rmv.call(layer, type, callback.hijacked || callback, capture);
				} else {
					rmv.call(layer, type, callback, capture);
				}
			};

			layer.addEventListener = function(type, callback, capture) {
				var adv = Node.prototype.addEventListener;
				if (type === 'click') {
					adv.call(layer, type, callback.hijacked || (callback.hijacked = function(event) {
						if (!event.propagationStopped) {
							callback(event);
						}
					}), capture);
				} else {
					adv.call(layer, type, callback, capture);
				}
			};
		}

		// If a handler is already declared in the element's onclick attribute, it will be fired before
		// FastClick's onClick handler. Fix this by pulling out the user-defined handler function and
		// adding it as listener.
		if (typeof layer.onclick === 'function') {

			// Android browser on at least 3.2 requires a new reference to the function in layer.onclick
			// - the old one won't work if passed to addEventListener directly.
			oldOnClick = layer.onclick;
			layer.addEventListener('click', function(event) {
				oldOnClick(event);
			}, false);
			layer.onclick = null;
		}
	}


	/**
	 * Android requires exceptions.
	 *
	 * @type boolean
	 */
	var deviceIsAndroid = navigator.userAgent.indexOf('Android') > 0;


	/**
	 * iOS requires exceptions.
	 *
	 * @type boolean
	 */
	var deviceIsIOS = /iP(ad|hone|od)/.test(navigator.userAgent);


	/**
	 * iOS 4 requires an exception for select elements.
	 *
	 * @type boolean
	 */
	var deviceIsIOS4 = deviceIsIOS && (/OS 4_\d(_\d)?/).test(navigator.userAgent);


	/**
	 * iOS 6.0(+?) requires the target element to be manually derived
	 *
	 * @type boolean
	 */
	var deviceIsIOSWithBadTarget = deviceIsIOS && (/OS ([6-9]|\d{2})_\d/).test(navigator.userAgent);

	/**
	 * BlackBerry requires exceptions.
	 *
	 * @type boolean
	 */
	var deviceIsBlackBerry10 = navigator.userAgent.indexOf('BB10') > 0;

	/**
	 * Determine whether a given element requires a native click.
	 *
	 * @param {EventTarget|Element} target Target DOM element
	 * @returns {boolean} Returns true if the element needs a native click
	 */
	FastClick.prototype.needsClick = function(target) {
		'use strict';
		switch (target.nodeName.toLowerCase()) {

		// Don't send a synthetic click to disabled inputs (issue #62)
		case 'button':
		case 'select':
		case 'textarea':
			if (target.disabled) {
				return true;
			}

			break;
		case 'input':

			// File inputs need real clicks on iOS 6 due to a browser bug (issue #68)
			if ((deviceIsIOS && target.type === 'file') || target.disabled) {
				return true;
			}

			break;
		case 'label':
		case 'video':
			return true;
		}

		return (/\bneedsclick\b/).test(target.className);
	};


	/**
	 * Determine whether a given element requires a call to focus to simulate click into element.
	 *
	 * @param {EventTarget|Element} target Target DOM element
	 * @returns {boolean} Returns true if the element requires a call to focus to simulate native click.
	 */
	FastClick.prototype.needsFocus = function(target) {
		'use strict';
		switch (target.nodeName.toLowerCase()) {
		case 'textarea':
			return true;
		case 'select':
			return !deviceIsAndroid;
		case 'input':
			switch (target.type) {
			case 'button':
			case 'checkbox':
			case 'file':
			case 'image':
			case 'radio':
			case 'submit':
				return false;
			}

			// No point in attempting to focus disabled inputs
			return !target.disabled && !target.readOnly;
		default:
			return (/\bneedsfocus\b/).test(target.className);
		}
	};


	/**
	 * Send a click event to the specified element.
	 *
	 * @param {EventTarget|Element} targetElement
	 * @param {Event} event
	 */
	FastClick.prototype.sendClick = function(targetElement, event) {
		'use strict';
		var clickEvent, touch;

		// On some Android devices activeElement needs to be blurred otherwise the synthetic click will have no effect (#24)
		if (document.activeElement && document.activeElement !== targetElement) {
			document.activeElement.blur();
		}

		touch = event.changedTouches[0];

		// Synthesise a click event, with an extra attribute so it can be tracked
		clickEvent = document.createEvent('MouseEvents');
		clickEvent.initMouseEvent(this.determineEventType(targetElement), true, true, window, 1, touch.screenX, touch.screenY, touch.clientX, touch.clientY, false, false, false, false, 0, null);
		clickEvent.forwardedTouchEvent = true;
		targetElement.dispatchEvent(clickEvent);
	};

	FastClick.prototype.determineEventType = function(targetElement) {
		'use strict';

		//Issue #159: Android Chrome Select Box does not open with a synthetic click event
		if (deviceIsAndroid && targetElement.tagName.toLowerCase() === 'select') {
			return 'mousedown';
		}

		return 'click';
	};


	/**
	 * @param {EventTarget|Element} targetElement
	 */
	FastClick.prototype.focus = function(targetElement) {
		'use strict';
		var length;

		// Issue #160: on iOS 7, some input elements (e.g. date datetime) throw a vague TypeError on setSelectionRange. These elements don't have an integer value for the selectionStart and selectionEnd properties, but unfortunately that can't be used for detection because accessing the properties also throws a TypeError. Just check the type instead. Filed as Apple bug #15122724.
		if (deviceIsIOS && targetElement.setSelectionRange && targetElement.type.indexOf('date') !== 0 && targetElement.type !== 'time') {
			length = targetElement.value.length;
			targetElement.setSelectionRange(length, length);
		} else {
			targetElement.focus();
		}
	};


	/**
	 * Check whether the given target element is a child of a scrollable layer and if so, set a flag on it.
	 *
	 * @param {EventTarget|Element} targetElement
	 */
	FastClick.prototype.updateScrollParent = function(targetElement) {
		'use strict';
		var scrollParent, parentElement;

		scrollParent = targetElement.fastClickScrollParent;

		// Attempt to discover whether the target element is contained within a scrollable layer. Re-check if the
		// target element was moved to another parent.
		if (!scrollParent || !scrollParent.contains(targetElement)) {
			parentElement = targetElement;
			do {
				if (parentElement.scrollHeight > parentElement.offsetHeight) {
					scrollParent = parentElement;
					targetElement.fastClickScrollParent = parentElement;
					break;
				}

				parentElement = parentElement.parentElement;
			} while (parentElement);
		}

		// Always update the scroll top tracker if possible.
		if (scrollParent) {
			scrollParent.fastClickLastScrollTop = scrollParent.scrollTop;
		}
	};


	/**
	 * @param {EventTarget} targetElement
	 * @returns {Element|EventTarget}
	 */
	FastClick.prototype.getTargetElementFromEventTarget = function(eventTarget) {
		'use strict';

		// On some older browsers (notably Safari on iOS 4.1 - see issue #56) the event target may be a text node.
		if (eventTarget.nodeType === Node.TEXT_NODE) {
			return eventTarget.parentNode;
		}

		return eventTarget;
	};


	/**
	 * On touch start, record the position and scroll offset.
	 *
	 * @param {Event} event
	 * @returns {boolean}
	 */
	FastClick.prototype.onTouchStart = function(event) {
		'use strict';
		var targetElement, touch, selection;

		// Ignore multiple touches, otherwise pinch-to-zoom is prevented if both fingers are on the FastClick element (issue #111).
		if (event.targetTouches.length > 1) {
			return true;
		}

		targetElement = this.getTargetElementFromEventTarget(event.target);
		touch = event.targetTouches[0];

		if (deviceIsIOS) {

			// Only trusted events will deselect text on iOS (issue #49)
			selection = window.getSelection();
			if (selection.rangeCount && !selection.isCollapsed) {
				return true;
			}

			if (!deviceIsIOS4) {

				// Weird things happen on iOS when an alert or confirm dialog is opened from a click event callback (issue #23):
				// when the user next taps anywhere else on the page, new touchstart and touchend events are dispatched
				// with the same identifier as the touch event that previously triggered the click that triggered the alert.
				// Sadly, there is an issue on iOS 4 that causes some normal touch events to have the same identifier as an
				// immediately preceeding touch event (issue #52), so this fix is unavailable on that platform.
				// Issue 120: touch.identifier is 0 when Chrome dev tools 'Emulate touch events' is set with an iOS device UA string,
				// which causes all touch events to be ignored. As this block only applies to iOS, and iOS identifiers are always long,
				// random integers, it's safe to to continue if the identifier is 0 here.
				if (touch.identifier && touch.identifier === this.lastTouchIdentifier) {
					event.preventDefault();
					return false;
				}

				this.lastTouchIdentifier = touch.identifier;

				// If the target element is a child of a scrollable layer (using -webkit-overflow-scrolling: touch) and:
				// 1) the user does a fling scroll on the scrollable layer
				// 2) the user stops the fling scroll with another tap
				// then the event.target of the last 'touchend' event will be the element that was under the user's finger
				// when the fling scroll was started, causing FastClick to send a click event to that layer - unless a check
				// is made to ensure that a parent layer was not scrolled before sending a synthetic click (issue #42).
				this.updateScrollParent(targetElement);
			}
		}

		this.trackingClick = true;
		this.trackingClickStart = event.timeStamp;
		this.targetElement = targetElement;

		this.touchStartX = touch.pageX;
		this.touchStartY = touch.pageY;

		// Prevent phantom clicks on fast double-tap (issue #36)
		if ((event.timeStamp - this.lastClickTime) < this.tapDelay) {
			event.preventDefault();
		}

		return true;
	};


	/**
	 * Based on a touchmove event object, check whether the touch has moved past a boundary since it started.
	 *
	 * @param {Event} event
	 * @returns {boolean}
	 */
	FastClick.prototype.touchHasMoved = function(event) {
		'use strict';
		var touch = event.changedTouches[0], boundary = this.touchBoundary;

		if (Math.abs(touch.pageX - this.touchStartX) > boundary || Math.abs(touch.pageY - this.touchStartY) > boundary) {
			return true;
		}

		return false;
	};


	/**
	 * Update the last position.
	 *
	 * @param {Event} event
	 * @returns {boolean}
	 */
	FastClick.prototype.onTouchMove = function(event) {
		'use strict';
		if (!this.trackingClick) {
			return true;
		}

		// If the touch has moved, cancel the click tracking
		if (this.targetElement !== this.getTargetElementFromEventTarget(event.target) || this.touchHasMoved(event)) {
			this.trackingClick = false;
			this.targetElement = null;
		}

		return true;
	};


	/**
	 * Attempt to find the labelled control for the given label element.
	 *
	 * @param {EventTarget|HTMLLabelElement} labelElement
	 * @returns {Element|null}
	 */
	FastClick.prototype.findControl = function(labelElement) {
		'use strict';

		// Fast path for newer browsers supporting the HTML5 control attribute
		if (labelElement.control !== undefined) {
			return labelElement.control;
		}

		// All browsers under test that support touch events also support the HTML5 htmlFor attribute
		if (labelElement.htmlFor) {
			return document.getElementById(labelElement.htmlFor);
		}

		// If no for attribute exists, attempt to retrieve the first labellable descendant element
		// the list of which is defined here: http://www.w3.org/TR/html5/forms.html#category-label
		return labelElement.querySelector('button, input:not([type=hidden]), keygen, meter, output, progress, select, textarea');
	};


	/**
	 * On touch end, determine whether to send a click event at once.
	 *
	 * @param {Event} event
	 * @returns {boolean}
	 */
	FastClick.prototype.onTouchEnd = function(event) {
		'use strict';
		var forElement, trackingClickStart, targetTagName, scrollParent, touch, targetElement = this.targetElement;

		if (!this.trackingClick) {
			return true;
		}

		// Prevent phantom clicks on fast double-tap (issue #36)
		if ((event.timeStamp - this.lastClickTime) < this.tapDelay) {
			this.cancelNextClick = true;
			return true;
		}

		// Reset to prevent wrong click cancel on input (issue #156).
		this.cancelNextClick = false;

		this.lastClickTime = event.timeStamp;

		trackingClickStart = this.trackingClickStart;
		this.trackingClick = false;
		this.trackingClickStart = 0;

		// On some iOS devices, the targetElement supplied with the event is invalid if the layer
		// is performing a transition or scroll, and has to be re-detected manually. Note that
		// for this to function correctly, it must be called *after* the event target is checked!
		// See issue #57; also filed as rdar://13048589 .
		if (deviceIsIOSWithBadTarget) {
			touch = event.changedTouches[0];

			// In certain cases arguments of elementFromPoint can be negative, so prevent setting targetElement to null
			targetElement = document.elementFromPoint(touch.pageX - window.pageXOffset, touch.pageY - window.pageYOffset) || targetElement;
			targetElement.fastClickScrollParent = this.targetElement.fastClickScrollParent;
		}

		targetTagName = targetElement.tagName.toLowerCase();
		if (targetTagName === 'label') {
			forElement = this.findControl(targetElement);
			if (forElement) {
				this.focus(targetElement);
				if (deviceIsAndroid) {
					return false;
				}

				targetElement = forElement;
			}
		} else if (this.needsFocus(targetElement)) {

			// Case 1: If the touch started a while ago (best guess is 100ms based on tests for issue #36) then focus will be triggered anyway. Return early and unset the target element reference so that the subsequent click will be allowed through.
			// Case 2: Without this exception for input elements tapped when the document is contained in an iframe, then any inputted text won't be visible even though the value attribute is updated as the user types (issue #37).
			if ((event.timeStamp - trackingClickStart) > 100 || (deviceIsIOS && window.top !== window && targetTagName === 'input')) {
				this.targetElement = null;
				return false;
			}

			this.focus(targetElement);
			this.sendClick(targetElement, event);

			// Select elements need the event to go through on iOS 4, otherwise the selector menu won't open.
			// Also this breaks opening selects when VoiceOver is active on iOS6, iOS7 (and possibly others)
			if (!deviceIsIOS || targetTagName !== 'select') {
				this.targetElement = null;
				event.preventDefault();
			}

			return false;
		}

		if (deviceIsIOS && !deviceIsIOS4) {

			// Don't send a synthetic click event if the target element is contained within a parent layer that was scrolled
			// and this tap is being used to stop the scrolling (usually initiated by a fling - issue #42).
			scrollParent = targetElement.fastClickScrollParent;
			if (scrollParent && scrollParent.fastClickLastScrollTop !== scrollParent.scrollTop) {
				return true;
			}
		}

		// Prevent the actual click from going though - unless the target node is marked as requiring
		// real clicks or if it is in the whitelist in which case only non-programmatic clicks are permitted.
		if (!this.needsClick(targetElement)) {
			event.preventDefault();
			this.sendClick(targetElement, event);
		}

		return false;
	};


	/**
	 * On touch cancel, stop tracking the click.
	 *
	 * @returns {void}
	 */
	FastClick.prototype.onTouchCancel = function() {
		'use strict';
		this.trackingClick = false;
		this.targetElement = null;
	};


	/**
	 * Determine mouse events which should be permitted.
	 *
	 * @param {Event} event
	 * @returns {boolean}
	 */
	FastClick.prototype.onMouse = function(event) {
		'use strict';

		// If a target element was never set (because a touch event was never fired) allow the event
		if (!this.targetElement) {
			return true;
		}

		if (event.forwardedTouchEvent) {
			return true;
		}

		// Programmatically generated events targeting a specific element should be permitted
		if (!event.cancelable) {
			return true;
		}

		// Derive and check the target element to see whether the mouse event needs to be permitted;
		// unless explicitly enabled, prevent non-touch click events from triggering actions,
		// to prevent ghost/doubleclicks.
		if (!this.needsClick(this.targetElement) || this.cancelNextClick) {

			// Prevent any user-added listeners declared on FastClick element from being fired.
			if (event.stopImmediatePropagation) {
				event.stopImmediatePropagation();
			} else {

				// Part of the hack for browsers that don't support Event#stopImmediatePropagation (e.g. Android 2)
				event.propagationStopped = true;
			}

			// Cancel the event
			event.stopPropagation();
			event.preventDefault();

			return false;
		}

		// If the mouse event is permitted, return true for the action to go through.
		return true;
	};


	/**
	 * On actual clicks, determine whether this is a touch-generated click, a click action occurring
	 * naturally after a delay after a touch (which needs to be cancelled to avoid duplication), or
	 * an actual click which should be permitted.
	 *
	 * @param {Event} event
	 * @returns {boolean}
	 */
	FastClick.prototype.onClick = function(event) {
		'use strict';
		var permitted;

		// It's possible for another FastClick-like library delivered with third-party code to fire a click event before FastClick does (issue #44). In that case, set the click-tracking flag back to false and return early. This will cause onTouchEnd to return early.
		if (this.trackingClick) {
			this.targetElement = null;
			this.trackingClick = false;
			return true;
		}

		// Very odd behaviour on iOS (issue #18): if a submit element is present inside a form and the user hits enter in the iOS simulator or clicks the Go button on the pop-up OS keyboard the a kind of 'fake' click event will be triggered with the submit-type input element as the target.
		if (event.target.type === 'submit' && event.detail === 0) {
			return true;
		}

		permitted = this.onMouse(event);

		// Only unset targetElement if the click is not permitted. This will ensure that the check for !targetElement in onMouse fails and the browser's click doesn't go through.
		if (!permitted) {
			this.targetElement = null;
		}

		// If clicks are permitted, return true for the action to go through.
		return permitted;
	};


	/**
	 * Remove all FastClick's event listeners.
	 *
	 * @returns {void}
	 */
	FastClick.prototype.destroy = function() {
		'use strict';
		var layer = this.layer;

		if (deviceIsAndroid) {
			layer.removeEventListener('mouseover', this.onMouse, true);
			layer.removeEventListener('mousedown', this.onMouse, true);
			layer.removeEventListener('mouseup', this.onMouse, true);
		}

		layer.removeEventListener('click', this.onClick, true);
		layer.removeEventListener('touchstart', this.onTouchStart, false);
		layer.removeEventListener('touchmove', this.onTouchMove, false);
		layer.removeEventListener('touchend', this.onTouchEnd, false);
		layer.removeEventListener('touchcancel', this.onTouchCancel, false);
	};


	/**
	 * Check whether FastClick is needed.
	 *
	 * @param {Element} layer The layer to listen on
	 */
	FastClick.notNeeded = function(layer) {
		'use strict';
		var metaViewport;
		var chromeVersion;
		var blackberryVersion;

		// Devices that don't support touch don't need FastClick
		if (typeof window.ontouchstart === 'undefined') {
			return true;
		}

		// Chrome version - zero for other browsers
		chromeVersion = +(/Chrome\/([0-9]+)/.exec(navigator.userAgent) || [,0])[1];

		if (chromeVersion) {

			if (deviceIsAndroid) {
				metaViewport = document.querySelector('meta[name=viewport]');

				if (metaViewport) {
					// Chrome on Android with user-scalable="no" doesn't need FastClick (issue #89)
					if (metaViewport.content.indexOf('user-scalable=no') !== -1) {
						return true;
					}
					// Chrome 32 and above with width=device-width or less don't need FastClick
					if (chromeVersion > 31 && document.documentElement.scrollWidth <= window.outerWidth) {
						return true;
					}
				}

			// Chrome desktop doesn't need FastClick (issue #15)
			} else {
				return true;
			}
		}

		if (deviceIsBlackBerry10) {
			blackberryVersion = navigator.userAgent.match(/Version\/([0-9]*)\.([0-9]*)/);

			// BlackBerry 10.3+ does not require Fastclick library.
			// https://github.com/ftlabs/fastclick/issues/251
			if (blackberryVersion[1] >= 10 && blackberryVersion[2] >= 3) {
				metaViewport = document.querySelector('meta[name=viewport]');

				if (metaViewport) {
					// user-scalable=no eliminates click delay.
					if (metaViewport.content.indexOf('user-scalable=no') !== -1) {
						return true;
					}
					// width=device-width (or less than device-width) eliminates click delay.
					if (document.documentElement.scrollWidth <= window.outerWidth) {
						return true;
					}
				}
			}
		}

		// IE10 with -ms-touch-action: none, which disables double-tap-to-zoom (issue #97)
		if (layer.style.msTouchAction === 'none') {
			return true;
		}

		return false;
	};


	/**
	 * Factory method for creating a FastClick object
	 *
	 * @param {Element} layer The layer to listen on
	 * @param {Object} options The options to override the defaults
	 */
	FastClick.attach = function(layer, options) {
		'use strict';
		return new FastClick(layer, options);
	};


	if (typeof define == 'function' && typeof define.amd == 'object' && define.amd) {

		// AMD. Register as an anonymous module.
		define(function() {
			'use strict';
			return FastClick;
		});
	} else if (typeof module !== 'undefined' && module.exports) {
		module.exports = FastClick.attach;
		module.exports.FastClick = FastClick;
	} else {
		window.FastClick = FastClick;
	}

	},{}]},{},[1])
	(1)
	});

/***/ },
/* 87 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = {
		consts: {
		}
	};

/***/ },
/* 88 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Authentication = __webpack_require__(15);
	var C = __webpack_require__(64);

	var auth = new Authentication();

	var FacebookLogin = function(){
	};

	FacebookLogin.login = function() {
		var deferred = $.Deferred();
		window.FacebookInAppBrowser.settings.appId = '213963942137216';
	    window.FacebookInAppBrowser.settings.redirectUrl = 'http://localhost:8000/settings';
	    window.FacebookInAppBrowser.settings.permissions = 'public_profile, email';

	    window.FacebookInAppBrowser.login({
	        send: function() {
	            window.console.log('login opened');
	        },
	        success: _.bind(function(accessToken, expiresIn) {
	            window.console.log('window closed');
	            if(accessToken) {
	            	localStorage.fbAccessToken = accessToken;
	                this.accessToken = accessToken;
	                window.console.log(accessToken);
	            } else {
	            	deferred.reject();
	                window.console.log('no access token');
	            }

	            if(expiresIn) {
	                this.expiresIn = expiresIn;
	                window.console.log(expiresIn);
	            } else {
	                window.console.log('no expires in value');
	            }
	        }, this),
	        denied: function() {
	        	deferred.reject();
	            window.console.log('user denied');
	        },
	        timeout: function(){
	        	deferred.reject();
	            window.console.log('a timeout has occurred, probably a bad internet connection');
	        },
	        complete: _.bind(function(accessToken) {
	            window.console.log('Complete ', accessToken);
	        },this),
	        userInfo: _.bind(function(userInfo) {
	        	localStorage.fbUid = userInfo.id;
	            userInfo.accessToken = this.accessToken;
	            userInfo.expiresIn = this.expiresIn;
	            var data = {
	                provider: 'facebook',
	                uid: userInfo.id,
	                access_token: userInfo.accessToken,
	                userInfo: userInfo
	            };

	            deferred.resolve(data);
	        }, this)
	    });
		
		return deferred;
	};

	FacebookLogin.verifyLogin = function() {
		var userInfo = { 
			access_token: localStorage.fbAccessToken,
	        uid: localStorage.fbUid,
	        provider: 'facebook'
	    };

		$.ajax({
	        url: C.get('host') + '/social-login', 
	        data: userInfo
	    })
	    .done(_.bind(function(data) {
	        auth.authenticated(data);
	    }, this));
	};

	module.exports = FacebookLogin;

/***/ },
/* 89 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var GoogleApi = __webpack_require__(134);
	var App = __webpack_require__(11);
	var Authentication = __webpack_require__(15);
	var C = __webpack_require__(64);

	try {
	    var MobileSecrets = __webpack_require__(123);
	} catch(e) {
	    console.log('No mobile')
	}

	var auth = new Authentication();

	var GoogleLogin = function(){
	};

	GoogleLogin.login = function() {
	    var deferred = $.Deferred();

	    GoogleApi.authorize({
	        client_id: MobileSecrets.google_client_id,
	        client_secret: MobileSecrets.google_client_secret,
	        redirect_uri: C.get('googleRedirect'),
	        scope: C.get('google_scope')
	    }).done(_.bind(function(data) {
	        GoogleApi.getToken({
	            client_id: MobileSecrets.google_client_id,
	            client_secret: MobileSecrets.google_client_secret,
	        }).then(function(data) {
	            //Pass the token to the API call and return a new promise object
	            return GoogleApi.userInfo({ access_token: data.access_token });
	        }).done(function(user) {
	            var data = {
	                provider: 'google-plus',
	                uid: user.email,
	                access_token: window.localStorage.access_token,
	                userInfo: user
	            };
	            localStorage.googleUid = user.email;
	            localStorage.googleAccessToken = window.localStorage.access_token;

	            deferred.resolve(data);
	        }).fail(function() {
	            //If getting the token fails, or the token has been
	            //revoked, show the login view.
	            deferred.reject();
	            window.console.log('Failed');
	        });
	    }, this)).fail(function(data) {
	        window.console.log(data.error);
	        deferred.reject();
	    });

	    return deferred;
	};

	GoogleLogin.verifyLogin = function() {
	    var userInfo = { 
	        access_token: localStorage.googleAccessToken,
	        uid: localStorage.googleUid,
	        provider: 'google-plus'
	    };

	    $.ajax({
	        url: C.get('host') + '/social-login', 
	        data: userInfo
	    })
	    .done(_.bind(function(data) {
	        auth.authenticated(data);
	    }, this));
	};

	module.exports = GoogleLogin;

/***/ },
/* 90 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var C = __webpack_require__(64);
	var Authentication = __webpack_require__(15);

	var auth = new Authentication();

	var TwitterLogin = function(){
	};

	TwitterLogin.login = function(options) {
		var deferred = $.Deferred();
		var oauth = OAuth(options);

	    oauth.get('https://api.twitter.com/oauth/request_token',
	        function(data) {
	            var requestParams = data.text;
	            window.console.log('Getting auth', data);
	            var twitterView = window.open('https://api.twitter.com/oauth/authorize?'+data.text, '_blank', 'location=no');
	            twitterView.addEventListener('loadstart', function(location) {
	                window.console.log('location', location);
	                if (location === 'http://localhost:8000/settings?denied') {
	                    twitterView.close();
	                    deferred.reject();
	                } else if(location.url.search('oauth_verifier=') >= 0) {
	                    var oauth_verifier = location.url.match(/oauth_verifier=.*/)[0].substring(15);
	                    twitterView.close();

	                    oauth.get('https://api.twitter.com/oauth/access_token?oauth_verifier='+oauth_verifier+'&'+requestParams,
	                        function(data) {
	                            var params = data.text.split('&');
	                            var userInfo = {};
	                            var data = {};

	                            // Set "oauth_token", "oauth_token_secret", screen_name, etc. on userInfo object
	                            _.each(params, function(param) {
	                                var arrayKeyVal = param.split('=');
	                                userInfo[arrayKeyVal[0]] = arrayKeyVal[1]; 
	                            });
	                            localStorage.twitterAccessTokenKey = userInfo.oauth_token;
	                            localStorage.twitterAccessTokenSecret = userInfo.oauth_token_secret;
	                            localStorage.twitterUid = userInfo.user_id;

	                            data.oauth_token = userInfo.oauth_token;
	                            data.oauth_token_secret = userInfo.oauth_token_secret;
	                            data.provider = 'twitter-custom';
	                            data.uid = userInfo.user_id;
	                            data.userInfo = userInfo;

	                            deferred.resolve(data);

	                        }, function(data) {
	                        	deferred.reject();
	                            window.console.log('Oauth failure', data);
	                        }
	                    );
	                }
	            });
	        },
	        function(data) { 
	            window.console.log('No Auth', data);
	            deferred.reject();
	        }
	    );

		return deferred;
	};

	TwitterLogin.verifyLogin = function() {
		var userInfo = { 
	        oauth_token_secret: localStorage.twitterAccessTokenSecret,
	        oauth_token: localStorage.twitterAccessTokenKey,
	        uid: localStorage.twitterUid,
	        provider: 'twitter-custom'
	    };

		$.ajax({
	        url: C.get('host') + '/social-login', 
	        data: userInfo
	    })
	    .done(_.bind(function(data) {
	        auth.authenticated(data);
	    }, this));
	};

	module.exports = TwitterLogin;

/***/ },
/* 91 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);

	var FOOTER_HEIGHT = 165;

	module.exports = {
		defaultDateFmtWithTZ: function() {
			return 'YYYY-MM-DDTHH:mmZZ';
		},

		defaultDateFmt: function() {
			return 'YYYY-MM-DD HH:mm';
		},

		fmtDefault: function(aMoment) {
			return aMoment.format(this.defaultDateFmt());
		},

		fmtTwtrProfileLink: function(screenName) {
			return 'https://twitter.com/' + screenName; 
		},

		round15Minutes: function(aMoment) {
			return this.roundXMinutes(aMoment, 15);
		},

		roundXMinutes: function(aMoment, minutes) {
			aMoment.minutes(aMoment.minutes() - (aMoment.minutes() % minutes));
	        aMoment.seconds(0);
	        return aMoment;
		},

		elHeights: function() {
			return {
				headerHeight: $('header').outerHeight(),
				footerHeight: window.cordova ? 0 : $('footer').outerHeight(),
				filterBarHeight: window.cordova ? $('.bottomNavBar').outerHeight() : $('#filterBar').outerHeight(),
				windowHeight: window.cordova ? screen.height : $(document).height(),
				alertHeight: $('#alert').height(),
				fetchWindowHeight: function(){return $(document).height();}
			};
		},

		mapResize: function(fullscreen){
			var elHeights = this.elHeights();

			var height = elHeights.windowHeight;

			if(MobileUtils.isiOS7()) {
	            height -= 20; // For the 20px top margin
	        }

			if (fullscreen){
				height = screen.height - elHeights.filterBarHeight - elHeights.alertHeight;;
				$('.filterBarContainer').css('bottom',  0);
				$('main').height(height);
			}
			else{
				height = height-elHeights.headerHeight-elHeights.filterBarHeight-elHeights.footerHeight-elHeights.alertHeight;
				$('.filterBarContainer').css('bottom',  FOOTER_HEIGHT);
				$('main').height(height);
			}
	    }
	};


/***/ },
/* 92 */
/***/ function(module, exports, __webpack_require__) {

	'use strict'

	module.exports = function(){
	    var my = {};

	    var dropdownMenu = 0;

	    function close(){
	        $('#filterBar > ul > li').removeClass('active')
	    }

	    my.toggle = function(e){
	        var child = e.target.firstElementChild;
	        
	        if ((e.target.tagName === "LI" && $(e.target).hasClass('filter-toggle')) || e.target.tagName === "SPAN"){
	            return;
	        }
	        if ($(this).hasClass('active')){
	            close();
	            return;
	        }

	        close();

	        var submenu = $(this).addClass('active');
	        dropdownMenu = $('#filterBar > ul').find(submenu);
	    };

	    return my;
	}();

/***/ },
/* 93 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Logging = {
		setUserId: function(userId) {
			qbaka.user = userId;
		},

		log: function(msg) {
			qbaka.report(msg);
		}
	};

	module.exports = Logging;

/***/ },
/* 94 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	var SpaceWeatherChart = function(config) {
		this.$selector = config.$selector;
		Highcharts.setOptions({
			global: {
				useUTC: false
			}
		});
	};

	SpaceWeatherChart.prototype._fetchData = function() {
		var options = {limited: !!window.cordova};
		return $.getJSON(C.get('host') + '/space-data', options);
	};

	SpaceWeatherChart.prototype.graph = function() {
		this._fetchData()
		.done(_.bind(function(data) {
			this._parseResponse(data);
			this._graph();
		}, this));
	};

	SpaceWeatherChart.prototype._graph = function() {
		var plotBands = this._calcPlotBands();

		this.$selector.highcharts({
			credits: {
				enabled: !window.cordova
			},
		    chart: {
		        zoomType: window.cordova ? null : 'x',
		        spacingRight: 20
		    },
		    title: {
		        text: 'Solar Wind Power (related to Auroral Strength) vs Time'
			},
		    subtitle: {
		        text: !window.cordova ?
		            'Click and drag in the plot area to zoom in' :
		            ''
		    },
		    tooltip: {
		    	formatter: function () {
		    		var header = '<span style="font-size: 10px">' + moment(this.x).format('MMM D h:mm A') + '</span><br/>';
	                return header + 'Solar Wind Power: <b>' + parseInt(this.y / 1000000000) + '</b> GW ';
	            },
	            followTouchMove: false,
	            enabled: !window.cordova

		    },
		    xAxis: {
		        type: 'datetime',
		        minRange: 1000 * 60,
		        title: {
		            text: 'Local Time (Earth should feel the effects '+ (screen.width < 500 ? '<br>' : '') + 'at ~+ 1hr from the latest time).'
		        }
		    },
		    yAxis: {
		    	min:0,
		        title: {
		            text: 'Solar Wind Power'
		        },

		        labels: {
		        	formatter: function() {
		        		return this.value / 1000000000 + ' GW';
		        	}
		        },

		        lineWidth: 0,
		        minorGridLineWidth: 0,
		        lineColor: 'transparent',   
		        minorTickLength: 0,
		        tickLength: 0,
		        gridLineColor: 'transparent',
		        gridLineWidth: 0,
		        plotBands: plotBands
		    },
		    
		    legend: {
		        enabled: false
		    },
		    plotOptions: {
		        area: {
		            lineWidth: 1,
		            marker: {
		                enabled: false
		            },
		            shadow: false,
		            states: {
		                hover: {
		                    lineWidth: 1
		                }
		            },
		            threshold: null
		        }
		    },

		    series: [{
		        type: 'area',
		        name: 'Solar Wind Power',
		        pointInterval: 60 * 1000,
		        pointStart: this.startDate.getTime(),
		        data: this.stormData

		    }]
		});
	};

	SpaceWeatherChart.prototype._calcPlotBands = function() {
		var max = _.max(this.stormData);

		var plotBands = [
			{
				color: 'rgba(222, 222, 222, 0.7)', //gray
			    from: '0',
				to: '49999999999',
				label: {
					text: 'Minor aurora at high latitudes only',
					style: {
						color: '#606060'
					}
				}
			},
			    {
					color: 'rgba(0, 127, 14, 0.7)', //green
				    from: '50000000000',
					to: '200000000000',
					label: {
						text: 'Good high latitude aurora,<br>possible substorms',
						style: {
							color: '#606060'
						}
					}
				},
			{
				color: 'rgba(255, 216, 0, 0.7)', //yellow
			    from: '200000000000',
				to: '1000000000000',
				label: {
					text: 'Good high-mid latitude aurora,<br>possible small storm',
					style: {
						color: '#606060'
					}
				}
			},
			{
				color: 'rgba(252, 144, 0, 0.7)', //orange
				from: '1000000000000',
				to: '3000000000000',
				label: {
					text: 'Possible mid-latitude aurora,<br>medium storm',
					style: {
						color: '#606060'
					}
				}
			},
			{
				color: 'rgba(255, 0, 0, 0.7)', //red
				from: '3000000000000',
				to: '25000000000000',
		        label: {
		        	text: 'Possible mid-low latitude aurora,<br>strong storm',
		        	style: {
		        		color: '#606060'
		        	}
		        }
		    }
		];

		var bandsToShow = _.reduce(plotBands, function(memo, band) {
			if(parseInt(band.from) < max) return memo + 1;
			return memo;
		}, 0);

		var bandLabelsToRemove = bandsToShow - 2;
		if(bandLabelsToRemove > 0) {
			for(var i = 0; i < bandLabelsToRemove; i++) {
				delete(plotBands[i].label);
			}
		}

		return plotBands;
	};

	SpaceWeatherChart.prototype._parseResponse = function(data) {
		this.stormData = data.storm_data;
		this.startDate = new Date(data.start_date);
		this.endDate = new Date(data.end_date);
	};


	Highcharts.Chart.prototype.firstRender = (function (func){
	     return function(){
	         func.apply(this, arguments);
	         $.each(this.axes, function(){
	             $.each(this.plotLinesAndBands, function(){
	             	if(this.label) this.label.toFront(); 
	             });
	         });
	     }
	 } (Highcharts.Chart.prototype.firstRender));

	module.exports = SpaceWeatherChart;

/***/ },
/* 95 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = {
		 navBack: function(){
		 	App.execute('routeLanding');
		 }
	};

/***/ },
/* 96 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Backbone.Model.extend({});

/***/ },
/* 97 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var C = __webpack_require__(64);
	var TwitterObservation = __webpack_require__(135);

	module.exports = {
		url: C.get('host') + '/tweets',
		model: TwitterObservation,
		comparator: function(model) {
			return -(moment(model.get('created_at')).toDate().getTime());
		}
	}

/***/ },
/* 98 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var Utils = __webpack_require__(91);
	var MapHelper = __webpack_require__(100);

	module.exports = {
		tagName: 'li',
	    className: 'filter-toggle',

	    onInitialize: function(options) {
	        this.mapHelper = new MapHelper();
	        this.currentMoment = moment();

	        if(!options || !options.hideInitially) {
	            this.getLayerData();
	        }

	        this.initHandlers();
	        this.initExtraHandlers();

	        if(!window.cordova){
	            if(!options || !options.dontRefreshData) {
	                this.refreshDateInterval = setInterval(_.bind(function() {
	                    this.getLayerData()
	                }, this), 900000);
	            }
	        }
	    },

		initExtraHandlers: function() {
	    	this.listenTo(this.mapHelper, ('markerClicked'), function(data) {
	            this._handleMarkerClicked(data);
	        }.bind(this));

	        App.vent.on('unhighlightSelected', function(newMarker) {
	            this._handleUnhighlightedSelected(newMarker);
	        }.bind(this));

	        App.commands.setHandler(this.toggleMessage, function() {
	            this.toggleLayer();
	        }.bind(this));
	        
	        App.reqres.setHandler(this.isActiveMessage, function() {
	            return this.isActive();
	        }.bind(this));

	        if(!window.cordova){
	            App.commands.setHandler('timeChanged', _.bind(function() {
	                clearInterval(this.refreshDateInterval);
	            }, this));
	        }
	    },

	    isActive: function() {
	        return this.el.classList.contains('active');
	    },

	    toggleLayer: function() {
	        if(this.isActive()) {
	            this.layerOff = true
	            this.removeLayer();
	            App.execute(this.updateMessage, true);
	        } else {
	            this.layerOff = false
	            this.getLayerData();
	            App.execute(this.updateMessage, false);
	        }
	    },

	    _getTime: function() {
	        var nowRounded = Utils.roundXMinutes(this.currentMoment.clone(), 1);
	        return nowRounded.format(Utils.defaultDateFmtWithTZ());
	    },

	    _getLocalOffset: function() {
	        return this.currentMoment.toDate().getTimezoneOffset() * 60;
	    },

	    _handleMarkerClicked: function(data) {
	    	App.vent.trigger('unhighlightSelected', data.marker);
	        var icon = {
	            url: this.selectedIconUrl,
	            scaledSize: new google.maps.Size(35, 35)
	        };
	        this.lastSelected = data.marker;
	        this.mapHelper.updateIcon(data.marker, icon);

	        var event = this.markerClickedEvent.match(/([A-Z]?[^A-Z]*)/g).slice(0,-1);
	        event = event[0][0].toUpperCase() + event[0].slice(1)
	        if(window.cordova) window.analytics.trackEvent('Map', event);
	        App.vent.trigger(this.markerClickedEvent, data.content);
	    },

	    _handleUnhighlightedSelected: function(newMarker) {
	    	if(this.lastSelected && (newMarker !== this.lastSelected)) {
	            var icon = {
	                url: this.unselectedIconUrl,
	                scaledSize: new google.maps.Size(35, 35)
	            };
	            this.mapHelper.updateIcon(this.lastSelected, icon);
	        }
	    }

	};

/***/ },
/* 99 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var GeoJSON = function( geoJson, options ){
		this.geoJson = geoJson;
		this.options = options;
	};

	_.extend(GeoJSON.prototype, {
		_geometryToGoogleMaps: function( geojsonGeometry, opts, geojsonProperties ){
		
			var googleObj;
			
			switch ( geojsonGeometry.type ){
				case "Point":
					opts.position = new google.maps.LatLng(geojsonGeometry.coordinates[1], geojsonGeometry.coordinates[0]);
					googleObj = new google.maps.Marker(opts);
					if (geojsonProperties) {
						googleObj.set("geojsonProperties", geojsonProperties);
					}
					break;
					
				case "MultiPoint":				
					googleObj = [];
					for (var i = 0; i < geojsonGeometry.coordinates.length; i++){
						opts.position = new google.maps.LatLng(geojsonGeometry.coordinates[i][1], geojsonGeometry.coordinates[i][0]);
						googleObj.push(new google.maps.Marker(opts));
					}
					if (geojsonProperties) {
						for (var k = 0; k < googleObj.length; k++){
							googleObj[k].set("geojsonProperties", geojsonProperties);
						}
					}
					break;
					
				case "LineString":
					var path = [];
					for (var i = 0; i < geojsonGeometry.coordinates.length; i++){
						var coord = geojsonGeometry.coordinates[i];
						var ll = new google.maps.LatLng(coord[1], coord[0]);
						path.push(ll);
					}
					opts.path = path;
					googleObj = new google.maps.Polyline(opts);
					if (geojsonProperties) {
						googleObj.set("geojsonProperties", geojsonProperties);
					}
					break;
					
				case "MultiLineString":
					googleObj = [];
					for (var i = 0; i < geojsonGeometry.coordinates.length; i++){
						var path = [];
						for (var j = 0; j < geojsonGeometry.coordinates[i].length; j++){
							var coord = geojsonGeometry.coordinates[i][j];
							var ll = new google.maps.LatLng(coord[1], coord[0]);
							path.push(ll);
						}
						opts.path = path;
						googleObj.push(new google.maps.Polyline(opts));
					}
					if (geojsonProperties) {
						for (var k = 0; k < googleObj.length; k++){
							googleObj[k].set("geojsonProperties", geojsonProperties);
						}
					}
					break;
					
				case "Polygon":
					var paths = this.calcPolygonPaths(geojsonGeometry);
					opts.paths = paths;
					googleObj = new google.maps.Polygon(opts);
					if (geojsonProperties) {
						googleObj.set("geojsonProperties", geojsonProperties);
					}
					break;
					
				case "MultiPolygon":
					googleObj = [];
					for (var i = 0; i < geojsonGeometry.coordinates.length; i++){
						opts.paths = this.calcMultiPolygonPaths(geojsonGeometry.coordinates[i]);
						googleObj.push(new google.maps.Polygon(opts));
					}
					if (geojsonProperties) {
						for (var k = 0; k < googleObj.length; k++){
							googleObj[k].set("geojsonProperties", geojsonProperties);
						}
					}
					break;
					
				case "GeometryCollection":
					googleObj = [];
					if (!geojsonGeometry.geometries){
						googleObj = this._error('Invalid GeoJSON object: GeometryCollection object missing "geometries" member.');
					}else{
						for (var i = 0; i < geojsonGeometry.geometries.length; i++){
							googleObj.push(this._geometryToGoogleMaps(geojsonGeometry.geometries[i], opts, geojsonProperties || null));
						}
					}
					break;
					
				default:
					googleObj = this._error("Invalid GeoJSON object: Geometry object must be one of \"Point\", \"LineString\", \"Polygon\" or \"MultiPolygon\".");
			}
			
			return googleObj;
			
		},

		calcMultiPolygonPaths: function(coordinates) {
			var paths = [];
			var exteriorDirection;
			var interiorDirection;
			for (var j = 0; j < coordinates.length; j++){
				var path = [];
				for (var k = 0; k < coordinates[j].length; k++){
					var ll = new google.maps.LatLng(coordinates[j][k][1], coordinates[j][k][0]);
					path.push(ll);
				}
				if(!j){
					exteriorDirection = this._ccw(path);
					paths.push(path);
				}else if(j == 1){
					interiorDirection = this._ccw(path);
					if(exteriorDirection == interiorDirection){
						paths.push(path.reverse());
					}else{
						paths.push(path);
					}
				}else{
					if(exteriorDirection == interiorDirection){
						paths.push(path.reverse());
					}else{
						paths.push(path);
					}
				}
			}
			return paths;
		},

		calcPolygonPaths: function(geojsonGeometry) {
			var paths = [];
			var exteriorDirection;
			var interiorDirection;
			for (var i = 0; i < geojsonGeometry.coordinates.length; i++){
				var path = [];
				for (var j = 0; j < geojsonGeometry.coordinates[i].length; j++){
					var ll = new google.maps.LatLng(geojsonGeometry.coordinates[i][j][1], geojsonGeometry.coordinates[i][j][0]);
					path.push(ll);
				}
				if(!i){
					exteriorDirection = this._ccw(path);
					paths.push(path);
				}else if(i == 1){
					interiorDirection = this._ccw(path);
					if(exteriorDirection == interiorDirection){
						paths.push(path.reverse());
					}else{
						paths.push(path);
					}
				}else{
					if(exteriorDirection == interiorDirection){
						paths.push(path.reverse());
					}else{
						paths.push(path);
					}
				}
			}
			return paths;
		},

		_error: function( message ){

			return {
				type: "Error",
				message: message
			};
		
		},

		_ccw: function( path ){
			var isCCW;
			var a = 0;
			for (var i = 0; i < path.length-2; i++){
				a += ((path[i+1].lat() - path[i].lat()) * (path[i+2].lng() - path[i].lng()) - (path[i+2].lat() - path[i].lat()) * (path[i+1].lng() - path[i].lng()));
			}
			if(a > 0){
				isCCW = true;
			}
			else{
				isCCW = false;
			}
			return isCCW;
		},

		geometryToGoogleMaps: function() {
			var obj;
			var opts = this.options || {};
			
			var geojson = this.geoJson;
			switch ( geojson.type ){

				case "FeatureCollection":
					if (!geojson.features){
						obj = this._error('Invalid GeoJSON object: FeatureCollection object missing "features" member.');
					}else{
						obj = [];
						for (var i = 0; i < geojson.features.length; i++){
							obj.push(this._geometryToGoogleMaps(geojson.features[i].geometry, opts, geojson.features[i].properties));
						}
					}
					break;
				
				case "GeometryCollection":
					if (!geojson.geometries){
						obj = this._error('Invalid GeoJSON object: GeometryCollection object missing "geometries" member.');
					}else{
						obj = [];
						for (var i = 0; i < geojson.geometries.length; i++){
							obj.push(this._geometryToGoogleMaps(geojson.geometries[i], opts));
						}
					}
					break;
				
				case "Feature":
					if (!( geojson.properties && geojson.geometry )){
						obj = this._error('Invalid GeoJSON object: Feature object missing "properties" or "geometry" member.');
					}else{
						obj = this._geometryToGoogleMaps(geojson.geometry, opts, geojson.properties);
					}
					break;
				
				case "Point": case "MultiPoint": case "LineString": case "MultiLineString": case "Polygon": case "MultiPolygon":
					obj = geojson.coordinates
						? obj = this._geometryToGoogleMaps(geojson, opts)
						: this._error('Invalid GeoJSON object: Geometry object missing "coordinates" member.');
					break;
				
				default:
					obj = this._error('Invalid GeoJSON object: GeoJSON object must be one of' +
					 '"Point", "LineString", "Polygon", "MultiPolygon", "Feature", "FeatureCollection" or "GeometryCollection".');
			}
			
			return obj;
		}
	});
		
	module.exports = GeoJSON;

/***/ },
/* 100 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);
	var Map = __webpack_require__(19);

	var MapHelper = function() {
	    this.cluster;
	    this.markersData = [];
	    this.circleData = [];
	    this.infoWindow = null;
	    this.currentConditions;
	    this.cloudCover;

	    var map = new Map();
	    this.map = map.getMap();
	};

	_.extend(MapHelper.prototype, Backbone.Events, {

	    // Input is either an array of {latitude: ..., longitude...}
	    // Or array of mixed objects and arrays
	    // ex [ [{latitude: ..., longitude...}, {date: .., somethingElse:... }], {latitude: ..., longitude...} ]
	    addMarkers: function(data, config) {
	        _.each(data, function(obj) {
	            var marker = this._createMarker(obj.location, null, config);
	            this._bindInfoBoxListener(marker, obj);
	            this.markersData.push(marker);
	        }, this);
	    },

	    placeMarker: function(location, config) {
	        var marker = this._createMarker(location, config); //, options);
	        var extras = config ? config.extras : null;
	        this.markersData.push({
	            marker: marker,
	            extras: extras
	        });
	    },

	    onMarker: function(type, fn) {
	        _.each(this.markersData, function(markerData) {
	            this._addEventListener(type, markerData, fn);
	        }, this);
	    },

	    renderCluster: function(observations, clusterOptions, markerOptions) {
	        if(this.cluster && this.cluster.clearMarkers) this.cluster.clearMarkers();
	        _.each(observations, function(ob) {
	            var marker = this._createMarker(ob.location, null, markerOptions);
	            this._bindInfoBoxListener(marker, ob);
	            this.markersData.push(marker);
	        }, this);
	        var mcOptions = clusterOptions || {
	            gridSize: C.get('CLUSTER_GRID_SIZE'),
	            maxZoom: 12,
	            minimumClusterSize: C.get('CLUSTER_SIZE')
	        };
	        this.cluster = new MarkerClusterer(this.map, this.markersData, mcOptions);
	    },

	    removeAllMarkers: function() {
	        _.each(this.markersData, function(markerData) {
	            this.removeMarker(markerData.marker);
	        }, this);
	        this.markersData = [];
	    },

	    filterMarkers: function(fn) {
	        _.each(this.markersData, function(markersData) {
	            if(!markersData.extras) return;
	            if(fn(markersData.extras)) {
	                if(!markersData.marker.getMap()) {
	                    this._showMarker(markersData.marker);
	                }
	            } else {
	                this.removeMarker(markersData.marker);
	            }
	        }, this);
	    },

	    updateIcon: function(marker, icon) {
	        var mark = _.find(this.markersData, function(m) { return m === marker; });
	        if(mark) mark.setIcon(icon);
	    },

	    removeMarker: function(marker) {
	        marker.setMap(null);
	    },

	    removeCluster: function() { 
	        if(this.cluster && this.cluster.clearMarkers) {
	            _.each(this.markersData, function(marker) {
	               marker.setMap(null);
	            });
	            this.cluster.clearMarkers();
	        }
	        this.markersData = [];
	    },

	    showCloudCover: function() {
	        this.cloudCover = new google.maps.weather.CloudLayer();
	        this.cloudCover.setMap(this.map);
	    },

	    showCurrentConditions: function() {
	        this.currentConditions = new google.maps.weather.WeatherLayer({
	            temperatureUnits: google.maps.weather.TemperatureUnit.FAHRENHEIT
	        });
	        this.currentConditions.setMap(this.map);
	    },

	    showDayNightLayer: function(sampleDate) {
	        if (sampleDate == null || !(sampleDate instanceof Date)){
	            sampleDate = new Date();
	        }
	        this.dayNightLayer = new DayNightOverlay({
	            map: this.map,
	            fillColor: 'rgba(0,0,0,0.3)',
	            date: sampleDate
	        });
	    },

	    createHeatmap: function(data, options) {
	        _.each(data, function(item) {
	            options.center = new google.maps.LatLng(item.location.latitude, item.location.longitude);
	            var circle = new google.maps.Circle(options);
	            circle.setMap(this.map);
	            this.circleData.push(circle);
	        }, this);
	    },

	    removeCurrentConditions: function() {
	        this.currentConditions.setMap(null);
	    },

	    removeCloudCover: function() {
	        this.cloudCover.setMap(null);
	    },

	    removeDayNightLayer: function() {
	        this.dayNightLayer.setMap(null);
	    },

	    removeHeatmapLayer: function() {
	        _.each(this.circleData, function(circle) {
	            circle.setMap(null);
	        }, this);
	    },

	    removeScientistLayer: function() {
	        _.each(this.markersData, function(marker) {
	            marker.setMap(null);
	        });
	    },

	    _bindInfoBoxListener: function(marker, content) {
	        google.maps.event.addListener(marker, 'click', function() {
	            this.trigger('markerClicked', {content: content, marker: marker});
	        }.bind(this));
	    },

	    _showMarker: function(marker) {
	        marker.setMap(this.map);
	    },

	    _createMarkers: function(markers, config, options) {
	        _.each(markers, function(marker){
	            this._createMarker(marker, config, options);
	        }, this);
	    },

	    _createMarker: function(location, config, options) {
	        var map = (config && config.hide) ? null : this.map;
	        var latLong = new google.maps.LatLng(location.latitude, location.longitude);
	        var markerOpts = { 
	            position: latLong,
	            map: map
	        };

	        _.each(_.keys(options), function(key) {
	            markerOpts[key] = options[key];
	        });
	        return new google.maps.Marker(markerOpts);
	    },

	    _addEventListener: function(event_type, markerData, fn) {
	        google.maps.event.addListener(markerData.marker, event_type, function() {
	            fn(markerData);
	        });
	    }

	});

	module.exports = MapHelper;

/***/ },
/* 101 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	module.exports = Backbone.Model.extend({
		urlRoot: C.get('host') + '/tweets/vote',

		defaults: {
			vote_type: 'null',
			observation: '-1'
		}
	});

/***/ },
/* 102 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);

	module.exports = Marionette.ItemView.extend({
	    template: aur.tpl['tweet-view-tpl'],

	    ui: {
	        profilePic: '#twitterProfilePic',
	        username: '#twitterUsername',
	        handle: '#twitterHandle',
	        date: '#tweetDate',
	        content: '#tweetContent',
	        confirmForm: '#mapDrawerForm',
	        openButton: '#mapDrawerActivateButton'
	    },

	    events: {
	        'submit @ui.confirmForm': 'submitVote',
	        'click a': 'openURL'
	    },

	    openURL: function(e) {
	        if(window.cordova) {
	            e.preventDefault();
	            MobileUtils.openURL(e.currentTarget.href);
	        }
	    }

	});

/***/ },
/* 103 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseView = __webpack_require__(136);
	var MobileUtils = __webpack_require__(85);
	var TwitterVoteHelp = __webpack_require__(137);

	var TweetVoteView = Marionette.ItemView.extend({
	    template: aur.tpl['tweet-vote-view-tpl'],

	    ui:{
	    	upVoteInput: '#upVote',
	    	downVoteInput: '#downVote',
	    	confirmVote: '#mapDrawerForm',
	        questionButton: '#questionButton',
	        messages: '#messages'
	    },

	    events:{
	    	'click @ui.downVoteInput': 'updateAndSaveModel',
	    	'click @ui.upVoteInput': 'updateAndSaveModel',
	        'click @ui.questionButton': 'showHelp'
	    },

	    successMsg: 'Thanks for voting!',

	    initialize: function() {
	    	this.model.set('observation', this.model.get('tweet').id);
	    },

	    updateAndSaveModel: function(e) {
	        var voteType = $(e.currentTarget).data('vote');

	    	this.model.set('vote_type', voteType);

	        if(window.cordova) window.analytics.trackEvent('Tweets', 'Voted', voteType);

	        this.instantSubmit({global: false});

	        this.ui.upVoteInput.css('display', 'none');
	        this.ui.downVoteInput.css('display', 'none');
	    },

	    onHandleError: function(model, response) {
	        if(response.status === 400) return 'You have already voted for this observation';
	    }

	});

	_.extend(TweetVoteView.prototype, BaseView, TwitterVoteHelp);

	module.exports = TweetVoteView;

/***/ },
/* 104 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
	    template: Handlebars.compile(
	        '<h2 class="verifyTitle">Sighting Verification</h2>'+
	        '<div class="drawerContents" >'+
	            '<p class="verifiedTwitterVote">{{fmtVerifiedTwtrObs observation}}</p>'+
	        '</div>'
	    )
	});

/***/ },
/* 105 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
	    template: aur.tpl['web-sighting-detail-view-tpl'],

	    ui: {
	    	summaryBtn: '#web-obs-summary-btn',
	    	detailsBtn: '#web-obs-details-btn',
	    	summary: '#web-obs-summary',
	    	details: '#web-obs-details'
	    },

	    events: {
	    	'click @ui.summaryBtn': 'showSummary',
	    	'click @ui.detailsBtn': 'showDetails'
	    },

	    showDetails: function() {
	    	this.ui.summary.addClass('hide');
	    	this.ui.details.removeClass('hide');

	    	this.ui.detailsBtn.addClass('active');
	    	this.ui.summaryBtn.removeClass('active');
	    },

	    showSummary: function() {
	    	this.ui.details.addClass('hide');
	    	this.ui.summary.removeClass('hide');

	    	this.ui.summaryBtn.addClass('active');
	    	this.ui.detailsBtn.removeClass('active');
	    }
	});

/***/ },
/* 106 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
	    template: Handlebars.compile(
	        '<h2>Classification</h2>'+
	        '<div class="drawerContents">'+
	            '<span>{{fmtSeeAurora see_aurora}}</span>'+
	        '</div>'
	        )
	});

/***/ },
/* 107 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);

	module.exports = Marionette.ItemView.extend({
	    template: aur.tpl['scientist-drawer-view-tpl'],

	    events: {
	    	'click a': 'openURL'
	    },

	    openURL: function(e) {
			if(window.cordova) {
				e.preventDefault();
				MobileUtils.openURL(e.currentTarget.href);
			}
		}
	});

/***/ },
/* 108 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseMapControlView = __webpack_require__(98);
	var App = __webpack_require__(11);
	var C = __webpack_require__(64);

	var BaseSightingFilterView = {

	    initHandlers: function() {
	        this.collection.bind('reset', this.showLayer.bind(this));

	        this.listenTo(this.collection, "add", function() {
	            this.getLayerData(1);
	        }.bind(this));

	        App.vent.on('mapDateChanged', function(dateString) {
	            this.currentMoment = moment(dateString);
	            if(this.isActive()) {
	                this.removeLayer();
	                this.getLayerData(1);
	            }
	        }.bind(this));
	    },

	    removeLayer: function() {
	        this.mapHelper.removeCluster();
	        this.el.classList.remove('active');
	    },

	    getLayerData: function(page) {
	        if(!page) page = 1;

	        this.collection.queryParams.end_date = this._getTime();
	        this.collection.queryParams.local_offset = this._getLocalOffset();
	        if(this.negSighting) this.collection.queryParams.neg_sighting = true;
	        if(this.posSighting) this.collection.queryParams.pos_sighting = true;
	        this.collection.getPage(page, {reset: true})
	        .done(function() {
	            if(this.collection.hasNextPage()) this.getLayerData(page + 1);
	        }.bind(this));
	        this.el.classList.add('active');
	    },

	    showLayer: function() {
	        var observations = this.collection.toJSON(),
	            options = {
	            gridSize: C.get('CLUSTER_GRID_SIZE'),
	            maxZoom: 15,
	            minimumClusterSize: C.get('CLUSTER_SIZE'),
	            styles: [{
	                url: this.groupLayerIcon,
	                width: 35,
	                height: 35
	            }]
	        },
	        markerOpts = {
	            icon: {
	                url: this.unselectedIconUrl,
	                scaledSize: new google.maps.Size(35, 35)
	            },
	            zIndex: 15
	        };
	        this.mapHelper.renderCluster(observations, options, markerOpts);
	    }
	};

	_.extend(BaseSightingFilterView, BaseMapControlView);

	module.exports = BaseSightingFilterView;

/***/ },
/* 109 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);
	var BaseMapControlView = __webpack_require__(98);

	var TwitterFilterBaseView = {

	    initHandlers: function() {
	        this.collection.bind('reset', this.showLayer.bind(this));

	        App.vent.on('mapDateChanged', function(dateString) {
	            this.currentMoment = moment(dateString);
	            if(this.isActive()) {
	                this.removeLayer();
	                this.getLayerData(1);
	            }
	        }.bind(this));

	        this.listenTo(this.collection, "add", function() {
	            this.getLayerData(1);
	        }.bind(this));
	    },

	    removeLayer: function() {
	        this.mapHelper.removeCluster();
	        this.el.classList.remove('active');
	    }
	};

	_.extend(TwitterFilterBaseView, BaseMapControlView);

	module.exports = TwitterFilterBaseView;

/***/ },
/* 110 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = {

	    initialize: function() {
	    	App.vent.on(this.update, function(isActive) {
	            if(isActive) this.$el.addClass('active');
	            else this.$el.removeClass('active');
	        }.bind(this));
	    },

	    onRender: function() {
	        this.$el.click(this.toggleAction.bind(this));
	        if(App.request(this.isCopyActive)) this.$el.addClass('active');
	    },

	    toggleAction: function() {
	        var isMobile = window.cordova;

	        if(isMobile) {
	            var event = this.toggle.match(/([A-Z]?[^A-Z]*)/g).slice(0,-1);
	            event = event[0][0].toUpperCase() + event[0].slice(1)
	        }
	        if(this.el.classList.contains('active')) {
	            this.el.classList.remove('active');
	            if(isMobile) event += ' Off';
	        }
	        else{
	            this.el.classList.add('active');
	            if(isMobile) event += ' On';
	        }

	        if(isMobile) window.analytics.trackEvent('Map', event);

	        App.execute(this.toggle);
	    }

	}; 

/***/ },
/* 111 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Backbone.Model.extend({
		
	});

/***/ },
/* 112 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Backbone.Model.extend({
		idAttribute: 'uniqueId'
	});

/***/ },
/* 113 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({
	    className: 'row',
	    template: aur.tpl['recent-activity-pos-web-item-view-tpl']
	});

/***/ },
/* 114 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({
	    className: 'row',
		template: aur.tpl['recent-activity-neg-web-item-view-tpl']
	});

/***/ },
/* 115 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({
	    className: 'row',
	    template: aur.tpl['recent-activity-rank-tweet-item-view-tpl']
	});

/***/ },
/* 116 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({
	    className: 'row',
		template: aur.tpl['recent-activity-signup-item-view-tpl']
	});

/***/ },
/* 117 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({
	    className: 'row',
		template: aur.tpl['recent-activity-admin-award-item-view-tpl']
	});

/***/ },
/* 118 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Marionette.ItemView.extend({
	    className: 'row',
		template: aur.tpl['recent-activity-quiz-completed-item-view-tpl']
	});

/***/ },
/* 119 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var TwitterVote = __webpack_require__(101);
	var TwitterVoteHelp = __webpack_require__(137);
	var MobileUtils = __webpack_require__(85);
	var App = __webpack_require__(11);

	var TweetVoteItemView = Marionette.ItemView.extend({
		className: 'large-12 columns twitter-status',

		template: aur.tpl['tweet-vote-item-view-tpl'],

		ui: {
			voteYesInput: '.affirmativeButton',
			voteNoInput: '.negativeButton',
			votingHelp: '.twitter-vote-help'
		},

		events: {
			'click @ui.voteYesInput ': 'vote',
			'click @ui.voteNoInput ': 'vote',
			'click a': 'openURL',
			'click @ui.votingHelp': 'showHelp'
		},

		initialize: function() {
			this.setBiggerTwitterUserImg();
			this.voteModel = new TwitterVote({observation: this.model.get('id')});
		},

		setBiggerTwitterUserImg: function() {
			var imageUrl = this.model.get('user_profile_image_url');
			imageUrl = imageUrl.replace('_normal\.', '_bigger.');
			this.model.set('user_profile_image_url', imageUrl);
		},

		vote: function(e) {
			var voteType = $(e.currentTarget).data('vote');
			
			if(window.cordova) window.analytics.trackEvent('Tweets', 'Voted', voteType);

			this.voteModel.set('vote_type', voteType);
			this.voteModel.save(null, {
				global: false
			});

			App.commands.execute('fetchNotifications');
			
			this.$el.css('max-height', 0);
			this.$el.css('padding-top', 0);
			this.$el.css('padding-bottom', 0);

			// Remove the view once the transition is complete
			setTimeout(function() {
				this.destroy();
				this.trigger('voted');
			}.bind(this), 350);
		},

		openURL: function(e) {
			if(window.cordova) {
				e.preventDefault();
				MobileUtils.openURL(e.currentTarget.href);
			}
		}
	});

	_.extend(TweetVoteItemView.prototype, TwitterVoteHelp);

	module.exports = TweetVoteItemView;

/***/ },
/* 120 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseTwitterObservationCollection = __webpack_require__(97);

	module.exports = Backbone.Collection.extend(BaseTwitterObservationCollection);

/***/ },
/* 121 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
		id: 'privacy-container',
		template: aur.tpl['privacy-policy-view-tpl'],

		ui: {
			acceptBtn: '.primary',
			notAccept: '.secondary'
		},

		events: {
			'click @ui.acceptBtn': 'ok',
			'click @ui.notAccept': 'cancel'
		},

		initialize: function(config) {
			this.$overlayOn = config.$overlayOn;

			if(this.$overlayOn) this.$overlayOn.hide();
		},

		ok: function() {
			if(window.cordova) window.analytics.trackView('Privacy Policy');

			this.trigger('ok');
			if(this.$overlayOn) this.$overlayOn.show();
		},

		cancel: function() {
			this.trigger('cancel');
			if(this.$overlayOn) this.$overlayOn.show();
		}
	});

/***/ },
/* 122 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Backbone.Model.extend({
		
	});

/***/ },
/* 123 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = {
	    google_client_id: '897696806875-kt3ei99dpfiuuh56c66c7tultmfl9i9t.apps.googleusercontent.com',
	    google_client_secret: 'zy7VbuKZXylsoUj5k5sEYAAA',
	    TWITTER_API_KEY: "6zPlvLPdbdB8HFdraicTsW4cA",
	    TWITTER_API_SECRET: "G0t0gDAztRCoxFLgkYa3eYL6waKxwWHLjitJFnUxTlIyD84s77"
	};

/***/ },
/* 124 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
	    tagName: 'tr',
	    template: aur.tpl['leaderboard-item-view-tpl']
	});

/***/ },
/* 125 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = Backbone.Model.extend({});

/***/ },
/* 126 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var BaseView = __webpack_require__(136);
	var InputUpdater = __webpack_require__(138);
	var App = __webpack_require__(11);
	var Utils = __webpack_require__(91);
	var LocationService = __webpack_require__(84);
	var MobilePhotoService = __webpack_require__(83);
	var SightingReportConfirmationView = __webpack_require__(139);
	var PrivacyPolicyView = __webpack_require__(121);

	var BaseWebObservationReportView = {

	    triggers: {
	        'click @ui.cancel': 'close'
	    },

	    initialize: function() {
	        var userCoords;
	        try {
	             userCoords = App.request('userCoords');
	        } catch(e) {
	            return;
	        }

	        if(userCoords) {
	            this.updateLocation(userCoords.coords);
	        }
	        this.bindValidation();  
	        if(this.onInitialize) this.onInitialize();
	    },

	    onRender: function() {
	        this.renderDateTimePickers();
	        this.renderLocationInput();
	        if(this.rendered) this.rendered();

	        this.ui.cancel.click(function() {
	            this.closeView();
	        }.bind(this));
	    },

	    closeView: function() {
	        if(window.cordova) {
	            App.execute('routeLanding');
	        }
	    },

	    onHandleSuccess: function() {
	        this.ui.submit.remove();
	        this.ui.cancel.val('Close');
	        
	        this.ui.mobileSubmit.remove();
	        this.ui.mobileCancel.text('Close');

	        if(window.cordova) {
	            App.main.show(new SightingReportConfirmationView({model: this.model}));
	        }
	    },

	    updateDateOrTime: function(typeToUpdate, pickerObj) {
	        var newTime = pickerObj.get('select'),
	            id = pickerObj.get('id');
	        var fieldToUpdate = id.match(/start*/gi) ? 'time_start' : 'time_end';
	        var oldTime = this.model.get(fieldToUpdate);
	        var oldTimeMoment = moment(oldTime);

	        if(typeToUpdate === 'date') {
	            oldTimeMoment.year(newTime.year);
	            oldTimeMoment.month(newTime.month);
	            oldTimeMoment.date(newTime.date);
	        } else {
	            oldTimeMoment.hours(newTime.hour);
	            oldTimeMoment.minutes(newTime.mins);
	        }

	        this.model.set(fieldToUpdate, oldTimeMoment.format(Utils.defaultDateFmtWithTZ()));
	    },

	    updateLocation: function(location) {
	        if(window.cordova && !App.request('isConnected')) {
	            window.localStorage.location = location;
	        } else {
	            $.when(LocationService.updateLocation(location))
	            .then(_.bind(function(data) {
	                this.model.set(data);
	                this.render();
	            }, this));
	        }
	    },

	    renderDateTimePickers: function(){
	        var self = this;
	        var timeOptions = { 
	            interval: 15,
	            clear: false,
	            onSet: function() { self.updateDateOrTime.call(self, 'time', this); }
	        };
	        var dateOptions = { 
	            max: new Date(),
	            format: 'd mmm yyyy',
	            clear: false,
	            onSet: function() { self.updateDateOrTime.call(self, 'date', this); }
	        };

	        this.ui.startDate.pickadate(dateOptions);
	        this.ui.endDate.pickadate(dateOptions);
	        this.ui.startTime.pickatime(timeOptions);
	        this.ui.endTime.pickatime(timeOptions);
	    },

	    renderLocationInput: function() {
	        if(window.cordova && !App.request('isConnected')) {
	            this.ui.searchInput.on('change', _.bind(function() {
	                this.location = this.ui.searchInput.val();
	            }, this));
	        } else {
	            var input = this.ui.searchInput[0];
	            var searchBox = new google.maps.places.SearchBox(input);

	            google.maps.event.addListener(searchBox, 'places_changed', _.bind(function() {
	                var place = searchBox.getPlaces()[0];

	                if(window.cordova && !App.request('isConnected')) {
	                    this.location = place.name;
	                } else {
	                    this.updateLocation(place);
	                }

	            }, this));
	        }
	    },

	    updateModel: function () {
	        this.updateFromCheckboxes();
	        this.updateFromElementsWithVals();
	    },

	    onHandleError: function(model, response, options) {
	        if(response.status === 429) return 'Sorry, you can only report 2/hour and 6/day';
	    },

	    submit: function(e) {
	        e.preventDefault();

	        if(window.cordova) {
	            this._submitMobile();
	        } else {
	            this.instantSubmit();
	        }
	    },

	    showPrivacyPolicy: function(e) {
	        if(window.cordova) {
	            e.preventDefault();

	            var policyView = new PrivacyPolicyView({
	                model: new Backbone.Model({actionRequired: false}),
	                $overlayOn: this.$el
	            });

	            $('main').append(policyView.render().el);

	            this.listenToOnce(policyView, 'ok', function() {
	                policyView.destroy();
	            });
	        }
	    },

	    _submitMobile: function() {
	        window.analytics.trackEvent('Observation', 'Reported', this.model.get('see_aurora'));

	        var isConnected = App.request('isConnected'),
	            isImageToUpload = this.imageToUpload;

	        if(isConnected && isImageToUpload) {
	            $.when(MobilePhotoService.saveMobilePhoto())
	            .then(_.bind(function(data) {
	                this.handleTempImageUploaded(data.save_url);
	                this.instantSubmit();
	            }, this));
	        } else if(isConnected) {
	            this.instantSubmit();
	        } else {
	            var pending = window.localStorage.getItem('observationsPendingSave');
	            if(!pending) pending = [];
	            else pending = JSON.parse(pending);

	            pending.push({
	                json: this.model.toJSON(),
	                imageToUpload: this.imageToUpload,
	                location: this.location
	            });

	            window.localStorage.observationsPendingSave = JSON.stringify(pending);

	            this.successMsg = 'Thanks for the report! It will be sumitted once you are connected to the internet';
	            this.handleSuccess();
	        }
	    }
	};

	_.defaults(BaseWebObservationReportView, BaseView, InputUpdater);

	module.exports = BaseWebObservationReportView;

/***/ },
/* 127 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var SpinUtil = function() {
		this.isMobile = window.cordova;
		this.spinners = [];
	}

	SpinUtil.prototype.spin = function($els) {
		if(!window.cordova) {
			var opts = {
			  lines: 7, // The number of lines to draw
			  length: 0, // The length of each line
			  width: 10, // The line thickness
			  radius: 8, // The radius of the inner circle
			  corners: 1, // Corner roundness (0..1)
			  rotate: 0, // The rotation offset
			  direction: 1, // 1: clockwise, -1: counterclockwise
			  color: '#000', // #rgb or #rrggbb or array of colors
			  speed: 2, // Rounds per second
			  trail: 63, // Afterglow percentage
			  shadow: false, // Whether to render a shadow
			  hwaccel: false, // Whether to use hardware acceleration
			  className: 'spinner', // The CSS class to assign to the spinner
			  zIndex: 2e9, // The z-index (defaults to 2000000000)
			  top: '50%', // Top position relative to parent
			  left: '50%' // Left position relative to parent
			};
			_.each($els, function(el) {
				this.spinners.push(new Spinner(opts).spin(el));
			}, this);
		}
	}

	SpinUtil.prototype.stop = function() {
		_.each(this.spinners, function(spinner) {
			spinner.stop();
		});
	}

	module.exports = SpinUtil;

/***/ },
/* 128 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
		template: aur.tpl['aurora-types-view-tpl'],

		events: {
			'click .primary': 'cancel'
		},

		cancel: function() {
			this.destroy();
		}
	});

/***/ },
/* 129 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var C = __webpack_require__(64);

	module.exports = Backbone.Model.extend({
		url: function() {
			var type = this.get('object');
			var url = C.get('host');

			switch(type) {
				case 'Cluster': 
					url += '/notifications/cluster/';
					break;
				case 'RankTweet': 
					url += '/notifications/rank-tweet/';
					break;
				case 'PositiveWebReport': 
					url += '/notifications/positive-web-report/';
					break;
				case 'NegativeWebReport': 
					url += '/notifications/negative-web-report/';
					break;
				case 'Signup': 
					url += '/notifications/signup/';
					break;
				case 'TopXPercent': 
					url += '/notifications/top-x-percent/';
					break;
				case 'GlobalNotification': 
					url += '/notifications/global/';
					break;
	            case 'QuizCompleted':
					url += '/notifications/quiz-completed/';
					break;
				case 'AdminAward': 
					url += '/notifications/admin/';
					break;
				case 'NorthernNotificationArea':
					url += '/notifications/northern-view-line/';
					break;
				case 'SouthernNotificationArea':
					url += '/notifications/southern-view-line/';
					break;
			}

			return url + this.get('id');
		}
	});

/***/ },
/* 130 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
		tagName: 'li',

		template: aur.tpl['notifications-empty-item-view-tpl']
	});


/***/ },
/* 131 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);

	module.exports = Marionette.ItemView.extend({
		className: 'unread',
		tagName: 'li',
		
		template: Handlebars.compile(
	        '{{{message}}}'+
	        '<br>'+
	        '<span class="date">{{fmtNotificationCreated created}}</span>'
		),

		events: {
			'click a': 'openUrl'
		},

		onRender: function() {
			if(!this.model.get('unread')) this.$el.removeClass('unread');
		},

		markRead: function() {
			if(this.model.get('unread')) {
				this.model.set('unread', false);
				this.model.save(null, {global: false} );
				this.$el.removeClass('unread');
			}
		},

		openUrl: function(e) {
			if(window.cordova) {
				e.preventDefault();
				MobileUtils.openURL(e.currentTarget.href);
			}
		}
	});


/***/ },
/* 132 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);


	var urlPattern =  /(^|\s)((https?:\/\/)?[\w-]+(\.[\w-]+)+\.?(:\d+)?(\/\S*)?)/gi;
	var urlRegex = new RegExp(urlPattern);

	module.exports = {

	    formatText: function(text){
	        return this.parseContent(text.trim());
	    },

	    parseContent: function(plainText){
	        var content = this.matchURLs(plainText);
	        content = this.matchTags(content);
	        content = this.matchMentions(content);

	        return content
	    },

	    matchURLs: function(content){
	        var matches = content.match(urlRegex);
	        if (matches != null){
	            for(var i=0; i < matches.length; i++){
	                var url = matches[i];
	                var link = ' <a href="' + url + '" target="_blank">' + url + '</a>';
	                content = content.replace(url, link);
	            }
	        }
	        return content;
	    },

	    matchTags: function(content){
	        var regex = new RegExp(/#[\w|\d]*\b/gi);
	        var matches = content.match(regex);
	        if (matches != null){
	            for(var i=0; i < matches.length; i++){
	                var tag = matches[i];
	                var link = '<a href="https://twitter.com/hashtag/' + tag.substr(1,tag.length) + '" target="_blank">' + tag + '</a>';
	                content = content.replace(tag, link);
	            }
	        }
	        return content;
	    },

	    matchMentions: function(content){
	        var regex = new RegExp(/@[\w|\d]*\b/gi);
	        var matches = content.match(regex);
	        if (matches != null){
	            for(var i=0; i < matches.length; i++){
	                var mention = matches[i];
	                var link = '<a href="https://twitter.com/' + mention.substr(1,mention.length) + '" target="_blank">' + mention + '</a>';
	                content = content.replace(mention, link);
	            }
	        }
	        return content;
	    }
	};

/***/ },
/* 133 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Marionette.ItemView.extend({
		id: 'how-to-vote-container',
		template: aur.tpl['how-to-vote-view-tpl'],

		ui: {
			acceptBtn: '.primary',
		},

		events: {
			'click @ui.acceptBtn': 'ok',
		},

		initialize: function(config) {
			this.$overlayOn = config.$overlayOn;

			if(this.$overlayOn) this.$overlayOn.hide();
		},

		ok: function() {
			if(this.$overlayOn) this.$overlayOn.show();
			this.destroy();
		}
	});

/***/ },
/* 134 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var googleapi = {
	    setToken: function(data) {
	        //Cache the token
	        localStorage.access_token = data.access_token;
	        //Cache the refresh token, if there is one
	        localStorage.refresh_token = data.refresh_token || localStorage.refresh_token;
	        //Figure out when the token will expire by using the current
	        //time, plus the valid time (in seconds), minus a 1 minute buffer
	        var expiresAt = new Date().getTime() + parseInt(data.expires_in, 10) * 1000 - 60000;
	        localStorage.expires_at = expiresAt;
	    },
	    authorize: function(options) {
	        var deferred = $.Deferred();

	        //Build the OAuth consent page URL
	        var authUrl = 'https://accounts.google.com/o/oauth2/auth?' + $.param({
	            client_id: options.client_id,
	            redirect_uri: options.redirect_uri,
	            response_type: 'code',
	            scope: options.scope
	        });

	        //Open the OAuth consent page in the InAppBrowser
	        var authWindow = window.open(authUrl, '_blank', 'location=no');

	        //The recommendation is to use the redirect_uri "urn:ietf:wg:oauth:2.0:oob"
	        //which sets the authorization code in the browser's title. However, we can't
	        //access the title of the InAppBrowser.
	        //
	        //Instead, we pass a bogus redirect_uri of "http://localhost", which means the
	        //authorization code will get set in the url. We can access the url in the
	        //loadstart and loadstop events. So if we bind the loadstart event, we can
	        //find the authorization code and close the InAppBrowser after the user
	        //has granted us access to their data.
	        authWindow.addEventListener('loadstart', googleCallback);
	        function googleCallback(e){
	            var url = (typeof e.url !== 'undefined' ? e.url : e.originalEvent.url);
	            var code = /\?code=(.+)$/.exec(url);
	            var error = /\?error=(.+)$/.exec(url);

	            if (code || error) {
	                //Always close the browser when match is found
	                authWindow.close();
	            }

	            if (code) {
	                //Exchange the authorization code for an access token
	                $.post('https://accounts.google.com/o/oauth2/token', {
	                    code: code[1],
	                    client_id: options.client_id,
	                    client_secret: options.client_secret,
	                    redirect_uri: options.redirect_uri,
	                    grant_type: 'authorization_code'
	                }).done(function(data) {
	                    googleapi.setToken(data);
	                    data.code = code[1];
	                    deferred.resolve(data);
	                }).fail(function(response) {
	                    deferred.reject(response.responseJSON);
	                });
	            } else if (error) {
	                //The user denied access to the app
	                deferred.reject({
	                    error: error[1]
	                });
	            }
	        }

	        return deferred.promise();
	    },
	    getToken: function(options) {
	        var deferred = $.Deferred();

	        if (new Date().getTime() < localStorage.expires_at) {
	            deferred.resolve({
	                access_token: localStorage.access_token
	            });
	        } else if (localStorage.refresh_token) {
	            $.post('https://accounts.google.com/o/oauth2/token', {
	                refresh_token: localStorage.refresh_token,
	                client_id: options.client_id,
	                client_secret: options.client_secret,
	                grant_type: 'refresh_token'
	            }).done(function(data) {
	                googleapi.setToken(data);
	                deferred.resolve(data);
	            }).fail(function(response) {
	                deferred.reject(response.responseJSON);
	            });
	        } else {
	            deferred.reject();
	        }

	        return deferred.promise();
	    },
	    userInfo: function(options) {
	        return $.getJSON('https://www.googleapis.com/oauth2/v1/userinfo', options);
	    }
	};

	module.exports = googleapi;

/***/ },
/* 135 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = Backbone.Model.extend({
	});

/***/ },
/* 136 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = {

	    bindValidation: function() {
	        Backbone.Validation.bind(this);
	    },

	    submit: function (e) {
	        e.preventDefault();
	        this.instantSubmit();
	    },

	    instantSubmit: function(config){
	        config = config || {};

	        this.ui.messages.removeClass('error-text').html('');
	        if(this.getActionBtns) {
	            _.each(this.getActionBtns(), function(btn) {
	                btn.prop('disabled', true);
	            });
	        }

	        var save = this.model.save(null, _.extend(config, {
	            success: this.handleSuccess.bind(this),
	            error: _.bind(this.handleError, this)
	        }));

	        if(!save) this._renableButtons();
	        else if(save.always) {
	            save.always(_.bind(function() {
	                this._renableButtons();
	            }, this));
	        }
	    },

	    handleError: function(model, response, options) {
	        var msg = 'Error while saving';
	        if(this.onHandleError) {
	            msg = this.onHandleError(model, response, options) || msg;
	        }
	        if(response && response.responseJSON) {
	            if(response.responseJSON.error) msg = response.responseJSON.error;
	            else if(this.defaultErrorMsg) msg = this.defaultErrorMsg;
	        }
	        
	        this.showMessage('error', msg);
	    },

	    handleSuccess: function(model, response, options) {
	        var msg = 'Save Successful';
	    	if(this.onHandleSuccess) {
	            msg = this.onHandleSuccess(model, response, options) || msg;
	        }
	    	if(this.successMsg) msg = this.successMsg;
	        
	        this.showMessage('success', msg);

	        App.commands.execute('fetchNotifications');
	    },

	    showMessage: function(type, msg) {
	        if(!type || !msg || !this.ui.messages.addClass) return;

	        this.ui.messages.addClass(type + '-text');
	        this.ui.messages.html('<p>' + msg + '</p>');

	        this.ui.messages[0].scrollIntoView();
	    },

	    _renableButtons: function() {
	        if(this.getActionBtns) {
	            _.each(this.getActionBtns(), function(btn) {
	                $(btn).prop('disabled', false);
	            });
	        }
	    }
	};


/***/ },
/* 137 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);

	module.exports = {
	    showHelp: function(e){
	        if(window.cordova) this.showMobileHelp(e);
	        else {
	            var $modal = $('#vote-help-modal').foundation('reveal', 'open');
	            $modal.find('.close-reveal-modal').one('click', function() {
	                $modal.foundation('reveal', 'close');
	            });
	        }
	    },

	    showMobileHelp: function(e) {
	        e.stopPropagation();
	        MobileUtils.showTwitterHelp({$overlayOn: $('main')});
	    }
	};

/***/ },
/* 138 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var App = __webpack_require__(11);

	module.exports = {

	    updateFromElementsWithVals: function() {
	        _.each(this.$('textarea:not([data-capture-exclude=true]), '+
	                      'input[type=text]:not([data-capture-exclude=true]), '+
	                      'select:not([data-capture-exclude=true])'),
	            function(element) {
	            element = $(element);
	            this.model.set(element.data('field'), element.val());
	        }, this);
	    },

	    updateFromCheckboxes: function () {
	        _.each(this.$('input[type=checkbox]input[data-field-struct=multi]'), function(checkbox) {
	            var checkbox = this.$(checkbox);
	            var fieldName = checkbox.data('field'),
	                fieldVals = this.model.get(fieldName) || [],
	                value = checkbox.val();

	            if(checkbox.is(':checked')) {
	                fieldVals.push(checkbox.val());
	                this.model.set(fieldName, _.unique(fieldVals));    
	            } else {
	                var filtered = _.reject(fieldVals, function(val) { return val === value } );
	                this.model.set(fieldName, filtered.length === 0 ? [] : filtered);
	            }
	        }, this);

	        _.each(this.$('input[type=checkbox]input[data-field-struct=single]'), function(checkbox) {
	            checkbox = $(checkbox);
	            this.model.set(checkbox.data('field'), checkbox.is(':checked'));
	        }, this);
	    }
	};

/***/ },
/* 139 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var MobileUtils = __webpack_require__(85);
	var App = __webpack_require__(11);

	var twitterMsg = 'See my real-time #aurora report on the aurorasaurus.org map! @tweetaurora reports #northernlights & #citizenscience from the ground up';
	var FBMsg = 'Friends, see my real-time #aurora report on the aurorasaurus.org map! Follow us on www.facebook.com/aurorasaurus.org. Reporting #northernlights and #citizenscience from the ground up since 2012!';
	var googleMsg = FBMsg; //TODO Update with content when it arrives

	module.exports = Marionette.ItemView.extend({
		className: 'sighting-confirmation',
		template: aur.tpl['sighting-report-confirmation-view-tpl'],

		ui: {
			shareFBBtn: '#share-facebook',
			shareTwitterBtn: '#share-twitter',
			shareGoogleBtn: '#share-google',
			closeBtn: '#close-confirmation'
		},

		events: {
			'click @ui.shareFBBtn': 'shareFB',
			'click @ui.shareTwitterBtn': 'shareTwitter',
			'click @ui.shareGoogleBtn': 'shareGoogle',
			'click @ui.closeBtn': 'closeView'
		},

		shareTwitter: function(e) {
			this.shareGeneric('Twitter', e);
		},

		shareFB: function(e) {
			this.shareGeneric('FB', e);
		},

		shareTumblr: function(e) {
			this.shareGeneric('Tumblr', e);
		},

		shareGoogle: function(e) {
			this.shareGeneric('Google', e);
		},

		shareGeneric: function(provider, e) {
			if(window.cordova) {
				e.preventDefault();
				this['share' + provider + 'Mobile'](e.currentTarget.href);
			}	
		},

		shareTwitterMobile: function(url) {
			if(MobileUtils.isiOS()) {
				window.plugins.socialsharing.canShareVia('com.apple.social.twitter', twitterMsg, null, null, null, 
					function(e){
						window.plugins.socialsharing.shareViaTwitter(twitterMsg, null /* img */, 'http://aurorasaurus.org');
					}, function(e){
						MobileUtils.openURL(url);
					});
			} else if(MobileUtils.isAndroid()) {
				window.plugins.socialsharing.canShareVia('twitter', 'Message via Twitter', null, null, null, 
					function(){
						window.plugins.socialsharing.shareViaTwitter(twitterMsg, null /* img */, 'http://aurorasaurus.org');
					}, function(msg) {
						MobileUtils.openURL(url);
					});
			}
		},

		 shareFBMobile: function(url) {
			if(MobileUtils.isiOS()) {
				window.plugins.socialsharing.shareViaFacebook(FBMsg, null /* img */, null /* url */, function() {
					console.log('share ok');
				}, function(errormsg){
					console.log(errormsg);
					MobileUtils.openURL(url);
				});
			} else if(MobileUtils.isAndroid()) {
				window.plugins.socialsharing.shareViaFacebook(FBMsg, null /* img */, null /* url */, 
					function() {
						console.log('share ok');
					}, function(errormsg){
						console.log(errormsg);
						MobileUtils.openURL(url);
				});
			}
		 },

		 shareGoogleMobile: function(url) {
			if(MobileUtils.isiOS()) {
				MobileUtils.openURL(url);
			} else if(MobileUtils.isAndroid()) {
				window.plugins.socialsharing.shareVia('com.google.android.apps.plus', googleMsg, null, null, null, 
					function() {
						console.log('share ok');
					}, function(msg) {
						MobileUtils.openURL(url);
					});
			}
		 },

		 closeView: function() {
		 	App.commands.execute('routeLanding');
		 }
	});

/***/ }
/******/ ])